Resource.add('notification', function()
{
	var text;
	var icon;
	var type;
	
	function showNormalNotification()
	{
		var notificationElement = document.createElement('div');
		notificationElement.className = 'notification';
		if(icon)
		{
			notificationElement.innerHTML = '<img src="' + icon + '" />';
			notificationElement.className += ' notification-with-image'
		}
		notificationElement.innerHTML += '<span>' + text + '</span>';
	
		var notificationContainer = document.getElementById('notificationContainer');
		notificationContainer.appendChild(notificationElement);
		
		$(notificationElement).show('fast');
		
		setTimeout(function() {
			$(notificationElement).hide('fast', function()
			{
				$(notificationElement).remove();
			});
		}, 3000)
	}
	
	function showModalNotification()
	{
		alert(text);
	}
	
	function showOverlayNotification()
	{
		if(!document.getElementById('overlayBack'))
		{
			$('body').append('<div id="overlayBack" class="overlay-back"></div><div id="overlayContainer" class="overlay-container"></div>');
		}
		
		var html = '<div class="overlay-content">';
		if(icon)
		{
			html += '<img src="' + icon + '" />';
		}
		html += '<p>' + text + '</p></div>';
		
		document.getElementById('overlayContainer').innerHTML = html;
		
		$('#overlayBack, #overlayContainer').fadeIn('fast');
	}
	
	function hideOverlayNotification()
	{
		$('#overlayBack, #overlayContainer').fadeOut('fast');			
	}
	
	return {
		
		setText: function(notificationText)
		{
			text = notificationText;
		},
		
		setIcon: function(notificationIcon)
		{
			icon = notificationIcon
		},
		
		setType: function(notificationType)
		{
			type = notificationType;
		},
		
		show: function()
		{
			switch(type) 
			{
				case 'normal':
					showNormalNotification();
					break;
				case 'modal':
					showModalNotification();
					break;
				case 'overlay':
					showOverlayNotification();
					break;
			}		
		}, 
		
		hide: function()
		{
			switch(type)
			{
				case 'overlay':
					hideOverlayNotification();
					break;
			}
		}
		
	}
	
});