package org.openhabbo.core;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

public abstract class AttachmentBox
{
	private final Map<String, Object> attachments;

	protected AttachmentBox()
	{
		this(3);
	}

	protected AttachmentBox(int initialAttachments)
	{
		this.attachments = new ConcurrentHashMap<String, Object>(initialAttachments);
	}

	public final <T> void set(String key, T attachment)
	{
		this.attachments.put(key, attachment);
	}

	public final void unset(String key)
	{
		this.attachments.remove(key);
	}

	public final boolean has(String key)
	{
		return this.attachments.containsKey(key);
	}

	@SuppressWarnings("unchecked")
	public final <T> T get(String key)
	{
		Object attachment = this.attachments.get(key);
		if(attachment != null)
		{
			return (T) attachment;
		}
		else
		{
			return null;
		}
	}
}
