package org.openhabbo.items;

import java.util.Collection;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Map;

import mod_pets.Pet;

import org.openhabbo.OpenHABBO;
import org.openhabbo.storage.DatabaseResult;

public final class ItemInventory
{
	private int userId;
	private LinkedHashMap<Integer, Item> items;
	
	public ItemInventory(int userId)
	{
		this.userId = userId;
		this.items = new LinkedHashMap<Integer, Item>();
	}

	public void clear()
	{
		this.items.clear();
	}

	public void reload()
	{
		// Clear old items and pets
		this.clear();

		// Reload items
		DatabaseResult result = OpenHABBO.getInstance().getDb().query("SELECT * FROM items WHERE owner_id=" + this.userId + " AND room_id=0");
		while(result.row())
		{
			Item item = Item.parse(result);
			if(item != null)
			{
				this.items.put(item.id, item);
			}
		}
		result.release();
	}

	public Item getItem(int itemId)
	{
		return this.items.get(itemId);
	}

	public void addItem(Item item, boolean save)
	{
		item.ownerId = this.userId;
		this.items.put(item.id, item);

		if(save)
		{
			item.update();
		}
	}

	public void removeItem(int itemId)
	{
		this.items.remove(itemId);
	}

	public Collection<Item> getItems()
	{
		return this.items.values();
	}
}
