package org.openhabbo.rooms.instances;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.messages.ServerMessage;
import org.openhabbo.users.User;

public final class RoomUser extends RoomAvatar
{
	private Session session;
	public boolean hasRoomOwner;
	public boolean hasRoomRights;
	
	public RoomUser(Session session)
	{
		this.session = session;
	}
	
	public Session getSession()
	{
		return this.session;
	}
	
	public User getInfo()
	{
		return this.session.getUser();
	}
	
	@Override
	protected void onChatFromAvatar(RoomAvatar from, String text, boolean isShout)
	{
		// Not on ignore list?
		if(true)
		{
			this.lookTo(from.x, from.y, true);
		}
	}
	
	@Override
	public void serialize(ServerMessage msg)
	{
		User user = this.getInfo();
		msg.appendInt(user.id);
		msg.appendStr(user.username);
		msg.appendStr(user.motto);
		msg.appendStr(user.figure);
		msg.appendInt(this.id);
		msg.appendInt(this.x);
		msg.appendInt(this.y);
		msg.appendStr(this.z);
		msg.appendInt(2);
		msg.appendInt(1);
		msg.appendStr(user.gender);
		msg.appendInt(-1);
		msg.appendInt(-1);
		msg.appendInt(-1);
		msg.appendStr("");
		msg.appendInt(0);
	}

	@Override
	public String getAvatarKey()
	{
		return "u" + this.session.getUser().id;
	}
}
