package org.openhabbo.rooms.pathfinding;

import java.util.ArrayList;
import java.util.List;

public final class NodeQueue
{
	private List<PathfinderNode> innerList;

	public NodeQueue()
	{
		this.innerList = new ArrayList<PathfinderNode>();
	}

	public void switchElements(int i, int j)
	{
		PathfinderNode swap = this.innerList.get(i);
		this.innerList.set(i, this.innerList.get(j));
		this.innerList.set(j, swap);
	}

	public int compareElements(int indexA, int indexB)
	{
		PathfinderNode A = this.innerList.get(indexA);
		PathfinderNode B = this.innerList.get(indexB);

		if(A.f > B.f) return 1;
		else if(A.f < B.f) return -1;
		return 0;
	}

	public int push(PathfinderNode item)
	{
		int p = this.innerList.size(), p2;
		this.innerList.add(item);
		do
		{
			if(p == 0) break;
			p2 = (p - 1) / 2;
			if(compareElements(p, p2) < 0)
			{
				switchElements(p, p2);
				p = p2;
			}
			else break;
		}
		while(true);
		return p;
	}

	public PathfinderNode pop()
	{
		PathfinderNode result = this.innerList.get(0);
		this.innerList.set(0, this.innerList.get(this.innerList.size() - 1));
		this.innerList.remove(this.innerList.size() - 1);

		int p = 0, p1, p2, pn;
		do
		{
			pn = p;
			p1 = 2 * p + 1;
			p2 = 2 * p + 2;
			if(this.innerList.size() > p1 && compareElements(p, p1) > 0) p = p1;
			if(this.innerList.size() > p2 && compareElements(p, p2) > 0) p = p2;

			if(p == pn) break;
			switchElements(p, pn);
		}
		while(true);

		return result;
	}

	public void update(int i)
	{
		int p = i, pn;
		int p1, p2;
		do // aufsteigen
		{
			if(p == 0) break;
			p2 = (p - 1) / 2;
			if(compareElements(p, p2) < 0)
			{
				switchElements(p, p2);
				p = p2;
			}
			else break;
		}
		while(true);
		if(p < i) return;
		do
		{
			pn = p;
			p1 = 2 * p + 1;
			p2 = 2 * p + 2;
			if(this.innerList.size() > p1 && compareElements(p, p1) > 0) // links kleiner
			p = p1;
			if(this.innerList.size() > p2 && compareElements(p, p2) > 0) // rechts noch kleiner
			p = p2;

			if(p == pn) break;
			switchElements(p, pn);
		}
		while(true);
	}

	public PathfinderNode peek()
	{
		if(this.innerList.size() != 0) return this.innerList.get(0);

		return null;
	}

	public void clear()
	{
		this.innerList.clear();
	}

	public int size()
	{
		return this.innerList.size();
	}

	public PathfinderNode get(int index)
	{
		return this.innerList.get(index);
	}

	public void set(int index, PathfinderNode value)
	{
		this.innerList.set(0, value);
		update(index);
	}
}