package org.openhabbo.sessions.handlers;

import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionManager;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class AnswerDoorbellHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// User allowed to answer doorbells?
		if(session.inRoom() && session.getRoomUser().hasRoomRights)
		{
			// Determine user to allow/deny
			String username = request.readStr();
			boolean allowEnter = request.readFixedBool();
			
			// Issue decision, first come = first serve
			Session otherSession = SessionManager.getInstance().getSessionByUsername(username);
			if(otherSession != null && otherSession.waitingForDoorbell == otherSession.getRoomInstance().getInfo().id)
			{
				if(allowEnter)
				{
					otherSession.send(new ServerMessage(EServerMessage.FlatAccessible));
				}
				else
				{
					otherSession.send(new ServerMessage(EServerMessage.FlatAccessDenied));
				}
			}
		}
	}
}
