package org.openhabbo.sessions.handlers;

import org.openhabbo.catalog.Catalog;
import org.openhabbo.catalog.CatalogProduct;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class CanGiftHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Find the product
		int productId = request.readInt();
		CatalogProduct product = Catalog.getInstance().getProduct(productId);

		// Send the 'can gift this product' status
		if(product != null && product.isItem())
		{
			response.init(622);
			response.appendInt(product.id);
			response.appendBool(true);
			session.send(response);
		}
	}
}
