package org.openhabbo.sessions.handlers;

import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class DanceHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Read & verify the ID of the dance to start
		int danceId = request.readInt();
		if(danceId < 0 || danceId > 4 || (danceId != 1 && !session.getUser().role.hasRight("fuse_use_club_dance")))
		{
			danceId = 0;
		}

		// User is in the room?
		RoomUser user = session.getRoomUser();
		if(user != null)
		{
			// Update the dance ID
			user.danceId = danceId;

			// Broadcast update to the room to get this user dancing!
			response.init(EServerMessage.Dance);
			response.appendInt(user.virtualId);
			response.appendInt(user.danceId);
			session.getRoomInstance().broadcast(response);
		}
	}
}
