package org.openhabbo.sessions.handlers;

import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class GetEventsHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the EVENT category ID
		int categoryId = request.readParseFixedInt();

		// Serialize all the events in this category
		response.init(EServerMessage.GuestRoomSearchResult);
		response.appendInt(categoryId);
		response.appendInt(12); // max category ID (?)
		response.appendStr("");
		response.appendInt(0); // count
		session.send(response);
	}
}
