package org.openhabbo.sessions.handlers;

import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class GetHeightMapHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Send real heightmap
		response.init(EServerMessage.HeightMap);
		response.appendStr(session.getRoomInstance().getModel().getHeightMapString());
		session.send(response);

		// Send actual floormap with door tile etc taken into account
		response.init(EServerMessage.FloorHeightMap);
		response.appendStr(session.getRoomInstance().getModel().getFloorMapString());
		session.send(response);
	}
}
