package org.openhabbo.sessions.handlers;

import org.openhabbo.items.EItemBehaviour;
import org.openhabbo.items.Item;
import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class GetInventoryHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		response.init(EServerMessage.FurniList);
		response.appendInt(session.getItemInventory().getItems().size());
		for(Item item : session.getItemInventory().getItems())
		{
			response.appendInt(item.id);
			response.appendInt(0);
			response.appendChr(item.definition.getType());
			response.appendInt(item.id);
			response.appendInt(item.definition.id);
			if(item.definition.is(EItemBehaviour.DECORATION))
			{
				if(item.definition.sprite.equals("wallpaper"))
				{
					response.appendInt(2);
				}
				else if(item.definition.sprite.equals("floor"))
				{
					response.appendInt(4);
				}
			}
			else
			{
				response.appendInt(0);
			}
			response.appendStr(item.customData);
			response.appendBool(item.is(EItemBehaviour.ALLOW_RECYCLE));
			response.appendBool(item.is(EItemBehaviour.ALLOW_TRADE));
			response.appendBool(item.is(EItemBehaviour.ALLOW_INVENTORYSTACK));
			response.appendBool(item.is(EItemBehaviour.ALLOW_MARKETPLACE));
			response.appendInt(-1);
			if(item.is(EItemBehaviour.FLOORITEM))
			{
				response.appendStr("");
				response.appendInt(-1);
			}
		}
		response.appendInt(session.getItemInventory().getItems().size());
		session.send(response);
	}
}
