package org.openhabbo.sessions.handlers;

import org.openhabbo.items.EItemBehavior;
import org.openhabbo.items.Item;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class GetInventoryHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		response.init(EServerMessage.FurniList);
		response.appendStr("S");
		response.appendInt(1);
		response.appendInt(1);
		response.appendInt(session.getItemInventory().getItems().size());
		for(Item item : session.getItemInventory().getItems())
		{
			response.appendInt(item.id);
			response.appendStr(Character.toUpperCase(item.definition.getType()));
			response.appendInt(item.id);
			response.appendInt(item.definition.spriteId);
			if(item.definition.is(EItemBehavior.DECORATION))
			{
				if(item.definition.sprite.equals("wallpaper"))
				{
					response.appendInt(2);
				}
				else if(item.definition.sprite.equals("floor"))
				{
					response.appendInt(4);
				}
			}
			else
			{
				response.appendInt(0);
			}
			response.appendStr(item.customData);
			response.appendBool(item.is(EItemBehavior.ALLOW_RECYCLE));
			response.appendBool(item.is(EItemBehavior.ALLOW_TRADE));
			response.appendBool(true);//item.is(EItemBehavior.ALLOW_INVENTORYSTACK));
			response.appendBool(item.is(EItemBehavior.ALLOW_MARKETPLACE));
			response.appendInt(-1);
			if(item.is(EItemBehavior.FLOORITEM))
			{
				response.appendStr("");
				response.appendInt(-1);
			}
		}
		session.send(response);
	}
}
