package org.openhabbo.sessions.handlers;

import java.util.List;

import org.openhabbo.rooms.NavigatorFrontpageItem;
import org.openhabbo.rooms.RoomNavigator;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class GetNavigatorFrontpage implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the configured frontpage items of the navigator
		List<NavigatorFrontpageItem> fpis = RoomNavigator.getInstance().getFrontpageItems();

		// Serialize the frontpage items
		response.init(EServerMessage.NavigatorFrontPageResult);
		response.appendInt(fpis.size());
		for(NavigatorFrontpageItem fpi : fpis)
		{
			response.appendObject(fpi);
		}
		session.send(response);
	}
}
