package org.openhabbo.sessions.handlers;

import java.util.List;

import org.openhabbo.rooms.NavigatorFrontpageItem;
import org.openhabbo.rooms.RoomNavigator;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class GetNavigatorFrontpage implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the configured frontpage items of the navigator
		List<NavigatorFrontpageItem> fpis = RoomNavigator.getInstance().getFrontpageItems();

		// Serialize the frontpage items
		response.init(EServerMessage.NavigatorFrontPageResult);
		response.appendInt(fpis.size());
		for(NavigatorFrontpageItem fpi : fpis)
		{
			response.appendInt(fpi.id);
			if(fpi.category != null)
			{
				response.appendStr(fpi.name);
				response.appendStr("");
			}
			else
			{
				response.appendStr(fpi.room.name);
				response.appendStr(fpi.room.description);
			}
			response.appendInt(fpi.bannerType);
			response.appendStr(fpi.name);
			response.appendStr(fpi.imageIsExternal ? fpi.image : "");
			if(fpi.category != null)
			{
				response.appendInt(0);
				response.appendInt(4);
				response.appendInt(fpi.category.id);
			}
			else
			{
				response.appendInt(0);
				response.appendInt(fpi.room.usersNow);
				response.appendInt(3);
				response.appendStr(fpi.imageIsExternal ? fpi.image : "");
				response.appendInt(1337);
				response.appendInt(0);
				response.appendStr(fpi.room.files);
				response.appendInt(fpi.room.usersMax);
				response.appendInt(fpi.room.id);
			}
		}
		session.send(response);
	}
}
