package org.openhabbo.sessions.handlers;

import org.openhabbo.rooms.Room;
import org.openhabbo.rooms.RoomCategory;
import org.openhabbo.rooms.RoomNavigator;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class GetPopularRoomsHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the requested category from the navigator
		int categoryId = request.readParseFixedInt();
		RoomCategory category = RoomNavigator.getInstance().getCategory(categoryId);
		if(category == null)
		{
			category = new RoomCategory();
			category.id = -1;
		}

		// Serialize the rooms
		response.init(EServerMessage.GuestRoomSearchResult);
		response.appendInt(category.id);
		response.appendInt(1);
		response.appendStr("");
		response.appendInt(category.rooms.size());
		for(Room room : category.rooms.values())
		{
			response.appendObject(room);
		}
		session.send(response);
	}
}
