package org.openhabbo.sessions.handlers;

import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class GetSpriteIndexHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// A long time ago, the sprite index has been replaced by the 'furnidata' file, hence it contains no sprite id list!
		// The client downloads this as an asset ather than retrieving it from the gameserver
		response.init(EServerMessage.SpriteIndex);
		response.appendInt(0);
		session.send(response);
	}
}
