package org.openhabbo.sessions.handlers;

import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class KickUserHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the user ID of the user to kick
		int userId = request.readInt();

		// Can this user kick other users at all?
		if(session.getRoomUser() != null && session.getRoomUser().hasRoomRights)
		{
			// Target is in the room and kickable by this user?
			RoomUser target = session.getRoomInstance().getRoomUserByUserId(userId);
			if(target != null && (!target.hasRoomOwner || session.getUser().role.level > target.getUser().role.level))
			{
				// BAM!
				target.getSession().kickFromRoom(null);
			}
		}
	}
}
