package org.openhabbo.sessions.handlers;

import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class LookToHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Parse the tile to look to
		int tileX = request.readInt();
		int tileY = request.readInt();

		// Get the room user, work out the rotation and request a status refresh
		RoomUser user = session.getRoomUser();
		if(user != null)
		{
			user.lookTo(tileX, tileY, false);
		}
	}
}
