package org.openhabbo.sessions.handlers;

import java.util.List;

import org.openhabbo.rooms.Room;
import org.openhabbo.rooms.RoomNavigator;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;
import org.openhabbo.util.SecurityUtil;

public class PerformRoomSearchHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Read & trim criteria
		String criteria = SecurityUtil.filterStr(request.readStr().trim());

		// Actually criteria given?
		if(criteria.length() > 0)
		{
			// Get search result
			List<Room> rooms = RoomNavigator.getInstance().getGuestRoomSearchResult(criteria, false);

			// Serialize the result
			response.init(EServerMessage.GuestRoomSearchResult);
			response.appendInt(1);
			response.appendInt(9);
			response.appendStr(criteria);
			response.appendInt(rooms.size());
			for(Room room : rooms)
			{
				response.appendObject(room);
			}
			session.send(response);
		}
	}
}
