package org.openhabbo.sessions.handlers;

import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.rooms.Room;
import org.openhabbo.rooms.RoomManager;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class SetHomeRoomHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get room info
		int roomId = request.readInt();
		Room room = (roomId != 0) ? RoomManager.getInstance().getRoomInfo(roomId) : null;

		// Users can only set their own rooms as homeroom, or no homeroom (id=0)
		if(roomId == 0 || room.ownerId == session.getUser().id)
		{
			session.getUser().homeRoomId = roomId;

			response.init(EServerMessage.HomeRoom);
			response.appendInt(roomId);
			session.send(response);
		}
	}
}
