package org.openhabbo.sessions.handlers;

import org.openhabbo.items.Item;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class TakeItemHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Allowed to pickup items?
		if(!session.getRoomUser().hasRoomOwner)
		{
			return;
		}

		// Parse item type + ID
		@SuppressWarnings("unused")
		boolean isFloorItem = (request.readInt() == 2);
		int itemId = request.readInt();

		// Attempt pickup
		Item item = session.getRoomInstance().pickupItem(itemId, session);
		if(item != null)
		{
			// Put the item in the inventory + save
			session.getItemInventory().addItem(item, true);
			session.getItemInventory().refresh();
		}
	}
}
