package org.openhabbo.sessions.handlers;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;
import org.openhabbo.util.ChatUtil;
import org.openhabbo.util.SecurityUtil;

public class TalkHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		String text = SecurityUtil.filterStr(request.readStr());
		if(session.inRoom())
		{
			// Is this a chatcommand that executes successfully?
			if(!ChatUtil.parseAndHandleCommand(session, text))
			{
				Session.onChat.fire(session, text);
				session.getRoomInstance().chat(session.getRoomUser(), text, false);
			}
		}
	}
}
