package org.openhabbo.users;

import org.openhabbo.OpenHABBO;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionManager;
import org.openhabbo.storage.DatabaseResult;
import org.openhabbo.storage.SQLHelper;

public class UserManager
{
	public User getUserById(int userId, boolean lookupSessions)
	{
		if(lookupSessions)
		{
			Session sess = SessionManager.getInstance().getSessionByUserId(userId);
			if(sess != null)
			{
				return sess.getUser();
			}
		}

		DatabaseResult result = OpenHABBO.getInstance().getDb().query("SELECT * FROM users WHERE id=" + userId);
		User user = result.row() ? User.parse(result) : null;
		result.release();

		return user;
	}

	public User getUserByUsername(String username, boolean lookupSessions)
	{
		if(lookupSessions)
		{
			Session sess = SessionManager.getInstance().getSessionByUsername(username);
			if(sess != null)
			{
				return sess.getUser();
			}
		}

		DatabaseResult result = OpenHABBO.getInstance().getDb().query("SELECT * FROM users WHERE username='" + SQLHelper.escape(username) + "'");
		User user = result.row() ? User.parse(result) : null;
		result.release();

		return user;
	}

	public User getUserByAuthTicket(String ticket)
	{
		DatabaseResult result = OpenHABBO.getInstance().getDb().query("SELECT * FROM users WHERE auth_ticket='" + SQLHelper.escape(ticket) + "'");
		User user = result.row() ? User.parse(result) : null;
		result.release();

		return user;
	}

	public int getUserId(String username)
	{
		DatabaseResult result = OpenHABBO.getInstance().getDb().query("SELECT id FROM users WHERE username = '" + SQLHelper.escape(username) + "'");
		int userId = result.row() ? result.getInt("id") : 0;
		result.release();

		return userId;
	}

	/* Begin singleton */
	private static UserManager instance;

	public final static UserManager getInstance()
	{
		return instance;
	}

	public static void createInstance()
	{
		instance = new UserManager();
	}
	/* End singleton */
}
