package org.openhabbo.util;

import java.security.SecureRandom;
import java.util.Random;

import org.openhabbo.rooms.instances.RoomInstance;

public class GameUtil
{
	private final static Random random = new SecureRandom();
	
	public static <T> T getRandomElement(T[] elements)
	{
		return elements[random.nextInt(elements.length)];
	}
	
	public static int getRandomInt(int min, int max)
	{
		return(min + random.nextInt(max + 1));
	}
	
	public final static int secondsToRoomPulses(int seconds)
	{
		return((seconds * 1000) / RoomInstance.PULSE_INTERVAL);
	}
}
