package org.openhabbo.util;

import org.openhabbo.sessions.messages.ServerMessage;

public final class SecurityUtil
{
	private final static char REPLACEMENT_CHAR = ' ';

	public static String filterStr(String str)
	{
		return SecurityUtil.filterStr(str, true);
	}

	public static String filterStr(String str, boolean filterLinebreaks)
	{
		str = str.replace((char) ServerMessage.MSG_EOF, REPLACEMENT_CHAR);
		str = str.replace((char) 2, REPLACEMENT_CHAR);
		str = str.replace((char) 3, REPLACEMENT_CHAR);
		str = str.replace((char) 9, REPLACEMENT_CHAR);
		if(filterLinebreaks)
		{
			str = str.replace((char) 13, REPLACEMENT_CHAR);
		}
		return str;
	}

	public static String checkWallPosition(String pos)
	{
		// :w=3,2 l=9,63 l
		try
		{
			String[] posD = pos.split(" ");
			if(posD[2] != "l" && posD[2] != "r") return null;

			String[] widD = posD[0].substring(3).split(",");
			int widthX = Integer.parseInt(widD[0]);
			int widthY = Integer.parseInt(widD[1]);
			if(widthX < 0 || widthY < 0 || widthX > 200 || widthY > 200) return null;

			String[] lenD = posD[1].substring(2).split(",");
			int lengthX = Integer.parseInt(lenD[0]);
			int lengthY = Integer.parseInt(lenD[1]);
			if(lengthX < 0 || lengthY < 0 || lengthX > 200 || lengthY > 200) return null;

			return ":w=" + widthX + "," + widthY + " " + "l=" + lengthX + "," + lengthY + " " + posD[2];
		}
		catch(Exception ex)
		{
			return null;
		}
	}
}
