package mod_corechatcmds;

import java.util.Map.Entry;

import org.openhabbo.chatcommands.ChatCmdRegistry;
import org.openhabbo.chatcommands.ChatCommandHandler;
import org.openhabbo.sessions.Session;

public class HelpCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Shows a list with chatcommands";
	}

	@Override
	public String getRequiredRight()
	{
		return null;
	}

	@Override
	public boolean handle(Session session, String body)
	{
		// Build the response
		StringBuilder notif = new StringBuilder();
		notif.append("The following chatcommands are available for you:");
		notif.append("\r\r");
		for(Entry<String, ChatCommandHandler> cmd : ChatCmdRegistry.getAvailableChatCommands(session.getUser().role).entrySet())
		{
			notif.append(ChatCommandHandler.COMMAND_HEAD);
			notif.append(cmd.getKey());
			notif.append("\t\t");
			notif.append(cmd.getValue().getDescription());
			notif.append("\r\r");
		}
		notif.append("End of command list.");
		session.sendSystemNotif(notif.toString());
		return true;
	}
}
