package mod_dice;

import org.openhabbo.items.Item;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.GameUtil;

public class DiceItem extends Item
{
	@Override
	public void onTrigger(Session session, int request)
	{
		// Get to the dice
		if(session.getRoomUser().touches(this.getTile()))
		{
			// Not in the middle of a spin?
			if(!this.hasTimeout())
			{
				// Closing or spinning the dice?
				if(request == -1)
				{
					// Close the dice
					this.setPersistentState("0");
				}
				else
				{
					// Start spinning
					this.setTemporaryState("-1");
					this.setTimeout(4);
				}
			}
		}
	}

	@Override
	public void onTimeout()
	{
		int roll = GameUtil.getRandomInt(1, 6);
		this.setPersistentState(Integer.toString(roll));
	}
}
