package mod_effects;

import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class EnableEffectHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get effect inventory
		AvatarEffectInventory effects = session.get("effects");
		if(effects == null)
		{
			return;
		}

		// Get effect from inventory
		int effectId = request.readInt();
		AvatarEffect effect = effects.getEffect(effectId);

		// Not enabled yet?
		if(effect != null && !effect.enabled)
		{
			// Update the data object
			effect.enable();

			// Notify the user
			response.init(EEffectMessage.AvatarEffectEnabled);
			response.appendInt(effect.effectId);
			session.send(response);
		}
	}
}
