package mod_effects;

import org.openhabbo.events.EventListener;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.messages.ServerMessage;

public class EnterRoomSendUserInfoHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		RoomUser user = (RoomUser) args;

		// This user has an effect?
		if(user.has("effect"))
		{
			int effectId = user.get("effect");

			// 'User x has effect x'
			ServerMessage msg = new ServerMessage(EEffectMessage.AvatarEffect);
			msg.appendInt(user.virtualId);
			msg.appendInt(effectId);
			((Session) subject).send(msg);
		}
		
		return true;
	}

}
