package mod_effects;

import org.openhabbo.events.EventListener;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.messages.ServerMessage;

public class RoomEnterHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session) subject;

		// Session has effect?
		AvatarEffectInventory effects = session.get("effects");
		if(effects != null && effects.getCurrentEffect() != null)
		{
			// Set current effect to roomuser
			AvatarEffect effect = effects.getCurrentEffect();
			session.getRoomUser().set("effect", effect.effectId);

			// Notify room
			ServerMessage msg = new ServerMessage(EEffectMessage.AvatarEffect);
			msg.appendInt(session.getRoomUser().virtualId);
			msg.appendInt(effect.effectId);
			session.getRoomInstance().broadcast(msg);
		}
		
		return true;
	}
}
