package mod_exchangefurni;

import org.openhabbo.items.Item;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;
import org.openhabbo.util.GameUtil;

public class RedeemExchangeFurniHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Only the room owner can redeem items
		if(session.getRoomUser().hasRoomOwner)
		{
			// Fetch the item
			Item item = session.getRoomInstance().getItem(request.readInt());

			// Is this a redeemable type of item?
			if(item != null && item.is(mod_exchangefurni.ITEM_REDEEMABLE))
			{
				// Add the credits to the user's credit balance
				int creditValue = GameUtil.parseInt(item.definition.data);
				session.getUser().credits += creditValue;
				session.getUser().saveCreditsAndPixels();
				session.sendCreditBalance();
				
				// Remove from the room, delete from the game
				session.getRoomInstance().pickupAndDeleteItem(item.id);
			}
		}
	}
}
