package mod_favoriterooms;

import java.util.ArrayList;
import java.util.List;

import org.openhabbo.OpenHABBO;
import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;
import org.openhabbo.sessions.Session;
import org.openhabbo.storage.DatabaseResult;

@ModuleInfo
(
		name = "mod_favoriterooms",
		description = "Enables users to keep a list of favorite guestrooms.", 
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_favoriterooms/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_favoriterooms extends Module
{
	public final static int MAX_FAVS_PER_USER = 30;

	public mod_favoriterooms()
	{
		this.getAutoLoader().eventListener(Session.onLogin, new LoginHook());

		this.getAutoLoader().msgHandler(19, new AddFavoriteHandler());
		this.getAutoLoader().msgHandler(20, new RemoveFavoriteHandler());
		this.getAutoLoader().msgHandler(435, new GetFavoriteRoomsHandler());
	}

	public static List<Integer> getFavoriteRoomsForUser(int userId)
	{
		List<Integer> favorites = new ArrayList<Integer>(3);

		DatabaseResult result = OpenHABBO.getInstance().getDb().query("SELECT room_id FROM user_favoriterooms WHERE user_id=" + userId);
		while(result.row())
		{
			favorites.add(result.getInt("room_id"));
		}
		result.release();

		return favorites;
	}

	public static void addFavoriteRoomForUser(int userId, int roomId)
	{
		OpenHABBO.getInstance().getDb().execute("INSERT INTO user_favoriterooms(user_id,room_id) VALUES (" + userId + "," + roomId + ")");
	}

	public static void removeFavoriteRoomForUser(int userId, int roomId)
	{
		OpenHABBO.getInstance().getDb().execute("DELETE FROM user_favoriterooms WHERE user_id=" + userId + " AND room_id=" + roomId);
	}
}
