package mod_favoriterooms;

import java.util.ArrayList;
import java.util.List;

import org.openhabbo.OpenHABBO;
import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModulePayload;
import org.openhabbo.modules.Version;
import org.openhabbo.sessions.Session;
import org.openhabbo.storage.DatabaseResult;

public final class mod_favoriterooms extends Module
{
	public final static int MAX_FAVS_PER_USER = 30;

	public mod_favoriterooms()
	{
		super(new Version(1, 0, 0), "Enables users to keep a list of favorite guestrooms.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_favoriterooms/");
	}

	@Override
	protected void initPayload(ModulePayload payload)
	{
		payload.eventListener(Session.onLogin, new LoginHook());

		payload.msgHandler(19, new AddFavoriteHandler());
		payload.msgHandler(20, new RemoveFavoriteHandler());
		payload.msgHandler(435, new GetFavoriteRoomsHandler());
	}

	public static List<Integer> getFavoriteRoomsForUser(int userId)
	{
		List<Integer> favorites = new ArrayList<Integer>(3);

		DatabaseResult result = OpenHABBO.getInstance().getDb().query("SELECT room_id FROM user_favoriterooms WHERE user_id=" + userId);
		while(result.row())
		{
			favorites.add(result.getInt("room_id"));
		}
		result.release();

		return favorites;
	}

	public static void addFavoriteRoomForUser(int userId, int roomId)
	{
		OpenHABBO.getInstance().getDb().execute("INSERT INTO user_favoriterooms(user_id,room_id) VALUES (" + userId + "," + roomId + ")");
	}

	public static void removeFavoriteRoomForUser(int userId, int roomId)
	{
		OpenHABBO.getInstance().getDb().execute("DELETE FROM user_favoriterooms WHERE user_id=" + userId + " AND room_id=" + roomId);
	}
}
