package mod_messenger;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModulePayload;
import org.openhabbo.modules.Version;

public final class mod_messenger extends Module
{
	public mod_messenger()
	{
		super(new Version(1, 0, 0), "Enables support for the in-game instant messenger.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_messenger/");
	}

	@Override
	protected void initPayload(ModulePayload payload)
	{
		payload.msgHandler(12, new InitMessengerHandler());
		payload.msgHandler(15, new FriendsListUpdateHandler());
		payload.msgHandler(34, new SendInstantInviteHandler());
		payload.msgHandler(40, new RemoveBuddyHandler());
		payload.msgHandler(41, new SearchUserHandler());
		payload.msgHandler(33, new SendInstantMessageHandler());
		payload.msgHandler(37, new AcceptRequestHandler());
		payload.msgHandler(38, new DeclineRequestHandler());
		payload.msgHandler(39, new RequestBuddyHandler());
		payload.msgHandler(262, new FollowBuddyHandler());
	}

	@Override
	public boolean onLoad()
	{
		super.enablePulseTimer(30);

		return true;
	}

	@Override
	public void onUnload()
	{
		super.disablePulseTimer();

		// Clear registry
		InstantMessengerService.getInstance().clear();
	}

	@Override
	protected void onPulse()
	{
		// Clean the cache/registry of buddy info that hasn't been accessed recently
		InstantMessengerService.getInstance().cleanup();
	}

	@Override
	public String getStatusString()
	{
		return "Up and running!";
	}
}
