package mod_moderation;

import java.util.List;

import org.openhabbo.events.EventListener;

import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.messages.ServerMessage;
import org.openhabbo.users.User;

public class AuthBanCheckHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session) subject;
		User user = (User) args;

		// Get bans for this user
		List<ModerationBan> bans = ModerationCenter.getInstance().getActiveBansForUserId(user.id);
		if(bans.isEmpty())
		{
			// Valid auth
			return true;
		}
		else
		{
			// Send the first ban and exit auth routine
			ModerationBan ban = bans.get(0);
			ServerMessage msg = new ServerMessage(EServerMessage.UserBanned);
			msg.appendStr(ban.message);
			// TODO: "Date the ban will be lifted: %s" etc
			session.send(msg);
			
			// Exit auth
			return false;
		}
	}
}
