package mod_moderation;

import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.messages.ServerMessage;
import org.openhabbo.storage.DatabaseResult;

public final class ModerationBan
{
	public int id;
	public int userId;
	public String ip;
	public String message;
	public long expiresAt;

	public long issuedAt;
	public int issuedBy;
	public String extraInfo;

	public boolean isUserBan()
	{
		return(this.userId != 0);
	}

	public boolean isIpBan()
	{
		return(this.ip != null);
	}

	public boolean hasExpired()
	{
		return(System.currentTimeMillis() > expiresAt);
	}
	
	public ServerMessage createNotif()
	{
		ServerMessage msg = new ServerMessage(EServerMessage.UserBanned);
		msg.appendStr(this.message);
		return msg;
	}

	public static ModerationBan parse(DatabaseResult row)
	{
		ModerationBan ban = new ModerationBan();
		ban.id = row.getInt("id");
		ban.userId = row.getInt("user_id");
		ban.ip = row.getString("ip");
		ban.message = row.getString("message");
		ban.expiresAt = row.getTime("expires_at");
		ban.issuedAt = row.getTime("issued_at");
		ban.issuedBy = row.getInt("issued_by");
		ban.extraInfo = row.getString("extra_info");
		return ban;
	}
}
