package mod_moderation.chatcmds;

import mod_moderation.ModerationCenter;

import org.openhabbo.chatcommands.ChatCommandHandler;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.GameError;

public class RoomAlertCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Alerts the current room with message %";
	}

	@Override
	public String getRequiredRight()
	{
		return "fuse_roomalert";
	}
	
	@Override
	public String[] getSyntax()
	{
		return new String[] { "message" };
	}

	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		// Issue alert
		ModerationCenter.getInstance().issueRoomAlert(session.getUser().id, session.getRoomInstance().getInfo().id, args[0]);
	}
}
