package mod_moderation.chatcmds;

import mod_moderation.ModerationCenter;

import org.openhabbo.chatcommands.ChatCommandHandler;
import org.openhabbo.sessions.Session;

public class RoomAlertCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Alerts the current room with message %";
	}

	@Override
	public String getRequiredRight()
	{
		return null;//"fuse_roomalert";
	}

	@Override
	public boolean handle(Session session, String body)
	{
		// Get args
		if(body.isEmpty())
		{
			return false;
		}
		
		// Issue alert
		ModerationCenter.getInstance().issueRoomAlert(session.getUser().id, session.getRoomInstance().getInfo().id, body, "chatcmd");
		
		return true;
	}
}
