package mod_moderation.chatcmds;

import mod_moderation.ModerationCenter;

import org.openhabbo.chatcommands.ChatCommandHandler;
import org.openhabbo.sessions.Session;

public class UserAlertCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Alerts user % with message %";
	}

	@Override
	public String getRequiredRight()
	{
		return null;//"fuse_alert";
	}

	@Override
	public boolean handle(Session session, String body)
	{
		// Get args
		String[] args = body.split(" ", 2);
		if(args.length < 2)
		{
			return false;
		}
		String username = args[0];
		String message = args[1];
		
		// Issue alert
		if(!ModerationCenter.getInstance().issueUserAlert(session.getUser().id, username, message, "chatcmd"))
		{
			session.sendNotif("Target user was not online.");
		}
		
		return true;
	}
}
