package mod_moderation.msgs;

import mod_moderation.ModerationCenter;
import mod_moderation.ModerationTicket;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class DeletePendingTicketHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// User has ticket?
		ModerationTicket ticket = ModerationCenter.getInstance().getUnpickedTicketForUser(session.getUser().id);
		if(ticket != null)
		{
			// Flag ticket as deleted
			ticket.status = ModerationTicket.STATUS_DELETED;
			ticket.saveStatus();
			
			// Broadcast updates
			ModerationCenter.getInstance().broadcastTicket(ticket);
		}
		
		// Yea yeah it's deleted now...
		response.init(320);
		session.send(response);
	}
}
