package mod_moderation.msgs;

import mod_moderation.ModerationActionError;
import mod_moderation.ModerationCenter;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;
import org.openhabbo.util.SecurityUtil;

public class ModBanUserHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Allowed to ban?
		if(!session.getUser().rights.contains("fuse_ban"))
		{
			return;
		}
		
		// Get ban info
		int userId = request.readInt();
		String message = SecurityUtil.filterStr(request.readStr());
		int hours = request.readInt();
		
		// Issue ban
		try
		{
			ModerationCenter.getInstance().issueUserBan(session.getUser().id, userId, message, hours);
		}
		catch(ModerationActionError error)
		{
			session.sendNotif(error.generateNotif());
		}
	}
}
