package mod_moderation.msgs;

import java.util.Date;
import java.util.List;

import mod_roomvisits.RoomVisit;
import mod_roomvisits.mod_roomvisits;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;
import org.openhabbo.users.UserManager;

public class ModGetRoomVisitsHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Has mod?
		if(!session.getUser().rights.contains("fuse_mod"))
		{
			return;
		}
		
		// Get user
		int userId = request.readInt();
		String username = UserManager.getInstance().getUsername(userId);
		if(username == null)
		{
			return;
		}

		// Get last 50 visits
		List<RoomVisit> visits = mod_roomvisits.getLastRoomVisitsForUser(userId, 50);
		
		// Build & send response
		response.init(537);
		response.appendInt(userId);
		response.appendStr(username);
		response.appendInt(visits.size());
		for(RoomVisit visit : visits)
		{
			Date entry = new Date(visit.entry);
			response.appendBool(visit.room.isPublicRoom());
			response.appendInt(visit.room.id);
			response.appendStr(visit.room.name);
			response.appendInt(entry.getHours());
			response.appendInt(entry.getMinutes());
		}
		session.send(response);
	}
}
