package mod_moderation.msgs;

import java.util.ArrayList;
import java.util.List;

import mod_recentrooms.RoomVisit;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;
import org.openhabbo.users.User;
import org.openhabbo.users.UserManager;

public class ModGetRoomVisitsHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Has mod?
		if(!session.getUser().rights.contains("fuse_mod"))
		{
			return;
		}
		
		// Get user info + visits
		User user = UserManager.getInstance().getUserById(request.readInt());
		if(user == null)
		{
			return;
		}
		List<RoomVisit> visits = new ArrayList<RoomVisit>();
		
		// Send the visits data
		response.init(537);
		response.appendStr(user.username);
		response.appendInt(visits.size());
		for(RoomVisit visit : visits)
		{
			//response.appendBool(isPublicRoom);
			//response.appendInt(roomId);
			//response.appendStr(roomName);
			response.appendInt(0); // hours
			response.appendInt(0); // minutes
		}
		session.send(response);
	}
}
