package mod_moderation.msgs;

import mod_moderation.ModerationActionError;
import mod_moderation.ModerationCenter;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class ModKickUserHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Can kick?
		if(!session.getUser().rights.contains("fuse_kick"))
		{
			return;
		}
		
		// Read info
		int userId = request.readInt();
		String message = request.readStr();
		
		// Issue kick (caution)
		try
		{
			ModerationCenter.getInstance().issueUserKick(session.getUser().id, session.getUser(), userId, message);
		}
		catch(ModerationActionError error)
		{
			session.sendNotif(error.generateNotif());
		}
	}
}
