package mod_moderation.msgs;

import mod_moderation.ModerationActionError;
import mod_moderation.ModerationCenter;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;
import org.openhabbo.util.SecurityUtil;

public class ModSendRoomAlertHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Can roomalert?
		if(!session.getUser().rights.contains("fuse_roomalert") || !session.inRoom())
		{
			return;
		}
		
		// Get alert info
		int unk = request.readInt();
		boolean isCaution = (request.readInt() == 3);
		String message = SecurityUtil.filterStr(request.readStr());
		
		// Issue ban
		try
		{
			ModerationCenter.getInstance().issueRoomAlert(session.getUser().id, session.getRoomInstance().getInfo().id, message, isCaution);
		}
		catch(ModerationActionError error)
		{
			session.sendNotif(error.generateNotif());
		}
	}
}
