package mod_moderation.msgs;

import mod_moderation.ModerationActionError;
import mod_moderation.ModerationCenter;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class ModSendUserCautionHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Can alert?
		if(!session.getUser().rights.contains("fuse_alert"))
		{
			return;
		}
		
		// Read info
		int userId = request.readInt();
		String message = request.readStr();
		
		// Issue alert (caution)
		try
		{
			ModerationCenter.getInstance().issueUserAlert(session.getUser().id, userId, message, true);
		}
		catch(ModerationActionError err)
		{
			session.sendNotif(err.generateNotif());
		}
	}
}
