package mod_monitor;

import org.openhabbo.OpenHABBO;
import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;
import org.openhabbo.rooms.RoomManager;
import org.openhabbo.sessions.SessionManager;

@ModuleInfo
(
		name = "mod_monitor",
		description = "Startup cleanup and periodically updating of server runtime stats in the database.", 
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_monitor/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_monitor extends Module
{
	private int peakOnlineUsers = 0;
	
	public mod_monitor()
	{
		this.enablePulseTimer(30);
	}
	
	@Override
	protected boolean onLoad()
	{
		// TODO: check/create system_monitor database table?
		
		OpenHABBO.getInstance().getDb().execute("UPDATE rooms SET users_now=0");
		this.peakOnlineUsers = OpenHABBO.getInstance().getDb().queryInt("SELECT onlineusers_peak FROM system_monitor");
		
		return true;
	}

	@Override
	protected void onPulse()
	{
		// Gather stats
		int onlineUsers = SessionManager.getInstance().authedSessions();
		int roomInstances = RoomManager.getInstance().instances();
		long memUsage = Runtime.getRuntime().totalMemory() / 1024;
		int dbConns = OpenHABBO.getInstance().getDb().getConnMgr().count();

		// Update peak?
		if(onlineUsers > this.peakOnlineUsers)
		{
			this.peakOnlineUsers = onlineUsers;
		}
		
		// Update stats
		OpenHABBO.getInstance().getDb().execute("UPDATE system_monitor SET onlineusers=" + onlineUsers + ",onlineusers_peak=" + this.peakOnlineUsers + ",roominstances=" + roomInstances + ",memusage=" + memUsage + ",dbconnections=" + dbConns);
	}
	
	@Override
	public final String getStatusString()
	{
		return "running";
	}
}
