package mod_postit;

import org.openhabbo.items.Item;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class DeletePostItHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Has room owner?
		if(!session.getRoomUser().hasRoomOwner)
		{
			return;
		}
		
		// Get item, delete it
		Item item = session.getRoomInstance().getItem(request.readInt());
		if(item != null && item instanceof PostItItem)
		{
			session.getRoomInstance().pickupAndDeleteItem(item.id);
		}
	}
}
