package mod_postit;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;

@ModuleInfo
(
		name = "mod_postit",
		description = "Enables support for post.it / sticky note furniture items.", 
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_postit/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_postit extends Module
{
	private final static String[] ALLOWED_COLORS = new String[] { "FFFF33", "FF9CFF", "9CCEFF", "9CFF9C" };
	
	public mod_postit()
	{
		this.getAutoLoader().itemImpl("PostIt", PostItItem.class);
		
		this.getAutoLoader().msgHandler(83, new OpenPostItHandler());
		this.getAutoLoader().msgHandler(84, new SavePostItHandler());
		this.getAutoLoader().msgHandler(85, new DeletePostItHandler());
	}
	
	public static boolean colorIsValid(String color)
	{
		for(int x = 0; x < mod_postit.ALLOWED_COLORS.length; x++)
		{
			if(mod_postit.ALLOWED_COLORS[x].equals(color))
			{
				return true;
			}
		}
		return false;
	}
	
	public static String formatCustomData(String color, String text)
	{
		return (color + " " + text);
	}
	
	public static String extractMessage(String customData)
	{
		return customData.split(" ")[1];
	}
}
