package mod_rateroom;

import java.util.List;

import org.openhabbo.events.EventListener;
import org.openhabbo.rooms.Room;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.messages.ServerMessage;

public class SendRoomContentHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session) subject;
		Room room = session.getRoomInstance().getInfo();

		// Entering guestroom?
		if(room.isGuestRoom())
		{
			// Get 'already rated' list
			List<Integer> rated = session.get("ratedRooms");
			if(rated != null)
			{
				// If rated before: append rating, else: -1 (still rateable!)
				ServerMessage msg = new ServerMessage(345);
				if(rated.contains(room.id))
				{
					msg.appendInt(room.rating);
				}
				else
				{
					msg.appendInt(-1);
				}
				session.send(msg);
			}
		}
		return true;
	}
}
