package mod_recentrooms;

import java.util.ArrayList;
import java.util.List;

import org.openhabbo.OpenHABBO;
import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;
import org.openhabbo.rooms.Room;
import org.openhabbo.sessions.Session;
import org.openhabbo.storage.DatabaseResult;
import org.openhabbo.storage.SQLHelper;

@ModuleInfo
(
		name = "mod_recentrooms",
		description = "Logs entry and exit of real users in rooms, with entry/exit timestamps.", 
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_recentrooms/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_recentrooms extends Module
{
	private final static int MAX_LIST_SIZE = 50;
	
	public mod_recentrooms()
	{
		this.getAutoLoader().msgHandler(436, new GetRecentRoomsHandler());
		this.getAutoLoader().eventListener(Session.onRoomEnter, new RoomEnterHook());
		this.getAutoLoader().eventListener(Session.onRoomExit, new RoomExitHook());
	}
	
	public static void logRoomEntry(int userId, int roomId)
	{
		OpenHABBO.getInstance().getDb().execute("INSERT INTO user_roomvisits(user_id,room_id,entry) VALUES (" + userId + "," + roomId + ",'" + SQLHelper.getDateTimeStr() + "')");
	}
	
	public static void logRoomExit(int userId, int roomId)
	{
		OpenHABBO.getInstance().getDb().execute("UPDATE user_roomvisits SET `exit` = '" + SQLHelper.getDateTimeStr() + "' WHERE user_id=" + userId + " AND room_id=" + roomId + " AND `exit` IS NULL LIMIT 1");
	}
	
	public static List<Room> getRecentGuestRoomsForUser(int userId)
	{
		List<Room> rooms = new ArrayList<Room>();

		List<Integer> exclude = new ArrayList<Integer>();
		DatabaseResult result = OpenHABBO.getInstance().getDb().query("SELECT r.*,u.username AS owner,rv.entry FROM user_roomvisits rv JOIN rooms r ON r.id = rv.room_id JOIN users u ON u.id=r.owner_id WHERE rv.user_id=" + userId + " ORDER BY rv.entry DESC LIMIT " + mod_recentrooms.MAX_LIST_SIZE);
		while(result.row())
		{
			int roomId = result.getInt("id");
			if(!exclude.contains(roomId))
			{
				rooms.add(Room.parse(result));
				exclude.add(roomId);
			}
		}
		result.release();

		return rooms;
	}
}
