package mod_remote;

import org.openhabbo.OpenHABBO;
import org.openhabbo.modules.Module;
import org.openhabbo.modules.Version;

public class mod_remote extends Module
{
	public mod_remote()
	{
		super(new Version(1, 0, 0), "A remote control / 'messaging' system to send instructions to the server over UDP. Can be used for communication between the website and the gameserver, etc.", "Nils 'Nillus'", "http://modules.openhabbo.org/mod_remote/");
	}
	
	@Override
	public boolean onLoad()
	{
		// Create & start remoteserver for RCON'ish issueing of commands
		int remotePortNumber = OpenHABBO.getInstance().getProperties().getInt("remote.portnumber", 1338);
		RemoteServer.createInstance(remotePortNumber);
		RemoteServer.getInstance().addAllowedIp("0:0:0:0:0:0:0:1%0");
		RemoteServer.getInstance().addAllowedIp("127.0.0.1");
		boolean started = RemoteServer.getInstance().start();
		
		return started;
	}

	@Override
	public void onUnload()
	{
		// Stop the remote command server
		RemoteServer.getInstance().stop();
	}
}
