package mod_roomevent;

import org.openhabbo.events.EventListener;
import org.openhabbo.rooms.RoomManager;
import org.openhabbo.rooms.instances.RoomInstance;
import org.openhabbo.sessions.Session;

public class LogoutHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session)subject;
		RoomEvent event = session.get("event");
		if(event != null)
		{
			// Remove from session + listings
			session.unset("event");
			RoomEventManager.getInstance().removeEvent(event);
			
			// Room instance running?
			RoomInstance room = RoomManager.getInstance().getRoomInstance(event.room.id, false);
			if(room != null)
			{
				room.unset("event");
				room.broadcast(RoomEvent.createMsg(null));
			}
		}
		return true;
	}
}
