package mod_switchstate;

import org.openhabbo.items.Item;
import org.openhabbo.sessions.Session;

public final class SwitchStateItem extends Item
{
	@Override
	public void onTrigger(Session session, int instruction)
	{
		// Parse current state + available states
		int state;
		try
		{
			state = Integer.parseInt(this.customData);
		}
		catch(NumberFormatException ex)
		{
			state = 0;
		}
		int availableStates = Integer.parseInt(this.definition.data);
		
		// Next state!
		state++;
		if(state >= availableStates)
		{
			state = 0;
		}
		this.setPersistentState(Integer.toString(state));
	}
}
