package mod_tags;

import java.util.ArrayList;
import java.util.List;

import org.openhabbo.OpenHABBO;
import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleInfo;
import org.openhabbo.sessions.Session;
import org.openhabbo.storage.DatabaseResult;

@ModuleInfo
(
		name = "mod_tags",
		description = "Enables support for user 'tags', showing interests like hobbies etc.", 
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_tags/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_tags extends Module
{
	public mod_tags()
	{
		this.getAutoLoader().eventListener(Session.onLogin, new LoginHook());
		this.getAutoLoader().msgHandler(263, new GetUserTagsHandler());
	}

	public static List<String> getTagsForUser(int userId)
	{
		List<String> tags = new ArrayList<String>(10);

		DatabaseResult result = OpenHABBO.getInstance().getDb().query("SELECT tag FROM user_tags WHERE user_id=" + userId);
		while(result.row())
		{
			tags.add(result.getString("tag"));
		}
		result.release();

		return tags;
	}
}
