package mod_teleporter;

import org.openhabbo.items.InteractableItem;
import org.openhabbo.rooms.instances.RoomTile;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.Session;

public class TeleporterItem extends InteractableItem
{
	@Override
	public void onTrigger(Session session, int newState)
	{
		// Attempt to move infront of the teleporter
		RoomUser user = session.getRoomUser();
		RoomTile frontTile = this.getTileInFront();
		if(!user.at(frontTile) && user.canMove())
		{
			user.requestNewTrip(frontTile.x, frontTile.y);
			return;
		}
		
		// Not in use yet?
		if(!this.inUse())
		{
			// Tadaa
			this.setUser(user);

			// Lock own movement, move into the teleporter
			user.lockMovement();
			user.overrideNextTile = true;
			user.requestNewTrip(this.x, this.y);

			// Wait...
			this.setTimeout(3);
		}
	}
	
	@Override
	protected void onTimeout()
	{
		
	}
}
