package mod_helptool;

import org.openhabbo.chatcommands.ChatCommandHandler;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.GameError;

public class ReloadHelpToolCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Reloads all categories and topics in the help tool (FAQ)";
	}

	@Override
	public String getRequiredRight()
	{
		return "can_reload_server";
	}
	
	@Override
	public String[] getSyntax()
	{
		return null;
	}

	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		HelpTool.getInstance().reload();
		session.sendNotif(String.format("Reloaded %d categories and %d topics.", HelpTool.getInstance().getAllCategories().size(), HelpTool.getInstance().getAllTopics().size()));
	}
}
