package mod_motd;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModulePayload;
import org.openhabbo.modules.Version;
import org.openhabbo.sessions.Session;

public final class mod_motd extends Module
{
	private static mod_motd instance;

	public mod_motd()
	{
		super(new Version(1, 0, 0), "Enables a Message Of The Day (MOTD) feature, which is a configured text message that shows to users upon login.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_motd/");
		mod_motd.instance = this;
	}

	@Override
	protected void initPayload(ModulePayload payload)
	{
		payload.eventListener(Session.onLogin, new LoginHook());
		payload.chatCmd("motd", new SetMotdCommandHandler());
	}

	@Override
	public String getStatusString()
	{
		return (mod_motd.get().getConfigValue("message") != null) ? "MOTD set" : "no MOTD set";
	}

	public static mod_motd get()
	{
		return mod_motd.instance;
	}
}
