package mod_pets;

public class Pet
{
	public final static int MAX_LEVEL = Pet.LEVELS.length;
	public final static int[] LEVELS = new int[] { 0, 100, 200, 400, 600, 1000, 1300, 1800, 2400, 3200, 4300, 7200, 8500, 10100, 13300, 17500, 23000, 51900 };
	public final static int MAX_ENERGY = 100;
	public final static int MAX_NUTRITION = 150;

	public int id;
	public String name;

	public int type;
	public String race;
	public String color;

	public int ownerId;
	public String ownerName;
	public long createdTime;

	public int level;
	public int experience;
	public int energy;
	public int nutrition;
	public int respect;

	public boolean requiresUpdate;

	public String getFigure()
	{
		return this.type + " " + this.race + " " + this.color;
	}

	public int getAgeInDays()
	{
		long age = System.currentTimeMillis() - this.createdTime;
		return (int) (age / 86400);
	}

	public int getExperienceGoal()
	{
		return 0;
	}

	public void addExperience(int exp)
	{
		if(this.experience >= Pet.LEVELS[Pet.MAX_LEVEL]) return;
	}
}
