package mod_pets;

import java.util.List;

import org.openhabbo.items.Item;
import org.openhabbo.users.User;

public final class PetItem extends Item
{
	@Override
	public String generatePurchaseCustomData(User user, String rawData)
	{
		// Parse parts that need checking
		String[] parts = rawData.split("\n", 3);
		String name = parts[0];
		
		// This name is not allowed...
		if(!PetUtil.validatePetName(name))
		{
			return Item.ERROR_CUSTOMDATA;
		}
		
		// Raw data is okay as it is
		return rawData;
	}
	
	@Override
	public void onPurchase(List<Item> shipping)
	{	
		// Parse pet data
		String[] parts = this.customData.split("\n", 3);
		String name = parts[0];
		int breed = Integer.parseInt(parts[1]);
		String color = parts[2];
		int type = PetUtil.productNameToPetType(this.definition.sprite);
		
		// Create the pet for this user, will appear in inventory
		mod_pets.createPet(this.ownerId, name, type, breed, color);
		
		// TODO: add free food item to shipping (sample!)
	}
}
