package mod_pets;

import org.openhabbo.rooms.instances.RoomAvatar;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.messages.ServerMessage;

public final class RoomPet extends RoomAvatar
{
	private Pet pet;

	public RoomPet(Pet pet)
	{
		this.pet = pet;
	}

	public Pet getInfo()
	{
		return this.pet;
	}

	@Override
	protected void onChatFromAvatar(RoomAvatar from, String text, boolean isShout)
	{
		// Respond to commands!
		if(from instanceof RoomUser)
		{
			if(text.startsWith(this.getInfo().name))
			{
				if(text.contains("hierkomen"))
				{
					this.chat("Okay eikel ik kom al", true);
					this.startMovingTo(from.x, from.y + 1);
				}
				else
				{
					this.statuses.clear();
					if(text.contains("doodliggen"))
					{
						this.addStatus("ded", Float.toString(this.z));
					}
					else if(text.contains("liggen"))
					{
						this.addStatus("lay", Float.toString(this.z));
					}
					else if(text.contains("spring"))
					{
						this.addStatus("jmp", Float.toString(this.z));
					}
					else if(text.contains("zitten"))
					{
						this.addStatus("sit", Float.toString(this.z));
					}
				}
			}
		}
	}

	@Override
	public void serialize(ServerMessage msg)
	{
		msg.appendInt(this.pet.id);
		msg.appendStr(this.pet.name);
		msg.appendStr("");
		msg.appendStr(this.pet.getFigure());
		msg.appendInt(this.avatarId);
		msg.appendInt(this.x);
		msg.appendInt(this.y);
		msg.appendStr(Float.toString(this.z));
		msg.appendInt(4);
		msg.appendInt(2);
		msg.appendInt(0);
	}
}
