package mod_pets;

import org.openhabbo.chatcommands.ChatCommandHandler;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.GameError;

public class TestPetCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Creates a test pet with given name";
	}

	@Override
	public String getRequiredRight()
	{
		return null;
	}
	
	@Override
	public String[] getSyntax()
	{
		return new String[] { "name", "type" };
	}

	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		Pet info = new Pet();
		info.id = 482;
		info.name = args[0];
		info.type = Integer.parseInt(args[1]);
		info.race = "008";
		info.color = "D98961";
		
		RoomPet pet = new RoomPet(info);
		pet.x = session.getRoomUser().x;
		pet.y = session.getRoomUser().y + 1;
		pet.z = session.getRoomUser().z;
		session.getRoomInstance().spawnAvatar(pet);
		
		pet.chat("Hallo met " + pet.getInfo().name, true);
		pet.startMovingTo(pet.x, pet.y + 5);
	}
}
