package mod_pets.msgs;

import mod_pets.PetUtil;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class CheckPetNameHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Read proposed pet name
		String name = request.readStr();

		// Run checks
		int errorCode = 0;
		if(!PetUtil.validatePetName(name))
		{
			errorCode = 2;
		}

		// Send check result
		response.init(36);
		response.appendInt(errorCode);
		session.send(response);
	}
}
