package mod_pets.msgs;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.sessions.messages.ClientMessage;
import org.openhabbo.sessions.messages.ServerMessage;

public class GetPetRacesHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Read product name, read pet type
		String productName = request.readStr();
		int petType = Integer.parseInt(productName.replace("a0 pet", ""));

		// Work out race amount per pet type
		int raceAmount = 0;
		switch(petType)
		{
			// Dog
			case 0:
				raceAmount = 25;
				break;

			// Cat
			case 1:
				raceAmount = 25;
				break;

			// Crocodile
			case 2:
				raceAmount = 25;
				break;

			// Terrier
			case 3:
				raceAmount = 7;
				break;

			// Bear
			case 4:
				raceAmount = 4;
				break;

			// Pig
			case 5:
				raceAmount = 7;
				break;

			// Lion
			case 6:
				raceAmount = 13;
				break;
			// Rhino
			case 7:
				raceAmount = 8;
				break;

			// Spider
			case 8:
				raceAmount = 13;
				break;
				
			// Unknown
			default:
				session.sendNotif("Unknown pet type!");
				return;
		}

		// Send available races
		response.init(827);
		response.appendStr(productName);
		response.appendInt(raceAmount);
		for(int raceId = 0; raceId < raceAmount; raceId++)
		{
			response.appendInt(petType);
			response.appendInt(raceId);
			response.appendBool(true);
			response.appendBool(false);
		}
		session.send(response);
	}
}
