package mod_trading;


import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.Session;

public final class Trade
{
	private TradePartner p1;
	private TradePartner p2;
	
	public void initialize(TradePartner p1, TradePartner p2)
	{
		this.p1 = p1;
		this.p2 = p2;
	}
	
	public void end()
	{

	}
	
	public TradePartner get(Session session)
	{
		if(this.p1.getSession() == session)
		{
			return this.p1;
		}
		else if(this.p2.getSession() == session)
		{
			return this.p2;
		}
		else
		{
			return null;
		}
	}
	
	public void send(ServerMessage msg)
	{
		// Finalize message
		byte[] data = msg.getResult();
		
		// Send the identical data to both users
		this.p1.getSession().getConnection().send(data);
		this.p2.getSession().getConnection().send(data);
	}
	

	public void complete()
	{
		
	}
	
	public static void createTrade(Session sess1, Session sess2)
	{
		Trade trade = new Trade();
		TradePartner p1 = new TradePartner(trade, sess1);
		TradePartner p2 = new TradePartner(trade, sess2);
		trade.initialize(p1, p2);
	}
}