package mod_trading;

import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleEventListener;
import org.openhabbo.modules.Version;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMsgRegistry;

public final class mod_trading extends Module
{
	private ModuleEventListener exitRoomHook = new ExitRoomHook();
	
	public mod_trading()
	{
		super(new Version(1, 0, 0), "Enables support for furniture trading between users.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_trading/");
	}
	
	@Override
	public boolean onLoad()
	{
		Session.addEventListener(Session.ON_ROOMEXIT, this.exitRoomHook);
		
		SessionMsgRegistry.register(68, new UnacceptTradeHandler());
		SessionMsgRegistry.register(69, new AcceptTradeHandler());
		SessionMsgRegistry.register(70, new StopTradeHandler());
		SessionMsgRegistry.register(71, new InitTradeHandler());
		SessionMsgRegistry.register(72, new OfferTradeItemHandler());
		SessionMsgRegistry.register(402, new CompleteTradeHandler());
		SessionMsgRegistry.register(403, new StopTradeHandler());
		SessionMsgRegistry.register(405, new TakeBackTradeItemHandler());
		return true;
	}

	@Override
	public void onUnload()
	{
		Session.removeEventListener(Session.ON_ROOMEXIT, this.exitRoomHook);
		
		SessionMsgRegistry.unregister(68);
		SessionMsgRegistry.unregister(69);
		SessionMsgRegistry.unregister(70);
		SessionMsgRegistry.unregister(71);
		SessionMsgRegistry.unregister(72);
		SessionMsgRegistry.unregister(402);
		SessionMsgRegistry.unregister(403);
		SessionMsgRegistry.unregister(405);
	}
}
