package mod_badges;

import java.util.Map.Entry;

import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class GetBadgesHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get badgeinventory
		BadgeInventory badges = session.get("badges");
		if(badges == null)
		{
			return;
		}
		
		// Build the response
		response.init(EServerMessage.Badges);
		response.appendInt(badges.getBadges().size());
		for(String badge : badges.getBadges().keySet())
		{
			response.appendStr(badge);
		}

		// Append all equipped badges of this user
		response.appendInt(badges.getEquipped().size());
		for(Entry<Byte, String> badge : badges.getEquipped().entrySet())
		{
			response.appendInt(badge.getKey());
			response.appendStr(badge.getValue());
		}

		// Enqueue the response
		session.send(response);
	}
}
