package mod_favoriterooms;

import java.util.ArrayList;
import java.util.List;

import org.openhabbo.OpenHABBO;
import org.openhabbo.modules.Module;
import org.openhabbo.modules.ModuleEventListener;
import org.openhabbo.registries.SessionMsgRegistry;
import org.openhabbo.sessions.Session;
import org.openhabbo.storage.DatabaseResult;

public final class mod_favoriterooms extends Module
{
	public final static int MAX_FAVS_PER_USER = 30;
	
	private static ModuleEventListener loginHook = new LoginHook();
	
	public mod_favoriterooms()
	{
		super("1.0", "Enables users to keep a list of favorite guestrooms.", "Nils 'Nillus'", "http://habbo.nillus.net/mod_favoriterooms/");
	}

	@Override
	public boolean onLoad()
	{
		SessionMsgRegistry.register(19, new AddFavoriteHandler());
		SessionMsgRegistry.register(20, new RemoveFavoriteHandler());
		SessionMsgRegistry.register(435, new GetFavoriteRoomsHandler());
		
		Session.addEventListener(Session.ON_LOGIN, mod_favoriterooms.loginHook);
		return true;
	}

	@Override
	public void onUnload()
	{
		SessionMsgRegistry.unregister(19);
		SessionMsgRegistry.unregister(20);
		SessionMsgRegistry.unregister(435);
		
		Session.removeEventListener(Session.ON_LOGIN, mod_favoriterooms.loginHook);
	}
	
	public static List<Integer> getFavoriteRoomsForUser(int userId)
	{
		List<Integer> favorites = new ArrayList<Integer>(3);
		
		DatabaseResult result = OpenHABBO.getInstance().getDb().query("SELECT room_id FROM user_favoriterooms WHERE user_id=" + userId);
		while(result.row())
		{
			favorites.add(result.getInt("room_id"));
		}
		result.release();
		
		return favorites;
	}
	
	public static void addFavoriteRoomForUser(int userId, int roomId)
	{
		OpenHABBO.getInstance().getDb().execute("INSERT INTO user_favoriterooms(user_id,room_id) VALUES (" + userId + "," + roomId + ")");
	}
	
	public static void removeFavoriteRoomForUser(int userId, int roomId)
	{
		OpenHABBO.getInstance().getDb().execute("DELETE FROM user_favoriterooms WHERE user_id=" + userId + " AND room_id=" + roomId);
	}
}
