package mod_tags;

import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class GetUserTagsHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the user to get tags for
		int userId = request.readInt();
		RoomUser user = session.getRoomInstance().getRoomUserByUserId(userId);

		// User is in the room?
		if(user != null)
		{
			// Serialize the taglist of this user
			response.init(EServerMessage.UserTags);
			response.appendInt(user.getUser().id);
			response.appendInt(user.getUser().tags.size());
			for(String tag : user.getUser().tags)
			{
				response.appendStr(tag);
			}
			session.send(response);
		}
	}
}
