package org.openhabbo.modules;

public abstract class Module
{
	public final String name;
	public final String version;
	public final String description;
	public final String author;
	public final String url;

	public Module(String version, String description, String author, String url)
	{
		this.name = this.getClass().getSimpleName();
		this.version = version;
		this.description = description;
		this.author = author;
		this.url = url;
	}

	public abstract boolean onLoad();

	public abstract void onUnload();
	
	public String getStatusString()
	{
		// Optionally overriden to provide statistics etc
		return null;
	}
	
	public final String toString()
	{
		return this.name + "/" + this.version;
	}
}
