package org.openhabbo.registries;

import java.util.HashMap;
import java.util.Map;

import org.openhabbo.remote.RemoteCommandHandler;

public final class RemoteCmdRegistry
{
	private final static Map<String, RemoteCommandHandler> entries = new HashMap<String, RemoteCommandHandler>();

	private RemoteCmdRegistry()
	{
		
	}
	
	public final static void register(String cmd, RemoteCommandHandler handler)
	{
		entries.put(cmd, handler);
	}

	public final static void unregister(String name)
	{
		entries.remove(name);
	}
	
	public final static boolean isKnown(String name)
	{
		return entries.containsKey(name);
	}

	public final static RemoteCommandHandler lookup(String name)
	{
		return entries.get(name);
	}

	public final static int count()
	{
		return entries.size();
	}
}
