package org.openhabbo.remote.std;

import org.openhabbo.OpenHABBO;
import org.openhabbo.remote.RemoteCommandHandler;

public class ServcastHandler implements RemoteCommandHandler
{
	@Override
	public String getCommand()
	{
		return "SERVCAST";
	}

	@Override
	public void handle(String payload)
	{
		String[] args = payload.split(ARG_DELIMITER, 3);
		int issuerId = Integer.parseInt(args[0]);
		String message = args[1];
		String url = args.length >= 3 ? args[2] : null;

		OpenHABBO instance = OpenHABBO.getInstance();
		instance.getSessionMgr().sendNotifToAll(message, url);
		instance.getSupportCenter().writeSupportLog(issuerId, 0, "servcast", message, "via remote (url: " + ((url != null) ? url : "none") + ")");
	}
}