package org.openhabbo.remote.std;

import org.openhabbo.OpenHABBO;
import org.openhabbo.remote.RemoteCommandHandler;
import org.openhabbo.sessions.Session;

public class UserBalanceUpdateHandler implements RemoteCommandHandler
{
	@Override
	public String getCommand()
	{
		return "USERBALANCE";
	}

	@Override
	public void handle(String payload)
	{
		int userId = Integer.parseInt(payload);

		Session sess = OpenHABBO.getInstance().getSessionMgr().getSessionByUserId(userId);
		if(sess != null)
		{
			sess.getUser().reloadCreditsAndPixels();
			sess.sendCreditBalance();
			sess.sendPixelBalance();
		}
	}
}
