package org.openhabbo.sessions.handlers;

import org.openhabbo.OpenHABBO;
import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class DeclineRequestHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Requires initialized messenger
		if(!session.getInstantMessenger().initialized()) return;

		// Determine the amount of user IDs in the message
		int amount = request.readInt();
		for(int x = 0; x < amount; x++)
		{
			// Check if this user really has a buddy request from this user, if so, remove it and silently delete the 'pending' relation
			int fromUserId = request.readInt();
			if(session.getInstantMessenger().hasRequest(fromUserId))
			{
				session.getInstantMessenger().removeRequest(fromUserId);
				OpenHABBO.getInstance().getImSvc().deleteRelation(session.getUser().id, fromUserId);
			}
		}
	}
}
