package org.openhabbo.sessions.handlers;

import org.openhabbo.OpenHABBO;
import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.rooms.Room;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class DeleteRoomHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Retrieve the room info
		int roomId = request.readInt();
		Room room = OpenHABBO.getInstance().getRoomMgr().getRoomInfo(roomId);

		// Only the room owner can delete the room!
		if(room != null && session.getUser().id == room.ownerId)
		{
			OpenHABBO.getInstance().getRoomMgr().deleteGuestRoom(roomId);
		}
	}
}
