package org.openhabbo.sessions.handlers;

import java.util.Map.Entry;

import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class GetBadgesHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Start the response
		response.init(EServerMessage.Badges);

		// Append all badges of this user
		response.appendInt(session.getUser().badges.size());
		for(String badge : session.getUser().badges.keySet())
		{
			response.appendStr(badge);
		}

		// Append all equipped badges of this user
		response.appendInt(session.getUser().equippedBadges.size());
		for(Entry<Byte, String> badge : session.getUser().equippedBadges.entrySet())
		{
			response.appendInt(badge.getKey());
			response.appendStr(badge.getValue());
		}

		// Enqueue the response
		session.send(response);
	}
}
