package org.openhabbo.sessions.handlers;

import java.util.Collection;

import org.openhabbo.OpenHABBO;
import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.rooms.RoomCategory;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class GetFlatCatsHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get all flat categories
		Collection<RoomCategory> categories = OpenHABBO.getInstance().getNavigator().getCategories();

		// Serialize the categories
		response.init(EServerMessage.UserFlatCats);
		response.appendInt(categories.size());
		for(RoomCategory category : categories)
		{
			response.appendInt(category.id);
			response.appendStr(category.name);
			response.appendStr(""); // ??
		}
		session.send(response);
	}
}
