package org.openhabbo.sessions.handlers;

import org.openhabbo.items.pets.Pet;
import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class GetPetInfoHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the requested pet info from room instance
		int petId = request.readInt();
		Pet pet = new Pet(); // TODO: grab from room instance
		pet.id = petId;

		// Pet exists?
		if(pet != null)
		{
			response.init(601);

			response.appendInt(pet.id);
			response.appendStr(pet.name);
			response.appendInt(pet.level);
			response.appendInt(Pet.MAX_LEVEL);
			response.appendInt(pet.experience);
			response.appendInt(Pet.LEVELS[pet.level + 1]);
			response.appendInt(pet.energy);
			response.appendInt(Pet.MAX_ENERGY);
			response.appendInt(pet.nutrition);
			response.appendInt(Pet.MAX_NUTRITION);
			response.appendStr(pet.getFigure());
			response.appendInt(pet.respect);
			response.appendInt(pet.ownerId);
			response.appendInt(pet.getAgeInDays());
			response.appendStr(pet.ownerName);

			session.send(response);
		}
	}
}
