package org.openhabbo.sessions.handlers;

import org.openhabbo.items.roomdimmer.RoomDimmerData;
import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class GetRoomDimmerEditDataHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Only room owners have access to dimmer data
		RoomDimmerData dimmer = session.getRoomInstance().get("roomDimmer");
		if(dimmer == null || !session.getRoomUser().hasRoomOwner)
		{
			return;
		}

		// Serialize the edit data
		response.init(EServerMessage.RoomDimmerEditData);
		response.appendInt(dimmer.presets.length);
		response.appendInt(dimmer.currentPreset);
		for(int x = 0; x < dimmer.presets.length; x++)
		{
			response.appendInt(x + 1);
			response.appendInt(dimmer.presets[x].backgroundOnly ? 2 : 1);
			response.appendStr(dimmer.presets[x].color);
			response.appendInt(dimmer.presets[x].intensity);
		}
		session.send(response);
	}
}
