package org.openhabbo.sessions.handlers;

import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;
import org.openhabbo.users.User;

public class GetUserInfoHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Shorthand variable
		User user = session.getUser();

		// Provide the client with all the info in the user object
		response.init(EServerMessage.UserObject);
		response.appendStr(Integer.toString(user.id));
		response.appendStr(user.username);
		response.appendStr(user.figure);
		response.appendStr(Character.toString(user.gender));
		response.appendStr(user.motto);
		response.appendStr(user.realName);
		response.appendInt(0);
		response.appendStr("");
		response.appendInt(0);
		response.appendInt(0);
		response.appendInt(user.respect);
		response.appendInt(user.dailyRespectPoints); // respect to give away
		response.appendInt(user.dailyPetRespectPoints);
		session.send(response);
	}
}
