package org.openhabbo.sessions.handlers;

import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class GiveRespectHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the user ID of the receiving user
		int receiverId = request.readInt();

		// This user is in the room and has respect to give out?
		if(session.inRoom() && session.getUser().dailyRespectPoints > 0)
		{
			// Get the receiver from the room
			RoomUser receiver = session.getRoomInstance().getRoomUserByUserId(receiverId);
			if(receiver != null)
			{
				// Update the respect of both users, this is saved upon logout
				receiver.getUser().respect++;
				session.getUser().dailyRespectPoints--;

				// Notify the room of this moment of sheer epicness
				response.init((EServerMessage.RespectNotification));
				response.appendInt(receiver.getUser().id);
				response.appendInt(receiver.getUser().respect);
				session.getRoomInstance().broadcast(response);
			}
		}
	}
}
