package org.openhabbo.sessions.handlers;

import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.rooms.RoomModel;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class GoToHotelViewHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// User actually in a room?
		if(session.inRoom())
		{
			// Get the model info of the room
			RoomModel model = session.getRoomInstance().getModel();

			// Start a new movement trip to the door tile of this room (this will trigger leaving the room upon arrival)
			session.getRoomUser().requestNewTrip(model.doorX, model.doorY);
		}
	}
}
