package org.openhabbo.sessions.handlers;

import org.openhabbo.OpenHABBO;
import org.openhabbo.messenger.MessengerBuddy;
import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class RequestBuddyHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Requires initialized messenger
		if(!session.getInstantMessenger().initialized()) return;

		// Find user
		String username = request.readStr();
		MessengerBuddy receiver = OpenHABBO.getInstance().getImSvc().getBuddyInfoByUsername(username);
		if(receiver == null) return;

		// Not already a buddy?
		if(session.getInstantMessenger().hasBuddy(receiver.userId))
		{
			return;
		}

		// Block buddyrequest?
		if(!receiver.blockRequests)
		{
			OpenHABBO.getInstance().getImSvc().createBuddyRequest(session.getUser().id, session.getUser().username, receiver.userId);
		}
		else
		{
			response.init(EServerMessage.MessengerError);
			response.appendInt(39);
			response.appendInt(3);
			session.send(response);
		}
	}
}
