package org.openhabbo.sessions.handlers;

import org.openhabbo.items.Item;
import org.openhabbo.net.messages.ClientMessage;
import org.openhabbo.net.messages.ServerMessage;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.EServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionMessageHandler;

public class TakeItemHandler implements SessionMessageHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Allowed to pickup items?
		RoomUser user = session.getRoomUser();
		if(user == null || !user.hasRoomOwner)
		{
			return;
		}

		// Parse item type + ID
		boolean isFloorItem = (request.readInt() == 2);
		int itemId = request.readInt();

		// Attempt pickup
		Item item = session.getRoomInstance().pickupItem(itemId, user);
		if(item != null)
		{
			// Put the item in the inventory + save
			session.getItemInventory().addItem(item, true);

			// Refresh
			response.init(EServerMessage.InventoryUpdate);
			session.send(response);
		}
	}
}
