package org.openhabbo.users;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.openhabbo.OpenHABBO;
import org.openhabbo.sessions.Session;
import org.openhabbo.storage.DatabaseResult;
import org.openhabbo.storage.SQLHelper;

public class UserManager
{
	public User getUserById(int userId, boolean lookupSessions)
	{
		if(lookupSessions)
		{
			Session sess = OpenHABBO.getInstance().getSessionMgr().getSessionByUserId(userId);
			if(sess != null)
			{
				return sess.getUser();
			}
		}

		DatabaseResult result = OpenHABBO.getInstance().getDb().query("SELECT * FROM users WHERE id=" + userId);
		User user = result.row() ? User.parse(result) : null;
		result.release();

		return user;
	}

	public User getUserByUsername(String username, boolean lookupSessions)
	{
		if(lookupSessions)
		{
			Session sess = OpenHABBO.getInstance().getSessionMgr().getSessionByUsername(username);
			if(sess != null)
			{
				return sess.getUser();
			}
		}

		DatabaseResult result = OpenHABBO.getInstance().getDb().query("SELECT * FROM users WHERE username='" + SQLHelper.escape(username) + "'");
		User user = result.row() ? User.parse(result) : null;
		result.release();

		return user;
	}

	public User getUserByAuthTicket(String ticket)
	{
		DatabaseResult result = OpenHABBO.getInstance().getDb().query("SELECT * FROM users WHERE auth_ticket='" + SQLHelper.escape(ticket) + "'");
		User user = result.row() ? User.parse(result) : null;
		result.release();

		return user;
	}

	public int getUserId(String username)
	{
		DatabaseResult result = OpenHABBO.getInstance().getDb().query("SELECT id FROM users WHERE username = '" + SQLHelper.escape(username) + "'");
		int userId = result.row() ? result.getInt("id") : 0;
		result.release();

		return userId;
	}

	public List<String> getTagsForUser(int userId)
	{
		List<String> tags = new ArrayList<String>(10);

		DatabaseResult result = OpenHABBO.getInstance().getDb().query("SELECT tag FROM user_tags WHERE user_id=" + userId);
		while(result.row())
		{
			tags.add(result.getString("tag"));
		}
		result.release();

		return tags;
	}

	public Map<String, Byte> getBadgesForUser(int userId)
	{
		Map<String, Byte> badges = new HashMap<String, Byte>();

		DatabaseResult result = OpenHABBO.getInstance().getDb().query("SELECT badge,slot FROM user_badges WHERE user_id=" + userId);
		while(result.row())
		{
			badges.put(result.getString("badge"), result.getByte("slot"));
		}
		result.release();

		return badges;
	}
}
