package org.openhabbo.users.achievements;

import org.openhabbo.storage.DatabaseResult;

public class Achievement
{
	public final static int START_LEVEL = 1;

	public int id;
	public int maxLevel;
	private String badge;
	private boolean badgeDynamicLevel;
	public int pixelsBase;
	public float pixelsMultiplier;

	public String getBadge(int level)
	{
		if(this.badgeDynamicLevel)
		{
			return this.badge + level;
		}
		else
		{
			return this.badge;
		}
	}

	public int getPixels(int level)
	{
		return (int) (this.pixelsBase + (level * this.pixelsMultiplier));
	}

	public static Achievement parse(DatabaseResult result)
	{
		Achievement ach = new Achievement();
		ach.id = result.getInt("id");
		ach.maxLevel = result.getInt("max_level");
		ach.badge = result.getString("badge");
		ach.badgeDynamicLevel = result.getBoolean("badge_dynamiclevel");
		ach.pixelsBase = result.getInt("pixels_base");
		ach.pixelsMultiplier = result.getFloat("pixels_multiplier");
		return ach;
	}
}
