package org.openhabbo.util;

public final class ChatUtil
{
	private final static int GESTURE_NONE = 0;
	private final static int GESTURE_SMILE = 1;
	private final static int GESTURE_ANGRY = 2;
	private final static int GESTURE_SURPRISED = 3;
	private final static int GESTURE_SAD = 4;

	public static int getChatGesture(String text)
	{
		// Find the separate words in the text
		text = text.toLowerCase();
		String[] words = text.toLowerCase().split(" ");

		// Check every word for emotes, first one counts
		for(String word : words)
		{
			if(word.equals(":)") || word.equals(":d") || word.equals("=]") || word.equals("=d") || word.equals(":>"))
			{
				return GESTURE_SMILE;
			}
			else if(word.equals(">:(") || word.equals(":@"))
			{
				return GESTURE_ANGRY;
			}
			else if(word.equals(":o") || word.equals("=o"))
			{
				return GESTURE_SURPRISED;
			}
			else if(word.equals(":(") || word.equals(";(") || word.equals("=[") || word.equals(":'("))
			{
				return GESTURE_SAD;
			}
		}
		return GESTURE_NONE;
	}
}
