package org.openhabbo.communication;

import org.openhabbo.communication.requests.catalog.GetCatalogIndexHandler;
import org.openhabbo.communication.requests.catalog.GetCatalogPageHandler;
import org.openhabbo.communication.requests.catalog.GetSpecialCataPages2Handler;
import org.openhabbo.communication.requests.catalog.GetSpecialCataPagesHandler;
import org.openhabbo.communication.requests.catalog.PurchaseProductHandler;
import org.openhabbo.communication.requests.handshake.HeartbeatHandler;
import org.openhabbo.communication.requests.handshake.RequestDisconnectHandler;
import org.openhabbo.communication.requests.handshake.SendSessionParamsHandler;
import org.openhabbo.communication.requests.handshake.SsoLoginHandler;
import org.openhabbo.communication.requests.navigator.CanCreateRoomHandler;
import org.openhabbo.communication.requests.navigator.CreateRoomHandler;
import org.openhabbo.communication.requests.navigator.DeleteRoomHandler;
import org.openhabbo.communication.requests.navigator.EnterRoomViaDoorbellHandler;
import org.openhabbo.communication.requests.navigator.GetFlatCatsHandler;
import org.openhabbo.communication.requests.navigator.GetHomeRoomHandler;
import org.openhabbo.communication.requests.navigator.GetNavigatorFrontpage;
import org.openhabbo.communication.requests.navigator.GetOwnRoomsHandler;
import org.openhabbo.communication.requests.navigator.GetPopularRoomsHandler;
import org.openhabbo.communication.requests.navigator.GetPopularRoomTagsHandler;
import org.openhabbo.communication.requests.navigator.GetPublicRoomFiles;
import org.openhabbo.communication.requests.navigator.GetRoomEditDataHandler;
import org.openhabbo.communication.requests.navigator.GetRoomInfoHandler;
import org.openhabbo.communication.requests.navigator.GetTopRatedRoomsHandler;
import org.openhabbo.communication.requests.navigator.OpenFlatHandler;
import org.openhabbo.communication.requests.navigator.OpenPubHandler;
import org.openhabbo.communication.requests.navigator.PerformRoomSearchByTagsHandler;
import org.openhabbo.communication.requests.navigator.PerformRoomSearchHandler;
import org.openhabbo.communication.requests.navigator.SaveRoomDataHandler;
import org.openhabbo.communication.requests.navigator.SaveRoomIconHandler;
import org.openhabbo.communication.requests.navigator.SetHomeRoomHandler;
import org.openhabbo.communication.requests.navigator.TakeAllRightsHandler;
import org.openhabbo.communication.requests.room.chat.ShoutHandler;
import org.openhabbo.communication.requests.room.chat.StartTypingHandler;
import org.openhabbo.communication.requests.room.chat.StopTypingHandler;
import org.openhabbo.communication.requests.room.chat.TalkHandler;
import org.openhabbo.communication.requests.room.chat.WhisperHandler;
import org.openhabbo.communication.requests.room.content.GetHeightMapHandler;
import org.openhabbo.communication.requests.room.content.GetRoomContentDataHandler;
import org.openhabbo.communication.requests.room.content.GetSpriteIndexHandler;
import org.openhabbo.communication.requests.room.flatctrl.AnswerDoorbellHandler;
import org.openhabbo.communication.requests.room.flatctrl.BanUserHandler;
import org.openhabbo.communication.requests.room.flatctrl.GiveRightsHandler;
import org.openhabbo.communication.requests.room.flatctrl.KickBotHandler;
import org.openhabbo.communication.requests.room.flatctrl.KickUserHandler;
import org.openhabbo.communication.requests.room.flatctrl.TakeRightsHandler;
import org.openhabbo.communication.requests.room.ignoreuser.IgnoreUserHandler;
import org.openhabbo.communication.requests.room.ignoreuser.UnignoreUserHandler;
import org.openhabbo.communication.requests.room.items.MoveFloorItemHandler;
import org.openhabbo.communication.requests.room.items.MoveWallItemHandler;
import org.openhabbo.communication.requests.room.items.PickupItemHandler;
import org.openhabbo.communication.requests.room.items.PlaceItemHandler;
import org.openhabbo.communication.requests.room.items.ToggleItemHandler;
import org.openhabbo.communication.requests.room.self.DanceHandler;
import org.openhabbo.communication.requests.room.self.GiveRespectHandler;
import org.openhabbo.communication.requests.room.self.GoToHotelViewHandler;
import org.openhabbo.communication.requests.room.self.LookToHandler;
import org.openhabbo.communication.requests.room.self.MoveHandler;
import org.openhabbo.communication.requests.room.self.WaveHandler;
import org.openhabbo.communication.requests.user.GetAchievementsHandler;
import org.openhabbo.communication.requests.user.GetBalanceHandler;
import org.openhabbo.communication.requests.user.GetInventoryHandler;
import org.openhabbo.communication.requests.user.GetUserInfoHandler;
import org.openhabbo.communication.requests.user.SetLookTransferHandler;
import org.openhabbo.communication.requests.user.UpdateLookHandler;
import org.openhabbo.communication.requests.user.UpdateMottoHandler;
import org.openhabbo.core.Registry;

public final class ClientRequestRegistry
{
	private final static Registry<Integer, RequestHandler> registry = new Registry<Integer, RequestHandler>();

	public final static Registry<Integer, RequestHandler> get()
	{
		return registry;
	}

	static
	{
		// Stock msg handlers
		registry.register(512, new RequestDisconnectHandler());
		registry.register(206, new SendSessionParamsHandler());
		registry.register(415, new SsoLoginHandler());
		registry.register(7, new GetUserInfoHandler());
		registry.register(8, new GetBalanceHandler());
		registry.register(44, new UpdateLookHandler());
		registry.register(484, new UpdateMottoHandler());
		registry.register(404, new GetInventoryHandler());
		registry.register(391, new OpenFlatHandler());
		registry.register(388, new GetPublicRoomFiles());
		registry.register(2, new OpenPubHandler());
		registry.register(53, new GoToHotelViewHandler());
		registry.register(151, new GetFlatCatsHandler());
		registry.register(233, new GetHomeRoomHandler());
		registry.register(380, new GetNavigatorFrontpage());
		registry.register(385, new GetRoomInfoHandler());
		registry.register(430, new GetPopularRoomsHandler());
		registry.register(431, new GetTopRatedRoomsHandler());
		registry.register(434, new GetOwnRoomsHandler());
		registry.register(382, new GetPopularRoomTagsHandler());
		registry.register(437, new PerformRoomSearchHandler());
		registry.register(438, new PerformRoomSearchByTagsHandler());
		registry.register(215, new GetSpriteIndexHandler());
		registry.register(390, new GetHeightMapHandler());
		registry.register(126, new GetRoomContentDataHandler());
		registry.register(52, new TalkHandler());
		registry.register(55, new ShoutHandler());
		registry.register(56, new WhisperHandler());
		registry.register(75, new MoveHandler());
		registry.register(387, new CanCreateRoomHandler());
		registry.register(29, new CreateRoomHandler());
		registry.register(400, new GetRoomEditDataHandler());
		registry.register(386, new SaveRoomIconHandler());
		registry.register(401, new SaveRoomDataHandler());
		registry.register(96, new GiveRightsHandler());
		registry.register(97, new TakeRightsHandler());
		registry.register(155, new TakeAllRightsHandler());
		registry.register(95, new KickUserHandler());
		registry.register(320, new BanUserHandler());
		registry.register(384, new SetHomeRoomHandler());
		registry.register(23, new DeleteRoomHandler());
		registry.register(79, new LookToHandler());
		registry.register(317, new StartTypingHandler());
		registry.register(318, new StopTypingHandler());
		registry.register(319, new IgnoreUserHandler());
		registry.register(322, new UnignoreUserHandler());
		registry.register(94, new WaveHandler());
		registry.register(93, new DanceHandler());
		registry.register(98, new AnswerDoorbellHandler());
		registry.register(59, new EnterRoomViaDoorbellHandler());
		registry.register(67, new PickupItemHandler());
		registry.register(73, new MoveFloorItemHandler());
		registry.register(90, new PlaceItemHandler());
		registry.register(91, new MoveWallItemHandler());
		registry.register(392, new ToggleItemHandler()); // Generic trigger item
		registry.register(393, new ToggleItemHandler()); // Generic trigger item
		registry.register(371, new GiveRespectHandler());
		registry.register(314, new ToggleItemHandler()); // Love Shuffler
		registry.register(441, new KickBotHandler());
		registry.register(480, new SetLookTransferHandler());
		registry.register(315, new HeartbeatHandler());
		registry.register(101, new GetCatalogIndexHandler());
		registry.register(102, new GetCatalogPageHandler());
		registry.register(100, new PurchaseProductHandler());
		registry.register(3011, new GetSpecialCataPagesHandler());
		registry.register(473, new GetSpecialCataPages2Handler());
		registry.register(370, new GetAchievementsHandler());
	}
}
