package org.openhabbo.communication.requests.navigator;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.rooms.Room;
import org.openhabbo.rooms.RoomManager;
import org.openhabbo.sessions.Session;

public class DeleteRoomHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Retrieve the room info
		int roomId = request.readInt();
		Room room = RoomManager.getInstance().getRoomInfo(roomId);

		// Only the room owner can delete the room!
		if(room != null && session.getUser().id == room.ownerId)
		{
			RoomManager.getInstance().deleteGuestRoom(roomId);
		}
	}
}
