package org.openhabbo.communication.requests.navigator;

import java.util.Collection;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.EServerMessage;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.rooms.RoomCategory;
import org.openhabbo.rooms.RoomNavigator;
import org.openhabbo.sessions.Session;

public class GetFlatCatsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get all flat categories
		Collection<RoomCategory> categories = RoomNavigator.getInstance().getCategories();

		// Serialize the categories
		response.init(EServerMessage.UserFlatCats);
		response.appendInt(categories.size());
		for(RoomCategory category : categories)
		{
			response.appendInt(category.id);
			response.appendStr(category.name);
			response.appendStr(""); // ??
		}
		session.send(response);
	}
}
