package org.openhabbo.communication.requests.navigator;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.EServerMessage;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.rooms.Room;
import org.openhabbo.rooms.RoomManager;
import org.openhabbo.sessions.Session;

public class GetRoomInfoHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the required room info
		int roomId = request.readInt();
		boolean flag = request.readBool();
		Room room = RoomManager.getInstance().getRoomInfo(roomId);

		// Room exists and is a guestroom?
		if(room != null && room.isGuestRoom())
		{
			response.init(EServerMessage.GuestRoomResult);
			response.appendBool(flag);
			response.appendObject(room);
			session.send(response);
		}
	}
}
