package org.openhabbo.communication.requests.room.self;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.rooms.RoomModel;
import org.openhabbo.sessions.Session;

public class GoToHotelViewHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// User actually in a room?
		if(session.inRoom())
		{
			// Get the model info of the room
			RoomModel model = session.getRoomInstance().getModel();

			// Start a new movement trip to the door tile of this room (this will trigger leaving the room upon arrival)
			session.getRoomUser().startMovingTo(model.doorX, model.doorY);
		}
	}
}
