package org.openhabbo.communication.requests.room.self;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.Session;

public class MoveHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Move to where?
		int tileX = request.readInt();
		int tileY = request.readInt();

		// Start moving!
		RoomUser user = session.getRoomUser();
		if(user != null && user.canMove())
		{
			user.startMovingTo(tileX, tileY);
		}
	}
}
