package org.openhabbo.communication.requests.user;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.EServerMessage;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.users.User;

public class GetUserInfoHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Shorthand variable
		User user = session.getUser();

		// Provide the client with all the info in the user object
		response.init(EServerMessage.UserObject);
		response.appendStr(user.id);
		response.appendStr(user.username);
		response.appendStr(user.figure);
		response.appendStr(user.gender);
		response.appendStr(user.motto);
		response.appendStr(user.realName);
		response.appendInt(0);
		response.appendStr("");
		response.appendInt(0);
		response.appendInt(0);
		response.appendInt(user.respect);
		response.appendInt(user.respectPoints); // respect to give away
		response.appendInt(user.petRespectPoints);
		session.send(response);
	}
}
