package org.openhabbo.communication.requests.user;

import mod_messenger.InstantMessenger;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.EServerMessage;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.core.Logger;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.FigureValidator;

public class UpdateLookHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Parse new data
		char newGender = request.readStr().equals("F") ? 'F' : 'M';
		String newFigure = request.readStr();

		// Valid new figure?
		if(true)//FigureValidator.figureIsValid(newFigure))
		{
			session.getUser().figure = newFigure;
			session.getUser().gender = newGender;
			session.getUser().saveAppearance();
		}
		else
		{
			Logger.getInstance().warning(session, String.format("User #%d (%s) tried to use a 'mutant figure': '%s'. Figure not updated.", session.getUser().id, session.getUser().username, newFigure));
		}

		// Send update to client
		response.init(EServerMessage.UserChange);
		response.appendInt(-1);
		response.appendStr(session.getUser().figure);
		response.appendStr(session.getUser().gender);
		response.appendStr(session.getUser().motto);
		session.send(response);

		// Update on messenger
		InstantMessenger messenger = session.get("messenger");
		if(messenger != null)
		{
			messenger.updateStatus(true);
		}
		
		// If in room, then the room users need an update too!
		if(session.inRoom())
		{
			response.init(EServerMessage.UserChange);
			response.appendInt(session.getRoomUser().avatarId);
			response.appendStr(session.getUser().figure);
			response.appendStr(Character.toString(session.getUser().gender));
			response.appendStr(session.getUser().motto);
			session.getRoomInstance().broadcast(response);
		}
	}
}
