package org.openhabbo.net;

import org.jboss.netty.channel.ChannelHandlerContext;
import org.jboss.netty.channel.ChannelStateEvent;
import org.jboss.netty.channel.SimpleChannelHandler;
import org.jboss.netty.channel.group.ChannelGroup;

public final class GroupingHandler extends SimpleChannelHandler
{
	private final ChannelGroup group;
	
	public GroupingHandler(ChannelGroup group)
	{
		this.group = group;
	}

	@Override
	public void channelOpen(ChannelHandlerContext cxt, ChannelStateEvent e)
	{
		group.add(cxt.getChannel());
	}
	
	@Override
	public void channelClosed(ChannelHandlerContext cxt, ChannelStateEvent e)
	{
		group.remove(cxt.getChannel());
	}
}