package org.openhabbo.rooms.instances;

import org.openhabbo.core.DynamicObject;

public abstract class FloorEntity extends DynamicObject
{
	public int x;
	public int y;
	public byte rotation;
	private RoomInstance room;
	
	public RoomInstance getRoom()
	{
		return this.room;
	}
	
	public boolean at(RoomTile tile)
	{
		return this.at(tile.x, tile.y);
	}

	public boolean at(int x, int y)
	{
		return(this.x == x && this.y == y);
	}

	public boolean touches(RoomTile tile)
	{
		return this.touches(tile.x, tile.y);
	}

	public boolean touches(int x, int y)
	{
		return this.room.getMap().tilesTouch(this.x, this.y, x, y);
	}
	
	public final RoomTile getTile()
	{
		return this.room.getMap().getTile(this.x, this.y);
	}

	public final RoomTile getTileInFront()
	{
		int x = this.x;
		int y = this.y;
		if(this.rotation == 0)
		{
			y--;
		}
		else if(this.rotation == 2)
		{
			x++;
		}
		else if(this.rotation == 4)
		{
			y++;
		}
		else if(this.rotation == 6)
		{
			x--;
		}
		return this.room.getMap().getTile(x, y);
	}

	public final RoomTile getTileBehind()
	{
		int x = this.x;
		int y = this.y;
		if(this.rotation == 0)
		{
			y++;
		}
		else if(this.rotation == 2)
		{
			x--;
		}
		else if(this.rotation == 4)
		{
			y--;
		}
		else if(this.rotation == 6)
		{
			x++;
		}
		return this.room.getMap().getTile(x, y);
	}

}
