package mod_badges;

import java.util.Map.Entry;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.EServerMessage;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.Session;

public class GetUserBadgesHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the user to get the badges of
		int userId = request.readInt();
		RoomUser user = session.getRoomInstance().getUserByUserId(userId);

		// User in the room?
		if(user != null)
		{
			// Get badge inventory
			BadgeInventory badges = user.getSession().get("badges");
			if(badges != null)
			{
				// Serialize equipped badges list
				response.init(EServerMessage.UserBadges);
				response.appendInt(user.getInfo().id);
				response.appendInt(badges.getEquipped().size());
				for(Entry<Byte, String> badge : badges.getEquipped().entrySet())
				{
					response.appendInt(badge.getKey());
					response.appendStr(badge.getValue());
				}
				session.send(response);
			}
		}
	}
}
