package mod_corechatcmds;

import org.openhabbo.chatcommands.ChatCommandHandler;
import org.openhabbo.items.ItemManager;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.GameError;

public class ReloadItemDefinitionsCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Reloads all item definitions";
	}

	@Override
	public String getRequiredRight()
	{
		return "reload_server";
	}
	
	@Override
	public String[] getSyntax()
	{
		return null;
	}

	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		ItemManager.getInstance().reloadDefinitions();
		session.sendNotif(String.format("Reloaded %d item definitions.", ItemManager.getInstance().getAllDefinitions().size()));
	}
}
