package mod_corechatcmds;

import org.openhabbo.access.AccessControl;
import org.openhabbo.chatcommands.ChatCommandHandler;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.GameError;

public class ReloadUserRolesCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Reloads all user roles and associated rights";
	}

	@Override
	public String getRequiredRight()
	{
		return "reload_server";
	}
	
	@Override
	public String[] getSyntax()
	{
		return null;
	}

	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		AccessControl.getInstance().reloadUserRoles();
		session.sendNotif(String.format("Reloaded %d user roles.", AccessControl.getInstance().getAllUserRoles().size()));
	}
}
