package mod_dice;

import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.util.GameUtil;

public class DiceItem extends Item
{
	@Override
	public void toggle(RoomUser user, int request)
	{
		// Get to the dice
		if(user == null || user.touches(this.getTile()))
		{
			// Not in the middle of a spin?
			if(!this.hasTimeout())
			{
				// Closing or spinning the dice?
				if(request == -1)
				{
					// Close the dice
					this.setState("0");
				}
				else
				{
					// Start spinning
					this.setTempState("-1");
					this.setTimeout(4);
				}
			}
		}
	}

	@Override
	protected void onTimeout()
	{
		int roll = GameUtil.getRandomInt(1, 6);
		this.setState(Integer.toString(roll));
	}
}
