package mod_dice;

import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.util.GameUtil;

public final class SpinningBottleItem extends Item
{
	@Override
	public boolean onToggle(RoomUser user, int instruction)
	{
		// Get to the dice
		if(user == null || user.getTile().touches(this.getTile()))
		{
			// Not already spinning yet?
			if(!this.hasTimeout())
			{
				// Start a new spin...
				this.setTempState("-1");
				this.setTimeout(3);
				
				return true;
			}
		}
		
		return false;
	}

	@Override
	protected void onTimeout()
	{
		// Roll + save to a random number
		int roll = GameUtil.getRandomInt(0, 7);
		this.setState(Integer.toString(roll));
	}
}
