package mod_effects;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class EnableEffectHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get effect inventory
		EffectInventory effects = session.get("effects");
		if(effects == null)
		{
			return;
		}

		// Get effect from inventory
		int effectId = request.readInt();
		UserEffect effect = effects.getEffect(effectId);

		// Not enabled yet?
		if(effect != null && !effect.enabled)
		{
			// Update the data object
			effect.enable();

			// Notify the user
			response.init(EEffectMessage.AvatarEffectEnabled);
			response.appendInt(effect.effectId);
			session.send(response);
		}
	}
}
