package mod_exchangefurni;

import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.util.GameUtil;

public class ExchangeItem extends Item
{
	@Override
	public void toggle(RoomUser user, int instruction)
	{
		// Only for room owners
		if(user == null || !user.hasRoomOwner)
		{
			return;
		}

		// Add the credits to the user's credit balance
		int creditValue = GameUtil.parseInt(this.definition.data);
		user.getSession().getUser().credits += creditValue;
		user.getSession().getUser().saveCreditsAndPixels();
		user.getSession().sendCreditBalance();
		
		// Remove from the room, delete from the game
		this.getRoom().pickupAndDeleteItem(this.id);
	}
}
