package mod_exchangefurni;

import org.openhabbo.items.Item;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.GameUtil;

public class ExchangeItem extends Item
{
	@Override
	public void onTrigger(Session session, int instruction)
	{
		// Only for room owners
		if(!session.getRoomUser().hasRoomOwner)
		{
			return;
		}

		// Add the credits to the user's credit balance
		int creditValue = GameUtil.parseInt(this.definition.data);
		session.getUser().credits += creditValue;
		session.getUser().saveCreditsAndPixels();
		session.sendCreditBalance();
		
		// Remove from the room, delete from the game
		this.getRoom().pickupAndDeleteItem(this.id);
	}
}
