package mod_gate;

import org.openhabbo.rooms.instances.RoomMap;
import org.openhabbo.rooms.instances.RoomTile;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.util.GameUtil;

import mod_switchstate.SwitchStateItem;

public class GateItem extends SwitchStateItem
{
	@Override
	public void onGenerateFloorMapTile(RoomMap map, RoomTile tile)
	{
		// Gate is closed/open?
		if(GameUtil.parseInt(this.state) == 0)
		{
			tile.state = RoomTile.CLOSED;
		}
		else
		{
			tile.state = RoomTile.OPEN;
		}
	}

	@Override
	public void toggle(RoomUser user, int instruction)
	{
		// Only for users with room rights
		if(user != null && !user.hasRoomRights)
		{
			return;
		}

		// Gates cannot operate when there is an avatar in the way
		for(RoomTile tile : this.getRoom().getMap().getAffectedTiles(this))
		{
			if(tile.hasAvatar)
			{
				return;
			}
		}
		
		// Switch state (use mod_switchstate)
		super.toggle(user, instruction);
		
		// Generate floormap, new state is applied!
		this.getRoom().rebuildFloorMap();
	}
}
