package mod_messenger;

import org.openhabbo.communication.SerializableObject;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.storage.DatabaseResult;
import org.openhabbo.util.GameUtil;

public final class MessengerBuddy implements SerializableObject
{
	public int userId;
	public String username;
	public String figure;
	public String motto;
	private String lastOnline;
	public boolean blockRequests;
	public InstantMessenger messenger;
	
	public int refCount;
	
	public void setOnline(InstantMessenger messenger)
	{
		this.messenger = messenger;
		this.lastOnline = GameUtil.getCurrentDateTime();
	}
	
	public void setOffline()
	{
		this.setOnline(null);
	}
	
	public final boolean online()
	{
		return(this.messenger != null);
	}
	
	public String getLastOnlineTime()
	{
		if(this.online())
		{
			return GameUtil.getCurrentDateTime();
		}
		else
		{
			return this.lastOnline;
		}
	}
	
	public final boolean inRoom()
	{
		return(this.online() && this.messenger.getSession().inRoom());
	}
	
	@Override
	public void serialize(ServerMessage msg)
	{
		msg.appendInt(this.userId);
		msg.appendStr(this.username);
		msg.appendBool(true);
		msg.appendBool(this.online());
		msg.appendBool(this.inRoom());
		msg.appendStr(this.figure);
		msg.appendBool(false);
		msg.appendStr(this.motto);
		msg.appendStr(this.getLastOnlineTime());
		msg.appendStr("");
		msg.appendStr("");
	}

	public static MessengerBuddy parse(DatabaseResult result)
	{
		MessengerBuddy buddy = new MessengerBuddy();
		buddy.userId = result.getInt("id");
		buddy.username = result.getString("username");
		buddy.figure = result.getString("figure");
		buddy.motto = result.getString("motto");
		buddy.lastOnline = GameUtil.formatDateTime(result.getTime("lastonline"));
		buddy.blockRequests = result.getBoolean("im_blockrequests");
		return buddy;
	}
}
