package mod_messenger.msgs;

import mod_messenger.InstantMessenger;
import mod_messenger.InstantMessengerService;
import mod_messenger.MessengerBuddy;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class RequestBuddyHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Requires initialized messenger
		InstantMessenger messenger = session.get("messenger");
		if(messenger == null)
		{
			return;
		}

		// Find user
		String username = request.readStr();
		MessengerBuddy receiver = InstantMessengerService.getInstance().getBuddyInfoByUsername(username);
		if(receiver == null) return;

		// Not already a buddy?
		if(messenger.hasBuddy(receiver.userId))
		{
			return;
		}

		// Block buddyrequest?
		if(!receiver.blockRequests)
		{
			InstantMessengerService.getInstance().createBuddyRequest(session.getUser().id, session.getUser().username, receiver.userId);
		}
		else
		{
			response.init(EMessengerMessage.MessengerError);
			response.appendInt(39);
			response.appendInt(3);
			session.send(response);
		}
	}
}
