package mod_moderation;

import java.util.List;

import org.openhabbo.events.EventListener;

import org.openhabbo.sessions.Session;
import org.openhabbo.sessions.SessionManager;
import org.openhabbo.users.User;

public class AuthBanCheckHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session) subject;
		User user = (User) args;

		// Get bans for this user
		List<ModerationBan> bans = ModerationCenter.getInstance().getActiveBansForUserId(user.id);
		if(bans.isEmpty())
		{
			// Valid auth
			return true;
		}
		else
		{
			// Send the first ban
			ModerationBan ban = bans.get(0);
			session.send(ModerationBan.createMsg(ban));
			
			// Bitch is banned
			session.sendNotif("You have been banned: " + ban.message);
			
			SessionManager.getInstance().endSession(user.id, "user is banned");
			
			// Exit auth
			return false;
		}
	}
}
