package mod_moderation.msgs;

import mod_moderation.ModerationActionError;
import mod_moderation.ModerationCenter;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.SecurityUtil;

public class ModSendUserMessageHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Can alert?
		if(!session.getUser().rights.contains("fuse_alert"))
		{
			return;
		}
		
		// Read info
		int userId = request.readInt();
		String message = SecurityUtil.filterStr(request.readStr());
		
		// Issue alert (non-caution)
		try
		{
			ModerationCenter.getInstance().issueUserAlert(session.getUser().id, userId, message, false);
		}
		catch(ModerationActionError error)
		{
			session.sendNotif(error.generateNotif());
		}
	}
}
