package mod_roomdimmer;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class GetRoomDimmerEditDataHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Only room owners can deal with the room dimmer
		RoomDimmerItem dimmer = session.getRoomInstance().get("dimmer");
		if(dimmer == null || !session.getRoomUser().hasRoomOwner)
		{
			return;
		}

		// Send all presets
		response.init(365);
		response.appendInt(dimmer.getPresets().length);
		response.appendInt(dimmer.currentPreset);
		for(RoomDimmerPreset preset : dimmer.getPresets())
		{
			response.appendInt(preset.id);
			response.appendInt(preset.backgroundOnly ? 2 : 1);
			response.appendStr(preset.color);
			response.appendInt(preset.intensity);
		}
		session.send(response);
	}
}
