package mod_roomevent;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.SecurityUtil;

public class EditEventHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		if(session.inRoom())
		{
			RoomEvent event = session.getRoomInstance().get("event");
			if(event != null && session.getRoomUser().hasRoomOwner)
			{
				// Update event
				int newCategoryId = request.readInt();
				event.name = SecurityUtil.filterStr(request.readStr());
				event.description = SecurityUtil.filterStr(request.readStr());
				event.tags = SecurityUtil.filterStrArray(request.readStrArray());
				if(newCategoryId != event.categoryId)
				{
					RoomEventManager.getInstance().updateEventCategory(event, newCategoryId);
				}
				
				// Notify room
				session.getRoomInstance().broadcast(RoomEvent.createMsg(event));
			}
		}
	}
}
