package mod_switchstate;

import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.util.GameUtil;

public class SwitchStateItem extends Item
{
	@Override
	public void toggle(RoomUser user, int instruction)
	{
		// User has room rights?
		if(user != null && !user.hasRoomRights)
		{
			return;
		}
		
		// Parse current state + available states
		int state = GameUtil.parseInt(this.state);
		int availableStates = GameUtil.parseInt(this.definition.data);
		
		// Next state!
		state++;
		if(state >= availableStates)
		{
			state = 0;
		}
		this.setState(Integer.toString(state));
	}
}
