package mod_triggereffect;

import mod_pets.RoomPet;

import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomAvatar;
import org.openhabbo.rooms.instances.RoomMap;
import org.openhabbo.rooms.instances.RoomTile;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.util.GameUtil;

public final class TriggerEffectItem extends Item
{
	@Override
	public void onGenerateFloorMapTile(RoomMap map, RoomTile tile)
	{
		super.onGenerateFloorMapTile(map, tile);
		map.state[tile.x][tile.y] = (RoomMap.OPEN | RoomMap.ITEM);
		if(this.definition.sprite.contains("water"))
		{
			map.state[tile.x][tile.y] |= RoomMap.SPECIAL;
		}
	}
	
	@Override
	public void onAvatarStepOn(RoomAvatar avatar)
	{
		if(avatar instanceof RoomUser)
		{
			RoomUser user = (RoomUser)avatar;
			int effectId = GameUtil.parseInt(this.definition.data);
			if(effectId > 0 && effectId != user.getCurrentEffect())
			{
				user.setEffect(effectId, false);
			}
		}
		else if(avatar instanceof RoomPet)
		{
			//avatar.addStatus("swm");
		}
	}
	
	@Override
	public void onAvatarStepOff(RoomAvatar avatar)
	{
		if(avatar instanceof RoomUser)
		{
			((RoomUser) avatar).setEffect(0, false);
		}
	}
}
