package mod_freeze;

import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.util.GameUtil;

public class FreezeController extends Item
{
	@Override
	public void onToggle(RoomUser user, int instruction)
	{
		// Needs rights
		if(!user.hasRoomRights)
		{
			return;
		}
		
		// Adjust time?
		int timeLeft = GameUtil.parseInt(this.state);
		if(instruction == 2)
		{
			if(timeLeft == 0)
			{
				timeLeft = 30;
			}
			else if(timeLeft == 30)
			{
				timeLeft = 60;
			}
			else if(timeLeft == 60)
			{
				timeLeft = 120;
			}
			else if(timeLeft == 120)
			{
				timeLeft = 180;
			}
			else if(timeLeft == 180)
			{
				timeLeft = 240;
			}
			else if(timeLeft == 240)
			{
				timeLeft = 300;
			}
			else if(timeLeft == 300)
			{
				timeLeft = 600;
			}
			else
			{
				timeLeft = 0;
			}
			this.setState(Integer.toString(timeLeft));
			this.clearTimeout();
		}
		
		// Start/paus game
		if(instruction == 1)
		{
			if(this.hasTimeout())
			{
				this.clearTimeout();
			}
			else
			{
				this.setTimeout(GameUtil.secondsToRoomPulses(1));
			}
		}
	}
	
	@Override
	public void onTimeout()
	{
		int timeLeft = GameUtil.parseInt(this.state);
		if(timeLeft > 0)
		{
			this.setState(Integer.toString(timeLeft - 1));
			this.setTimeout(GameUtil.secondsToRoomPulses(1));	
		}
	}
}
