package mod_pets;

import org.openhabbo.chatcommands.ChatCommandHandler;
import org.openhabbo.sessions.Session;
import org.openhabbo.users.UserManager;
import org.openhabbo.util.GameError;

public class CreatePetCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Creates a pet";
	}

	@Override
	public String getRequiredRight()
	{
		return "staff_catalog";
	}

	@Override
	public String[] getSyntax()
	{
		return new String[] { "username", "name", "type", "breed", "color" };
	}

	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		int userId = UserManager.getInstance().getUserId(args[0]);
		if(userId > 0)
		{
			mod_pets.createPet(userId, args[1], Integer.parseInt(args[2]), Integer.parseInt(args[3]), args[4]);
		}
	}
}
