package mod_pets;

import java.util.List;

import org.openhabbo.events.EventListener;
import org.openhabbo.rooms.instances.RoomInstance;
import org.openhabbo.rooms.instances.RoomTile;

public class RoomInstanceLoadHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		RoomInstance instance = (RoomInstance)subject;
		
		if(instance.getInfo().isGuestRoom())
		{
			List<Pet> pets = mod_pets.getPetsForRoom(instance.getInfo().id);
			for(Pet pet : pets)
			{
				RoomPet avatar = new RoomPet(pet);
				RoomTile tile = instance.getMap().getTile(pet.x, pet.y);
				instance.spawnAvatar(avatar, tile);
			}
		}
		
		return true;
	}
}
