package mod_pets.msgs;


import mod_pets.Pet;
import mod_pets.PetInventory;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class GetPetsInventoryHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get pet inventory
		PetInventory inventory = session.get("pets");
		
		// Serialize the info about the pets
		response.init(600);
		response.appendInt(inventory.getPets().size());
		for(Pet pet : inventory.getPets())
		{
			response.appendObject(pet);
		}
		session.send(response);
	}
}
