package mod_pets.msgs;


import mod_pets.PetInventory;
import mod_pets.RoomPet;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.sessions.Session;

public class PickUpPetHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the requested pet from room instance
		int petId = request.readInt();
		RoomPet pet = (RoomPet) session.getRoomInstance().getAvatarByAvatarKey("p" + petId);
		if(pet == null)
		{
			return;
		}
		
		// Is pet owner?
		if(session.getUser().id != pet.getInfo().ownerId)
		{
			return;
		}
		
		// Get pet inventory
		PetInventory inventory = session.get("pets");
		if(inventory == null)
		{
			return;
		}
		
		// Remove avatar from room
		session.getRoomInstance().removeAvatar(pet);
		
		// Add pet to inventory
		pet.syncAndSaveLocationInfo();
		inventory.addPet(pet.getInfo());
	}
}
