package mod_wired.actions;

import java.util.List;

import org.openhabbo.communication.ServerMessage;
import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomUser;

import mod_wired.WiredAction;

public class WiredMoveRotateItemAction extends WiredAction
{
	@Override
	public void execute(RoomUser user)
	{
		for(Item item : this.getSelectedItems())
		{
			// Move!
		}
	}
	
	@Override
	public void onToggle(RoomUser user, int operation)
	{
		// Rights?
		if(!user.hasRoomRights)
		{
			return;
		}
		
		// Get selected items
		List<Item> selected = this.getSelectedItems();
		
		// Send info
		ServerMessage msg = new ServerMessage(651);
		msg.appendBool(false);
        msg.appendInt(5);
        msg.appendInt(selected.size());
        for(Item item : selected)
        {
        	msg.appendInt(item.id);
        }
        msg.appendInt(this.definition.spriteId);
        msg.appendInt(this.id);
        msg.appendStr(""); // Text1
        msg.appendInt(2);
        msg.appendInt(0); // Move
        msg.appendInt(2); // Rotation
        msg.appendInt(0);
        msg.appendInt(4);
        msg.appendInt(5); // Delay x pulses
        
        // Conflicting triggers
        msg.appendInt(0); // Conflicting amount
      
        user.getSession().send(msg);
	}
}
