package mod_wired.actions;

import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomUser;

import mod_wired.WiredAction;
import mod_wired.triggers.WiredTimerTrigger;

public class WiredResetTimersAction extends WiredAction
{
	@Override
	protected int getInterface()
	{
		return 10;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean requiresUser()
	{
		return false;
	}
	
	@Override
	public void execute(RoomUser user)
	{
		for(Item item : this.getRoom().getAllItems())
		{
			if(item instanceof WiredTimerTrigger)
			{
				WiredTimerTrigger timer = (WiredTimerTrigger)item;
				timer.reset();
			}
		}
	}
}
