package mod_wired.conditions;

import java.util.List;

import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomAvatar;
import org.openhabbo.rooms.instances.RoomTile;
import org.openhabbo.rooms.instances.RoomUser;

import mod_wired.WiredCondition;

public class WiredItemsHaveUserCondition extends WiredCondition
{
	@Override
	public boolean evaluate(RoomUser user)
	{
		// No items selected?
		List<Item> selected = this.getSelectedItems();
		if(selected.isEmpty())
		{
			return false;
		}
		
		// Process all selected items
		for(Item item : selected)
		{
			// Check for atleast one user on this item
			boolean hasUser = false;
			for(RoomTile tile : this.getRoom().getMap().getAffectedTiles(item))
			{
				if(tile.hasAvatar)
				{
					RoomAvatar avatar = this.getRoom().getAvatarOnTile(tile.x, tile.y);
					if(avatar instanceof RoomUser)
					{
						hasUser = true;
						break;
					}
				}
			}
			
			// Atleast one user on atleast one tile of this item?
			if(!hasUser)
			{
				return false;
			}
		}
		
		// All items had atleast one user!
		return true;
	}
}
