package mod_wired.msgs;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.items.Item;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.SecurityUtil;

import mod_wired.WiredItem;
import mod_wired.triggers.WiredUserSaysPhraseTrigger;

public class OpenWiredHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// User in room + has rights?
		if(!(session.inRoom() && session.getRoomUser().hasRoomRights))
		{
			return;
		}
		
		// Parse all the parameters
		int itemId = request.readInt();
		boolean unk = request.readBool();
		boolean ownerOnly = request.readBool();
		String str = SecurityUtil.filterStr(request.readStr());
		
		// Valid item?
		Item item = session.getRoomInstance().getItem(itemId);
		if(item instanceof WiredUserSaysPhraseTrigger)
		{
			WiredItem wired = (WiredItem)item;
			wired.setSetting("ownerOnly", ownerOnly);
			wired.setSetting("msg", str);
			wired.saveSettings();
		}
	}
}
