package mod_wired.msgs;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.items.Item;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.SecurityUtil;

import mod_wired.WiredItem;
import mod_wired.actions.WiredShowMsgAction;

public class SaveWiredActionHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// User in room + has rights?
		if(!(session.inRoom() && session.getRoomUser().hasRoomRights))
		{
			return;
		}
		
		// Parse all the parameters
		int itemId = request.readInt();
		int parameters = request.readInt();
		for(int x = 0; x < parameters; x++)
		{
			int value = request.readInt();
		}
		String str = SecurityUtil.filterStr(request.readStr());
		int selected = request.readInt();
		for(int x = 0; x < selected; x++)
		{
			int selectedItemId = request.readInt();
		}
		int delayPulses = request.readInt();
		int selectionOption = request.readInt();
		
		// Valid item?
		Item item = session.getRoomInstance().getItem(itemId);
		if(item instanceof WiredShowMsgAction)
		{
			WiredItem wired = (WiredItem)item;
			wired.setSetting("msg", str);
			wired.saveSettings();
		}
	}
}
