package mod_wired.msgs;

import org.openhabbo.communication.ClientMessage;
import org.openhabbo.communication.RequestHandler;
import org.openhabbo.communication.ServerMessage;
import org.openhabbo.items.Item;
import org.openhabbo.sessions.Session;
import org.openhabbo.util.SecurityUtil;

import mod_wired.WiredTrigger;

public class UpdateTriggerHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// User valid?
		if(!(session.inRoom() && session.getRoomUser().hasRoomOwner))
		{
			return;
		}
		
		// Get the item
		WiredTrigger wired = (WiredTrigger) session.getRoomInstance().getItem(request.readInt());
		if(wired == null)
		{
			return;
		}
		
		// Update the parameters
		int parameters = request.readInt();
		for(int param = 0; param < parameters; param++)
		{
			wired.setParam(param, request.readInt());
		}
		
		// Update the text
		wired.setText(SecurityUtil.filterStr(request.readStr()));
		
		// Update the selected items
		wired.clearSelectedItems();
		int selected = request.readInt();
		for(int x = 0; x < selected; x++)
		{
			Item item = session.getRoomInstance().getItem(request.readInt());
			wired.selectItem(item);
		}
		wired.setSelectionType(request.readInt());
		 
		// Save changes!
		wired.saveSettings();
	}
}
