package mod_wired.triggers;

import org.openhabbo.events.EventListener;
import org.openhabbo.items.Item;
import org.openhabbo.rooms.instances.RoomUser;
import org.openhabbo.sessions.Session;

import mod_wired.WiredTrigger;

public class WiredUserEntersRoomTrigger extends WiredTrigger
{
	public static class RoomEnterHook implements EventListener
	{
		@Override
		public boolean handle(Object subject, Object args) throws Exception
		{
			Session session = (Session)subject;
			RoomUser user = session.getRoomUser();
			
			// Fire all matching room enter triggers
			for(Item item : session.getRoomInstance().getAllItems())
			{
				if(item instanceof WiredUserEntersRoomTrigger)
				{
					WiredUserEntersRoomTrigger trigger = (WiredUserEntersRoomTrigger)item;
					trigger.execute(user);
					
					// TODO: specificuser-only check
				}
			}
			
			return true;
		}
	}
}
