package com.fjordev.eventgraph.actor

import scala.concurrent.duration._

import akka.actor.ActorRef

import facebook4j.internal.org.json.JSONArray

import com.fjordev.eventgraph.model.EventFQL
import com.fjordev.eventgraph.actor.EventDatabase._

import AttendingFetcher._

class AttendingFetcher(db: ActorRef) extends FqlBatcher(10, 5 seconds)
{
  def receive =
  {
    case FetchAttending(id) => addQuery(id, EventFQL.createAttendingFQL(id))
  }

  override def processQueryResults(id: Long, results: JSONArray)
  {
    db ! UpdateAttending(id, EventFQL.parseAttendingResults(results))
  }
}

object AttendingFetcher
{
  case class FetchAttending(id: Long)
}