package com.fjordev.eventgraph.actor

import scala.collection.mutable

import akka.actor.{Actor, ActorLogging}

import com.fjordev.eventgraph.model.Event

import EventDatabase._

class EventDatabase extends Actor with ActorLogging
{
  val events = mutable.Map[Long, Event]()

  log.info("Events: {}", events.size)

  def receive =
  {
    case GetEvent(id) => sender ! events(id)

    case UpdateEvent(e) => events(e.id) = e; log.info("updated '{}' ({} attending)", e.name, e.attending.size)

    case SearchEvents(query) => sender ! (events.values filter(_.name matches query))
  }
}

object EventDatabase
{
  case class GetEvent(id: Long)

  case class UpdateEvent(event: Event)

  case class SearchEvents(query: String)
}
