package com.fjordev.eventgraph.actor

import scala.concurrent.duration._

import akka.actor.ActorRef

import facebook4j.internal.org.json.JSONArray

import com.fjordev.eventgraph.model.EventFQL
import com.fjordev.eventgraph.actor.EventDatabase.UpdateEvent

import EventFetcher._

class EventFetcher(db: ActorRef) extends FqlBatcher(100, 5 seconds)
{
  def receive =
  {
    case FetchEvent(id) => addQuery(id, EventFQL.createEventFQL(id))
  }

  override def processQueryResults(id: Long, results: JSONArray)
  {
    db ! UpdateEvent(EventFQL.parseEventResult(results.getJSONObject(0)))
  }
}

object EventFetcher
{
  case class FetchEvent(id: Long)
}
