package com.fjordev.eventgraph.actor

import akka.actor.{ActorRef, ActorLogging, Actor}

import com.fjordev.eventgraph.util.{FacebookAPI, EventFinding}

import EventFinder._

class EventFinder(fetchers: ActorRef) extends Actor with ActorLogging with EventFinding
{
  val apiClient = FacebookAPI.get()

  log.info("Ready to find event IDs & forward them fetchers! (key={}xxx)", apiClient.getOAuthAccessToken.getToken.substring(0, 32))

  def receive =
  {
    case FindEvents(query: String) => findEvents(query, apiClient) foreach(id => fetchers.forward(EventFetcher.FetchEvent(id)))
  }
}

object EventFinder
{
  case class FindEvents(query: String)
}
