package com.fjordev.popbird

import scala.collection.mutable

import akka.actor.{ActorSystem, Props}

import com.fjordev.popbird.internal.ApplicationActor

/**
 * Represents a Twitter application that was created on {@link http://developer.twitter.com}.
 * @param name A friendly reference name for the application.
 * @param key The OAuth2 consumer key of the application.
 * @param secret The OAuth2 consumer secret of the application.
 */
class Application(val name: String, val key: String, val secret: String)
{
  /**
   * All the accounts that are currently authorized with this application.
   */
  val accounts = mutable.Map[Long, Account]()

  def actor(implicit system: ActorSystem) = system.actorOf(Props(classOf[ApplicationActor], this), name.replace(" ", ""))
}