package com.fjordev.popbird

import scala.concurrent.duration._

import org.specs2.mutable._
import org.specs2.time.NoTimeConversions

import akka.actor._
import akka.testkit._
import akka.pattern.ask
import akka.util._

import com.fjordev.popbird.internal._

class AccountSpecification extends TestKit(ActorSystem("popbird")) with SpecificationLike with NoTimeConversions
{
  // Akka testing
  lazy implicit val sys = this.system
  implicit val timeout = Timeout(5 seconds)

  // The app to test with
  lazy val app = new Application(name = "Better Tweet Statistics", key = "ZTpOW7Sb9DVamX9h3iPOw", secret = "OtaOb6pCKNR8NvR1x8Ye1B2HaFnZArTWwJpDEPAo")

  // Credentials of the test user
  val userToken = "1591855736-zI0qcQIGbSEvgzdA0olaTgt5Cwvz2WdHPnki8qv"
  val userSecret = "qpJ40nRfFLpyj3xEkuInOTPOzmhc8FRtYrfPyI98Y"

  // Test!
  "The Twitter app" should
  {
    "be named 'Better Tweet Statistics'" in
    {
      app.name == "Better Tweet Statistics"
    }

    "return an account" in
    {
      println(app.actor.path)

      val future = app.actor ? ApplicationActor.GetAccount(userToken, userSecret)

      future.mapTo[Account].map(account => account.actor ! AccountActor.FollowNext)

      Thread.sleep(50000000)

      true
    }
  }
}
