package net.nillus.habbo.communication.messages.incoming.friendlist;

import java.util.Map.Entry;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.messenger.InstantMessenger;
import net.nillus.habbo.game.messenger.InstantMessengerService;
import net.nillus.habbo.sessions.Session;


public class DeclineBuddyHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		InstantMessenger messenger = session.getMessenger();
		if(messenger != null)
		{
			int mode = request.readInt();
			if(mode == 0)
			{
				int amount = request.readInt();
				for(int x = 0; x < amount; x++)
				{
					// Check if this user really has a buddy request from this user, if so, remove it and silently delete the 'pending' relation
					int fromUserId = request.readInt();
					if(messenger.hasRequest(fromUserId))
					{
						messenger.removeRequest(fromUserId);
						InstantMessengerService.getInstance().deleteRelation(session.getUser().id, fromUserId);
					}
				}
			}
			else if(mode == 1)
			{
				for(Entry<Integer, String> req : messenger.getRequests())
				{
					InstantMessengerService.getInstance().deleteRelation(session.getUser().id, req.getKey());
				}
				messenger.getRequests().clear();
			}
		}
	}
}
