package net.nillus.habbo.communication.messages.incoming.friendlist;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.messenger.InstantMessenger;
import net.nillus.habbo.game.messenger.InstantMessengerService;
import net.nillus.habbo.game.messenger.MessengerBuddy;
import net.nillus.habbo.sessions.Session;


public class RemoveBuddyHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Requires initialized messenger
		InstantMessenger messenger = session.getMessenger();
		if(messenger == null)
		{
			return;
		}

		// Determine amount of user IDs in the message
		int amount = request.readInt();
		for(int x = 0; x < amount; x++)
		{
			// Read this user ID
			int userId = request.readInt();

			// If this user is really a buddy, then destroy the relations and update the messengers
			MessengerBuddy buddy = messenger.getBuddy(userId);
			if(buddy != null)
			{
				messenger.removeBuddy(buddy.userId);
				if(buddy.online())
				{
					buddy.messenger.removeBuddy(session.getUser().id);
				}
				InstantMessengerService.getInstance().deleteRelation(session.getUser().id, buddy.userId);
			}
		}
	}
}
