package net.nillus.habbo.communication.messages.incoming.help;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.help.HelpCategory;
import net.nillus.habbo.game.help.HelpTool;
import net.nillus.habbo.game.help.HelpTopic;
import net.nillus.habbo.sessions.Session;

public class GetTopicsInCategoryHandler implements RequestHandler
{

	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		HelpCategory category = HelpTool.getInstance().getCategory(request.readInt());
		if(category != null)
		{
			response.init(522);
			response.appendInt(category.id);
			response.appendStr("");
			response.appendInt(category.topics.size());
			for(HelpTopic topic : category.topics)
			{
				response.appendInt(topic.id);
				response.appendStr(topic.title);
			}
			session.send(response);
		}
	}
}
