package net.nillus.habbo.communication.messages.incoming.navigator;

import java.util.Collection;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.rooms.navigator.RoomCategory;
import net.nillus.habbo.game.rooms.navigator.RoomNavigator;
import net.nillus.habbo.sessions.Session;

public class GetUserFlatCatsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get all flat categories
		Collection<RoomCategory> categories = RoomNavigator.getInstance().getCategories();

		// Serialize the categories
		response.init(EServerMessage.UserFlatCats);
		response.appendInt(categories.size());
		for(RoomCategory category : categories)
		{
			response.appendInt(category.id);
			response.appendStr(category.name);
			response.appendStr(""); // ??
		}
		session.send(response);
	}
}
