package net.nillus.habbo.communication.messages.incoming.room.action;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.rooms.instances.RoomUser;
import net.nillus.habbo.sessions.Session;

public class AssignRightsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the ID of the user to give rights to
		int userId = request.readInt();

		// This user can give rights?
		if(session.inRoom() && session.getRoomUser().hasRoomOwner)
		{
			// Get the target
			RoomUser target = session.getRoomInstance().getUserByUserId(userId);
			if(target != null && !target.hasRoomOwner)
			{
				// Update the room
				if(session.getRoomInstance().addUserRights(target.getInfo().id, target.getInfo().username))
				{
					// Update the room user
					target.hasRoomRights = true;
					target.addStatus("flatctrl");
					target.getSession().sendRoomPrivileges();

					// Update the issuer
					response.init(EServerMessage.FlatControllerAdded);
					response.appendInt(session.getRoomInstance().getInfo().id);
					response.appendInt(target.getInfo().id);
					response.appendStr(target.getInfo().username);
					session.send(response);
				}
			}
		}
	}
}
