package net.nillus.habbo.communication.messages.incoming.room.action;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.rooms.instances.RoomUser;
import net.nillus.habbo.sessions.Session;

public class KickUserHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the user ID of the user to kick
		int userId = request.readInt();

		// Can this user kick other users at all?
		if(session.inRoom() && session.getRoomUser().hasRoomRights)
		{
			// Target is in the room and kickable by this user?
			RoomUser target = session.getRoomInstance().getUserByUserId(userId);
			if(target != null && (!target.hasRoomOwner || session.getUser().role.level > target.getInfo().role.level))
			{
				// BAM!
				target.getSession().kickFromRoom();
			}
		}
	}
}
