package net.nillus.habbo.communication.messages.incoming.room.engine;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.rooms.instances.RoomInstance;
import net.nillus.habbo.sessions.Session;

public class GetRoomEntryDataHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		if(session.getRoomInstance() != null)
		{
			RoomInstance room = session.getRoomInstance();
			
			response.init(EServerMessage.RoomEntryInfo);
			if(room.getInfo().isPublicRoom())
			{
				response.appendBool(false);
				response.appendStr(room.getModel().name);
				response.appendBool(false);
			}
			else
			{
				response.appendBool(true);
				response.appendInt(room.getInfo().id);
				response.appendBool(session.getUser().id == room.getInfo().ownerId);
			}
			session.send(response);
		}
	}
}
