package net.nillus.habbo.communication.messages.incoming.users;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.rooms.instances.RoomUser;
import net.nillus.habbo.sessions.Session;

public class RespectUserHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the user ID of the receiving user
		int receiverId = request.readInt();

		// This user is in the room and has respect to give out?
		if(session.inRoom() && session.getUser().respectPoints > 0)
		{
			// Get the receiver from the room
			RoomUser receiver = session.getRoomInstance().getUserByUserId(receiverId);
			if(receiver != null)
			{
				// Update the respect of both users, this is saved upon logout
				receiver.getInfo().respect++;
				session.getUser().respectPoints--;

				// Notify the room of this moment of sheer epicness
				response.init((EServerMessage.RespectNotification));
				response.appendInt(receiver.getInfo().id);
				response.appendInt(receiver.getInfo().respect);
				session.getRoomInstance().broadcast(response);
			}
		}
	}
}
