package net.nillus.habbo.game.chatcommands.core;

import net.nillus.habbo.game.chatcommands.ChatCommandHandler;
import net.nillus.habbo.game.util.GameError;
import net.nillus.habbo.sessions.Session;
import net.nillus.habbo.sessions.SessionManager;

public class ServcastCommand implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Broadcasts a message (with optional URL) to all online users";
	}

	@Override
	public String getRequiredRight()
	{
		return "servcast";
	}
	
	@Override
	public String[] getSyntax()
	{
		return new String[] { "message" };
	}

	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		SessionManager.getInstance().sendNotifToAll(args[0]);
	}
}
