package net.nillus.habbo.game.chatcommands.moderation;

import net.nillus.habbo.sessions.Session;
import net.nillus.habbo.game.util.GameError;
import net.nillus.habbo.game.chatcommands.ChatCommandHandler;
import net.nillus.habbo.game.moderation.ModerationCenter;

public class RoomAlertCommand implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Alerts all users in the room with a given message";
	}

	@Override
	public String getRequiredRight()
	{
		return "fuse_roomalert";
	}
	
	@Override
	public String[] getSyntax()
	{
		return new String[] { "message" };
	}

	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		// Issue alert
		ModerationCenter.getInstance().issueRoomAlert(session.getUser().id, session.getRoomInstance().getInfo().id, args[0], true);
	}
}
