package net.nillus.habbo.game.chatcommands.moderation;

import net.nillus.habbo.sessions.Session;
import net.nillus.habbo.game.util.GameError;
import net.nillus.habbo.game.chatcommands.ChatCommandHandler;
import net.nillus.habbo.game.moderation.ModerationCenter;

public class UserAlertCommand implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Alerts a single user with a given message";
	}

	@Override
	public String getRequiredRight()
	{
		return "fuse_alert";
	}
	
	@Override
	public String[] getSyntax()
	{
		return new String[] { "username", "message" };
	}

	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		// Get args
		String username = args[0];
		String message = args[1];
		
		// Issue alert
		ModerationCenter.getInstance().issueUserAlert(session.getUser().id, username, message, true);
	}
}
