package habbod.communication.messages.outgoing.inventory.badges;

import habbod.communication.EServerMessage;
import habbod.communication.ServerMessage;
import habbod.game.users.badges.Badge;

import java.util.List;


public class BadgesMessageComposer
{
	public final static ServerMessage compose(List<Badge> all, List<Badge> equipped)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.Badges);
		msg.appendInt(all.size());
		for(Badge badge : all)
		{
			msg.appendBool(badge.isEquipped());
			msg.appendStr(badge.code);
		}
		msg.appendInt(equipped.size());
		for(Badge badge : equipped)
		{
			msg.appendInt(badge.slot);
			msg.appendStr(badge.code);
		}
		
		return msg;
	}
}
