package net.nillus.habbo.communication.messages.outgoing.inventory.avatareffect;

import java.util.List;

import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.users.effects.AvatarEffect;

public class AvatarEffectsMessageComposer
{
	public final static ServerMessage compose(List<AvatarEffect> effects)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.AvatarEffects);
		msg.appendInt(effects.size());
		for(AvatarEffect effect : effects)
		{
			msg.appendInt(effect.effectId);
			msg.appendInt(effect.totalDuration);
			msg.appendBool(!effect.enabled); // Can enable?
			msg.appendInt(effect.getTimeLeft());
		}
		
		return msg;
	}
}
