package net.nillus.habbo.communication.messages.outgoing.inventory.trading;

import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.items.EItemFlags;
import net.nillus.habbo.game.items.Item;
import net.nillus.habbo.game.items.trading.TradePartner;

public class TradingItemListMessageComposer
{
	public final static ServerMessage compose(TradePartner p1, TradePartner p2)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.TradingItemList);
		serializePartner(p1, msg);
		serializePartner(p2, msg);
		
		return msg;
	}
	
	private static void serializePartner(TradePartner partner, ServerMessage msg)
	{
		msg.appendInt(partner.getSession().getUser().id);
		msg.appendInt(partner.getOffer().size());
		for(Item item : partner.getOffer())
		{
			msg.appendInt(item.id);
			msg.appendStr(item.definition.getType());
			msg.appendInt(item.id);
			msg.appendInt(item.definition.displayId);
			msg.appendBool(true);
			msg.appendBool(true);
			msg.appendStr("");
			msg.appendBool(false); // xmas data
			msg.appendBool(false); // xmas data
			msg.appendBool(false); // xmas data
			if(item.is(EItemFlags.FLOORITEM))
			{
				msg.appendInt(-1); // ??
			}
		}
	}
}
