package habbod.net;

import habbod.ServerInstance;

import org.jboss.netty.channel.Channel;
import org.jboss.netty.channel.ChannelHandlerContext;
import org.jboss.netty.channel.ChannelStateEvent;
import org.jboss.netty.channel.SimpleChannelHandler;
import org.jboss.netty.channel.group.ChannelGroup;

public final class GroupingHandler extends SimpleChannelHandler
{
	private final ChannelGroup group;
	
	public GroupingHandler(ChannelGroup group)
	{
		this.group = group;
	}

	@Override
	public void channelOpen(ChannelHandlerContext cxt, ChannelStateEvent e)
	{
		Channel channel = cxt.getChannel();
		if(ServerInstance.get().getGameServer().allowChannel(channel))
		{
			this.group.add(cxt.getChannel());
		}
		else
		{
			channel.close();
		}
	}
	
	@Override
	public void channelClosed(ChannelHandlerContext cxt, ChannelStateEvent e)
	{
		this.group.remove(cxt.getChannel());
	}
}