package net.nillus.habbo.communication.messages.incoming.avatar;

import java.util.List;

import mod_wardrobe.WardrobeEntry;
import mod_wardrobe.mod_wardrobe;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.EServerMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;

public class GetWardrobeHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get wardrobe contents
		List<WardrobeEntry> entries = mod_wardrobe.getWardrobeForUser(session.getUser().id);
		
		// Send wardrobe contents
		response.init(EServerMessage.USER_WARDROBE);
		response.appendBool(true); // Enable
		response.appendInt(entries.size());
		for(WardrobeEntry entry : entries)
		{
			response.appendInt(entry.slot);
			response.appendStr(entry.figure);
			response.appendStr(entry.gender);
		}
		session.send(response);
	}
}
