package net.nillus.habbo.communication.messages.incoming.friendlist;

import mod_messenger.InstantMessenger;
import mod_messenger.MessengerBuddy;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.EServerMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.rooms.Room;
import net.nillus.habbo.sessions.Session;


public class FollowBuddyHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Requires initialized buddies
		InstantMessenger messenger = session.get("messenger");
		if(messenger == null)
		{
			return;
		}

		// Determine buddy to follow / 'stalk'
		int buddyId = request.readInt();
		MessengerBuddy buddy = messenger.getBuddy(buddyId);

		// Buddy on buddylist, online and in a room?
		if(buddy != null && buddy.inRoom())
		{
			// Send the room info
			Room room = buddy.messenger.getSession().getRoomInstance().getInfo();
			response.init(EServerMessage.RoomForward);
			response.appendBool(room.isPublicRoom());
			response.appendInt(room.id);
			session.send(response);

			// Skip to TryRoom?
			if(room.isGuestRoom())
			{
				session.tryGetRoomAccess(room.id, "");
			}
		}
	}
}
