package net.nillus.habbo.communication.messages.incoming.friendlist;

import java.util.Map.Entry;

import mod_messenger.InstantMessenger;
import mod_messenger.MessengerBuddy;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;


public class InitMessengerHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Messenger not initialized yet? Then do it!
		InstantMessenger messenger = session.get("messenger");
		if(messenger == null)
		{
			messenger = new InstantMessenger(session);
			messenger.initialize();
			session.set("messenger", messenger);
		}

		// Send buddy list
		response.init(EMessengerMessage.MessengerInit);
		response.appendInt(600);
		response.appendInt(200);
		response.appendInt(600);
		response.appendInt(900);
		response.appendBool(false);
		response.appendInt(messenger.getBuddies().size());
		for(MessengerBuddy buddy : messenger.getBuddies())
		{
			response.appendObject(buddy);
		}
		session.send(response);

		// Send buddy requests
		response.init(EMessengerMessage.BuddyRequests);
		response.appendInt(messenger.getRequests().size());
		response.appendInt(messenger.getRequests().size());
		for(Entry<Integer, String> buddyRequest : messenger.getRequests())
		{
			response.appendInt(buddyRequest.getKey());
			response.appendStr(buddyRequest.getValue());
			response.appendStr(buddyRequest.getKey());
		}
		session.send(response);
	}
}
