package net.nillus.habbo.communication.messages.incoming.friendlist;

import mod_messenger.InstantMessenger;
import mod_messenger.MessengerBuddy;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;


public class SendInstantMessageHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Requires initialized messenger
		InstantMessenger messenger = session.get("messenger");
		if(messenger == null)
		{
			return;
		}

		// Parse receiver ID + msg text
		int receiverId = request.readInt();
		String text = request.readStr();
		int errorCode = 0;

		// Get receiver
		MessengerBuddy receiver = messenger.getBuddy(receiverId);
		if(receiver == null)
		{
			errorCode = 6;
		}
		else if(!receiver.online())
		{
			errorCode = 5;
		}
		// TODO: check for this user / buddy muted

		// Any errors?
		if(errorCode != 0)
		{
			response.init(EMessengerMessage.InstantMessageError);
			response.appendInt(errorCode);
			response.appendInt(receiverId);
			session.send(response);
		}
		else
		{
			receiver.messenger.deliverInstantMessage(session.getUser().id, text);
		}
	}
}
