package net.nillus.habbo.communication.messages.incoming.inventory.avatareffect;

import mod_effects.EffectInventory;
import mod_effects.UserEffect;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;

public class ApplyEffectHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get effect inventory
		EffectInventory effects = session.get("effects");
		if(effects == null)
		{
			return;
		}

		// User applies an enabled effect, or disables the current effect?
		int effectId = request.readInt();
		if(effectId > 0)
		{
			UserEffect effect = effects.getEffect(effectId);
			if(effect != null && effect.enabled)
			{
				effects.setCurrentEffect(effectId);
			}
		}
		else
		{
			effects.setCurrentEffect(0);
		}
	}
}
