package net.nillus.habbo.communication.messages.incoming.navigator;

import java.util.List;

import mod_favoriterooms.mod_favoriterooms;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.EServerMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.rooms.Room;
import net.nillus.habbo.rooms.RoomManager;
import net.nillus.habbo.sessions.Session;

public class AddFavoriteRoomHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get favorites list
		List<Integer> favorites = session.get("favorites");

		// Get the room
		Integer roomId = request.readInt();
		Room room = RoomManager.getInstance().getRoomInfo(roomId);

		// Can add this room?
		if(room == null || !room.isGuestRoom() || favorites.contains(roomId) || favorites.size() >= mod_favoriterooms.MAX_FAVS_PER_USER)
		{
			session.sendGenericError(-9001);
			return;
		}

		// Add to list + save
		favorites.add(roomId);
		mod_favoriterooms.addFavoriteRoomForUser(session.getUser().id, roomId);

		// Notify user!
		response.init(EServerMessage.FavouriteChanged);
		response.appendInt(roomId);
		response.appendBool(true);
		session.send(response);
	}
}
