package net.nillus.habbo.communication.messages.incoming.navigator;

import java.util.List;

import mod_favoriterooms.mod_favoriterooms;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.EServerMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;

public class DeleteFavoriteRoomHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get favorites list
		List<Integer> favorites = session.get("favorites");

		// Room in list?
		Integer roomId = request.readInt();
		if(favorites.contains(roomId))
		{
			// Remove from list + database
			favorites.remove(roomId);
			mod_favoriterooms.removeFavoriteRoomForUser(session.getUser().id, roomId);

			// Notify user!
			response.init(EServerMessage.FavouriteChanged);
			response.appendInt(roomId);
			response.appendBool(false);
			session.send(response);
		}
	}
}
