package net.nillus.habbo.communication.messages.incoming.navigator;

import java.util.List;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.EServerMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.rooms.Room;
import net.nillus.habbo.rooms.RoomNavigator;
import net.nillus.habbo.sessions.Session;

public class GetTopRatedRoomsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the list with toprated rooms from the navigator
		List<Room> rooms = RoomNavigator.getInstance().getTopRatedGuestRooms();

		// Serialize the rooms
		response.init(EServerMessage.GuestRoomSearchResult);
		response.appendInt(0);
		response.appendInt(2);
		response.appendStr("");
		response.appendInt(rooms.size());
		for(Room room : rooms)
		{
			response.appendObject(room);
		}
		session.send(response);
	}
}
