package net.nillus.habbo.communication.messages.incoming.navigator;

import java.util.List;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.EServerMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.rooms.Room;
import net.nillus.habbo.rooms.RoomNavigator;
import net.nillus.habbo.sessions.Session;
import net.nillus.habbo.util.SecurityUtil;

public class GuestRoomSearchHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Read & trim criteria
		String criteria = SecurityUtil.filterStr(request.readStr().trim());

		// Actually criteria given?
		if(criteria.length() > 0)
		{
			// Get search result
			List<Room> rooms = RoomNavigator.getInstance().getGuestRoomSearchResult(criteria, false);

			// Serialize the result
			response.init(EServerMessage.GuestRoomSearchResult);
			response.appendInt(1);
			response.appendInt(9);
			response.appendStr(criteria);
			response.appendInt(rooms.size());
			for(Room room : rooms)
			{
				response.appendObject(room);
			}
			session.send(response);
		}
	}
}
