package net.nillus.habbo.communication.messages.incoming.navigator.roomsettings;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.rooms.Room;
import net.nillus.habbo.rooms.RoomManager;
import net.nillus.habbo.sessions.Session;

public class DeleteRoomHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Retrieve the room info
		int roomId = request.readInt();
		Room room = RoomManager.getInstance().getRoomInfo(roomId);

		// Only the room owner can delete the room!
		if(room != null && session.getUser().id == room.ownerId)
		{
			RoomManager.getInstance().deleteGuestRoom(roomId);
		}
	}
}
