package net.nillus.habbo.communication.messages.incoming.room.engine;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.EServerMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;

public class GetSpriteIndexHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// A long time ago, the sprite index has been replaced by the 'furnidata' file, hence it contains no sprite id list!
		// The client downloads this as an asset ather than retrieving it from the gameserver
		response.init(EServerMessage.SpriteIndex);
		response.appendInt(0);
		session.send(response);
	}
}
