package net.nillus.habbo.communication.messages.incoming.userdefinedroomevents;

import mod_wired.actions.WiredRestoreItemsToSnapshotsAction;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;


public class UpdateSnapshotsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// User in room + has rights?
		if(!(session.inRoom() && session.getRoomUser().hasRoomRights))
		{
			return;
		}
		
		// Get the item
		WiredRestoreItemsToSnapshotsAction item = (WiredRestoreItemsToSnapshotsAction) session.getRoomInstance().getItem(request.readInt());
		if(item != null)
		{
			// Update the snapshots of the selected items
			item.updateSnapshots();
		}
	}
}
