package net.nillus.habbo.communication.messages.incoming.users;

import mod_subscription.UserSubscription;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.EServerMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;
import net.nillus.habbo.util.SecurityUtil;

public class GetSubscriptionDataHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get sub
		String subId = request.readStr().toLowerCase();
		UserSubscription sub = null;
		
		// Send info
		response.init(EServerMessage.ScrSendUserInfo);
		if(sub == null)
		{
			response.appendStr(SecurityUtil.filterStr(subId));
			response.appendInt(0);
			response.appendBool(false);
			response.appendInt(0);
		}
		else
		{
			response.appendStr(sub.type.id);
			response.appendInt(sub.getDaysInMonthLeft());
			response.appendBool(true);
			response.appendInt(sub.getMonthsLeft());
			
			response.appendBool(true); // ??
			response.appendBool(true); // ??
			response.appendInt(sub.type.specialRightsLevel); // Special rights level (0 = none, 1 = HC, 2 = VIP, etc etc etc)
		}
		session.send(response);
	}
}
