package net.nillus.habbo.core;

import java.util.HashMap;
import java.util.Map;
import java.util.Map.Entry;
import java.util.Set;

public abstract class AutoManageProxy<K, V>
{
	private final Map<K, V> contents;

	public AutoManageProxy()
	{
		this.contents = new HashMap<K, V>();
	}

	public void add(K key, V value)
	{
		this.contents.put(key, value);
	}

	public Set<Entry<K, V>> getContents()
	{
		return this.contents.entrySet();
	}

	public abstract void load();

	public abstract void unload();
}
