package net.nillus.habbo.core;

import java.util.HashMap;
import java.util.Map;

import net.nillus.habbo.habbod;
import net.nillus.habbo.storage.DatabaseResult;
import net.nillus.habbo.storage.SQLHelper;

public class Localization
{
	private static Map<String, String> entries = new HashMap<String, String>();
	
	public static void setLocale(String locale)
	{
		entries.clear();
				
		DatabaseResult result = habbod.getInstance().getDb().query("SELECT `key`,`value` FROM system_locale WHERE locale = '" + SQLHelper.escape(locale) + "'");
		while(result.row())
		{
			entries.put(result.getString("key"), result.getString("value"));
		}
		result.release();
		
		Logger.getInstance().info("Localization", String.format("Loaded %d entries for %s.", entries.size(), locale));
	}
	
	public static String _I(String key, Object... args)
	{
		String value = entries.get(key);
		if(value != null)
		{
			if(args.length > 0)
			{
				return String.format(value, args);
			}
			else
			{
				return value;
			}
		}
		else
		{
			return key;
		}
	}
}
