package net.nillus.habbo.items.impl;

import net.nillus.habbo.rooms.instances.RoomMap;
import net.nillus.habbo.rooms.instances.RoomTile;
import net.nillus.habbo.rooms.instances.RoomUser;
import net.nillus.habbo.util.GameUtil;


public class GateItem extends SwitchStateItem
{
	@Override
	public void onGenerateFloorMapTile(RoomMap map, RoomTile tile)
	{
		// Gate is closed/open?
		if(GameUtil.parseInt(this.state) == 0)
		{
			tile.state = RoomTile.CLOSED;
		}
		else
		{
			tile.state = RoomTile.OPEN;
		}
	}

	@Override
	public boolean onToggle(RoomUser user, int instruction)
	{
		// Only for users with room rights
		if(user != null && !user.hasRoomRights)
		{
			return false;
		}

		// Gates cannot operate when there is an avatar in the way
		for(RoomTile tile : this.getRoom().getMap().getAffectedTiles(this))
		{
			if(tile.hasAvatar)
			{
				return false;
			}
		}
		
		// Switch state (use mod_switchstate)
		super.onToggle(user, instruction);
		
		// Generate floormap, new state is applied!
		this.getRoom().rebuildFloorMap();
		
		return true;
	}
}
