package net.nillus.habbo.users;

import net.nillus.habbo.habbod;
import net.nillus.habbo.sessions.Session;
import net.nillus.habbo.sessions.SessionManager;
import net.nillus.habbo.storage.DatabaseResult;
import net.nillus.habbo.storage.SQLHelper;

public final class UserManager
{
	public final User getUserById(int userId)
	{
		return this.getUserById(userId, true);
	}
	
	public User getUserById(int userId, boolean lookupSessions)
	{
		if(lookupSessions)
		{
			Session sess = SessionManager.getInstance().getSessionByUserId(userId);
			if(sess != null)
			{
				return sess.getUser();
			}
		}

		DatabaseResult result = habbod.getInstance().getDb().query("SELECT * FROM users WHERE id=" + userId);
		User user = result.row() ? User.parse(result) : null;
		result.release();

		return user;
	}

	public User getUserByUsername(String username, boolean lookupSessions)
	{
		if(lookupSessions)
		{
			Session sess = SessionManager.getInstance().getSessionByUsername(username);
			if(sess != null)
			{
				return sess.getUser();
			}
		}

		DatabaseResult result = habbod.getInstance().getDb().query("SELECT * FROM users WHERE username='" + SQLHelper.escape(username) + "'");
		User user = result.row() ? User.parse(result) : null;
		result.release();

		return user;
	}

	public User getUserByAuthTicket(String ticket)
	{
		DatabaseResult result = habbod.getInstance().getDb().query("SELECT * FROM users WHERE auth_ticket='" + SQLHelper.escape(ticket) + "'");
		User user = result.row() ? User.parse(result) : null;
		result.release();

		return user;
	}

	public int getUserId(String username)
	{
		DatabaseResult result = habbod.getInstance().getDb().query("SELECT id FROM users WHERE username='" + SQLHelper.escape(username) + "'");
		int userId = result.row() ? result.getInt("id") : 0;
		result.release();

		return userId;
	}
	
	public String getUsername(int userId)
	{
		DatabaseResult result = habbod.getInstance().getDb().query("SELECT username FROM users WHERE id=" + userId);
		String username = result.row() ? result.getString("username") : null;
		result.release();

		return username;
	}
	
	public void logCreditTransaction(int userId, int amount, String description)
	{
		habbod.getInstance().getDb().execute("INSERT INTO user_transactions(user_id,timestamp,description,amount) VALUES (" + userId + ",'" + SQLHelper.getDateTimeStr() + "','" + SQLHelper.escape(description) + "'," + amount + ")");
	}

	/* Begin singleton */
	private final static UserManager instance = new UserManager();

	public final static UserManager getInstance()
	{
		return instance;
	}
	/* End singleton */
}
