package habbod.game.items.pets;

import habbod.ServerInstance;
import habbod.sessions.Session;
import habbod.sessions.SessionManager;
import habbod.storage.DatabaseResult;
import habbod.storage.SQLHelper;

import java.util.ArrayList;
import java.util.List;


public final class PetManager
{
	public Pet getPetById(int petId)
	{
		DatabaseResult result = ServerInstance.get().getDb().query("SELECT p.*,u.username AS owner FROM pets p JOIN users u ON u.id=p.owner_id WHERE p.id=" + petId);
		Pet pet = result.row() ? Pet.parse(result) : null;
		result.release();
		
		return pet;
	}
	
	public void createPet(int userId, String name, int type, int breed, String color)
	{
		// Additional default info
		int experience = 0;
		int energy = 100;
		int nutrition = 0;
		int respect = 0;
		
		// Store pet, get ID
		int petId = ServerInstance.get().getDb().executeReturnKey("INSERT INTO pets(name,type,breed,color,experience,energy,nutrition,respect,owner_id,created_at) VALUES ('" + SQLHelper.escape(name) + "'," + type + "," + breed + ",'" + SQLHelper.escape(color) + "'," + experience + "," + energy + "," + nutrition + "," + respect + "," + userId + ",'" + SQLHelper.getDateTimeStr() + "')");
		
		// Owner online?
		Session session = SessionManager.getInstance().getSessionByUserId(userId);
		if(session != null)
		{
			session.getPetInventory().addPet(this.getPetById(petId));
		}
	}

	public List<Pet> getPetsForRoom(int roomId)
	{
		List<Pet> pets = new ArrayList<Pet>(0);
		
		DatabaseResult result = ServerInstance.get().getDb().query("SELECT p.*,u.username AS owner FROM pets p JOIN users u ON u.id=p.owner_id WHERE p.room_id=" + roomId);
		while(result.row())
		{
			pets.add(Pet.parse(result));
		}
		result.release();
		
		return pets;
	}
	
	/* Begin singleton */
	private final static PetManager instance = new PetManager();

	public final static PetManager getInstance()
	{
		return instance;
	}
	/* End singleton */
}
