package habbod.game.rooms.bots;

import habbod.communication.ServerMessage;
import habbod.game.rooms.instances.RoomAvatar;
import habbod.game.rooms.instances.RoomHuman;
import habbod.util.ScriptHandler;

public class RoomBot extends RoomHuman
{
	private Bot bot;
	private ScriptHandler script;
	
	public RoomBot(Bot bot)
	{
		this.bot = bot;
		this.script = ScriptHandler.loadScript("bots/simple");
	}
	
	public Bot getInfo()
	{
		return this.bot;
	}
	
	@Override
	protected void onChatFromAvatar(RoomAvatar from, String text, boolean isShout)
	{
		// Respond to questions etc!
		this.script.call("onChat", this, from, text);
		this.script.destroy();
		this.script.destroy();
	}

	@Override
	public void serialize(ServerMessage msg)
	{        
        msg.appendInt(this.bot.id);
        msg.appendStr(this.bot.name);
        msg.appendStr(this.bot.motto);
        msg.appendStr(this.bot.figure);
        msg.appendInt(this.avatarId);
        msg.appendInt(this.tile.x);
        msg.appendInt(this.tile.y);
        msg.appendStr(this.tile.height);
        msg.appendInt(4);
        msg.appendInt(3);
	}

	@Override
	public String getAvatarKey()
	{
		return "b" + this.bot.id;
	}
}
