package habbod.game.rooms.items.floor;

import habbod.game.rooms.instances.RoomUser;
import habbod.game.rooms.items.RoomFloorItem;
import habbod.game.util.GameUtil;

public class SwitchStateItem extends RoomFloorItem
{
	@Override
	public boolean onToggle(RoomUser user, int instruction)
	{
		// User has room rights?
		if(user != null && !user.hasRoomRights)
		{
			return false;
		}
		
		// Parse current state + available states
		int state = GameUtil.parseInt(this.state);
		int availableStates = GameUtil.parseInt(this.definition.data);
		
		// Next state!
		state++;
		if(state >= availableStates)
		{
			state = 0;
		}
		this.setState(Integer.toString(state));
		
		return true;
	}
}
