package habbod.game.rooms.items.wired;

import habbod.communication.ServerMessage;
import habbod.game.rooms.instances.RoomUser;
import habbod.game.rooms.items.RoomFloorItem;

import java.util.List;


public abstract class WiredCondition extends WiredItem
{
	public abstract boolean evaluate(RoomUser user);
	
	@Override
	public ServerMessage serializeDialog()
	{
		// Aggregrate lists
		List<RoomFloorItem> selected = this.getSelectedItems();
		
		// Serialize info
		ServerMessage msg = new ServerMessage(652);
		msg.appendBool(false); // Disable advanced selection options
		msg.appendInt(WiredItem.SELECT_LIMIT);
		msg.appendInt(selected.size());
		for(RoomFloorItem item : selected)
		{
			msg.appendInt(item.id);
		}
		msg.appendInt(this.definition.displayId);
		msg.appendInt(this.id);
		msg.appendStr(this.getText());
		msg.appendInt(this.getParams().length);
		for(int param : this.getParams())
		{
			msg.appendInt(param);
		}
		msg.appendInt(this.getSelectionType());
		msg.appendInt(this.getInterface());

		return msg;
	}
}
