package habbod.game.rooms.items.wired.triggers;

import habbod.events.EventListener;
import habbod.game.rooms.instances.RoomUser;
import habbod.game.rooms.items.RoomFloorItem;
import habbod.game.rooms.items.wired.WiredTrigger;
import habbod.sessions.Session;


public class WiredUserEntersRoomTrigger extends WiredTrigger
{
	@Override
	protected int getInterface()
	{
		return 7;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	protected boolean suppliesUser()
	{
		return true;
	}
	
	public static class RoomEnterHook implements EventListener
	{
		@Override
		public boolean handle(Object subject, Object args) throws Exception
		{
			Session session = (Session)subject;
			RoomUser user = session.getRoomUser();
			
			// Fire all matching room enter triggers
			for(RoomFloorItem item : session.getRoomInstance().getFloorItems())
			{
				if(item instanceof WiredUserEntersRoomTrigger)
				{
					// Handle 'trigger only for user x' setting
					WiredUserEntersRoomTrigger trigger = (WiredUserEntersRoomTrigger)item;
					if(trigger.getText().isEmpty() || session.getUser().username.equals(trigger.getText()))
					{
						trigger.execute(user);
					}
				}
			}
			
			return true;
		}
	}
}
