package net.nillus.habbo.game.items.wired.actions;

import net.nillus.habbo.game.items.Item;
import net.nillus.habbo.game.items.wired.WiredAction;
import net.nillus.habbo.game.items.wired.triggers.WiredTimerTrigger;
import net.nillus.habbo.game.rooms.instances.RoomUser;


public class WiredResetTimersAction extends WiredAction
{
	@Override
	protected int getInterface()
	{
		return 10;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean requiresUser()
	{
		return false;
	}
	
	@Override
	public void execute(RoomUser user)
	{
		for(Item item : this.getRoom().getAllItems())
		{
			if(item instanceof WiredTimerTrigger)
			{
				WiredTimerTrigger timer = (WiredTimerTrigger)item;
				timer.reset();
			}
		}
	}
}
