package net.nillus.habbo.game.rooms;

import java.util.List;
import java.util.ArrayList;

import net.nillus.habbo.game.rooms.instances.RoomUser;
import net.nillus.habbo.game.items.wired.WiredTrigger;

public class RoomFloorItem extends RoomItem
{
	public int x;
	public int y;
	public float z;
	public byte rotation;
	
	private List<WiredTrigger> triggers;
	
	@Override
	protected void onStateUpdate()
	{
		//this.getRoom().broadcast(ObjectDataUpdateMessageComposer.compose(this));
	}
	
	public void addTrigger(WiredTrigger trigger)
	{
		if(this.triggers != null)
		{
			this.triggers = new ArrayList<WiredTrigger>(1);
		}
		this.triggers.add(trigger);
	}
	
	public void removeTrigger(WiredTrigger trigger)
	{
		if(this.triggers != null)
		{
			this.triggers.remove(trigger);
		}
	}
	
	public void executeTriggers(RoomUser user, Class<? extends WiredTrigger> type)
	{
		if(this.triggers != null)
		{
			for(WiredTrigger trigger : this.triggers)
			{
				if(trigger.getClass() == type)
				{
					trigger.execute(user);
				}
			}
		}
	}
}
