package net.nillus.habbo.game.util;

import net.nillus.habbo.communication.ServerMessage;

public final class SecurityUtil
{
	private final static char REPLACEMENT_CHAR = ' ';

	public static String filterStr(String str)
	{
		return SecurityUtil.filterStr(str, true);
	}

	public static String[] filterStrArray(String[] arr)
	{
		for(int x = 0; x < arr.length; x++)
		{
			arr[x] = SecurityUtil.filterStr(arr[x]);
		}
		return arr;
	}

	public static String filterStr(String str, boolean filterLinebreaks)
	{
		str = str.replace((char) ServerMessage.MSG_EOF, REPLACEMENT_CHAR);
		str = str.replace((char) 2, REPLACEMENT_CHAR);
		str = str.replace((char) 3, REPLACEMENT_CHAR);
		str = str.replace((char) 9, REPLACEMENT_CHAR);
		if(filterLinebreaks)
		{
			str = str.replace((char) 13, REPLACEMENT_CHAR);
		}
		return str;
	}

	public static String validateWallPosition(String position)
	{
		// :w=3,2 l=9,63 l
		try
		{
			String[] data = position.split(" ");
			if(data[2].equals("l") || data[2].equals("r"))
			{
				String[] width = data[0].substring(3).split(",");
				int widthX = Integer.parseInt(width[0]);
				int widthY = Integer.parseInt(width[1]);
				if(widthX < 0 || widthY < 0 || widthX > 200 || widthY > 200) return null;

				String[] length = data[1].substring(2).split(",");
				int lengthX = Integer.parseInt(length[0]);
				int lengthY = Integer.parseInt(length[1]);
				if(lengthX < 0 || lengthY < 0 || lengthX > 200 || lengthY > 200) return null;

				return ":w=" + widthX + "," + widthY + " " + "l=" + lengthX + "," + lengthY + " " + data[2];
			}
		}
		catch(Exception ex)
		{
		}
		return null;
	}
}
