package habbod.communication.messages.incoming.avatar;

import habbod.communication.ClientMessage;
import habbod.communication.EServerMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.core.Logger;
import habbod.sessions.Session;

public class UpdateOutfitHandler implements RequestHandler
{
	@SuppressWarnings("unused")
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Parse new data
		char newGender = request.readStr().equals("F") ? 'F' : 'M';
		String newFigure = request.readStr();

		// Valid new figure?
		if(true)//FigureValidator.figureIsValid(newFigure))
		{
			session.getUser().figure = newFigure;
			session.getUser().gender = newGender;
			session.getUser().saveAppearance();
		}
		else
		{
			Logger.getInstance().warning(session, String.format("User #%d (%s) tried to use a 'mutant figure': '%s'. Figure not updated.", session.getUser().id, session.getUser().username, newFigure));
		}

		// Send update to client
		response.init(EServerMessage.UserChange);
		response.appendInt(-1);
		response.appendStr(session.getUser().figure);
		response.appendStr(session.getUser().gender);
		response.appendStr(session.getUser().motto);
		session.send(response);

		// Update on messenger
		session.getMessenger().updateStatus(true);
		
		// If in room, then the room users need an update too!
		if(session.inRoom())
		{
			response.init(EServerMessage.UserChange);
			response.appendInt(session.getRoomUser().avatarId);
			response.appendStr(session.getUser().figure);
			response.appendStr(Character.toString(session.getUser().gender));
			response.appendStr(session.getUser().motto);
			session.getRoomInstance().broadcast(response);
		}
	}
}
