package habbod.communication.messages.incoming.inventory.avatareffect;

import habbod.communication.ClientMessage;
import habbod.communication.EServerMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.users.effects.AvatarEffect;
import habbod.game.users.effects.EffectInventory;
import habbod.sessions.Session;

public class EnableEffectHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get effect inventory
		EffectInventory effects = session.getEffectInventory();
		if(effects == null)
		{
			return;
		}

		// Get effect from inventory
		int effectId = request.readInt();
		AvatarEffect effect = effects.getEffect(effectId);

		// Not enabled yet?
		if(effect != null && !effect.enabled)
		{
			// Update the data object
			effect.enable();

			// Notify the user
			response.init(EServerMessage.AvatarEffectEnabled);
			response.appendInt(effect.effectId);
			session.send(response);
		}
	}
}
