package habbod.communication.messages.incoming.inventory.items;

import habbod.communication.ClientMessage;
import habbod.communication.EServerMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.items.EItemFlags;
import habbod.game.items.InventoryItem;
import habbod.sessions.Session;

public class GetInventoryItemsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Send inventory
		response.init(EServerMessage.FurniList);
		response.appendStr("S");
		response.appendInt(1);
		response.appendInt(1);
		response.appendInt(session.getItemInventory().getItems().size());
		for(InventoryItem item : session.getItemInventory().getItems())
		{
			response.appendInt(item.id);
			response.appendStr(Character.toUpperCase(item.definition.getType()));
			response.appendInt(item.id);
			response.appendInt(item.definition.displayId);
			response.appendInt(item.definition.inventoryType);
			response.appendStr(item.state);
			response.appendBool(item.is(EItemFlags.ALLOW_RECYCLE));
			response.appendBool(item.is(EItemFlags.ALLOW_TRADE));
			response.appendBool(true);//item.is(EItemBehavior.ALLOW_INVENTORYSTACK));
			response.appendBool(item.is(EItemFlags.ALLOW_MARKETPLACE));
			response.appendInt(-1);
			if(item.is(EItemFlags.FLOORITEM))
			{
				response.appendStr("");
				response.appendInt(-1);
			}
		}
		session.send(response);
		
		// Send updates
		/*
		List<Item> newItems = session.getItemInventory().getNewItems();
		if(!newItems.isEmpty())
		{
			// Notify of changes
			response.init(EServerMessage.INVENTORY_NEW_ITEM);
			response.appendBool(true);
			response.appendInt(1);
			response.appendInt(newItems.size());
			for(Item item : newItems)
			{
				response.appendInt(item.id);
			}
			session.send(response);
			newItems.clear();
		}*/
	}
}
