package habbod.communication.messages.incoming.moderation;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.moderation.ModerationCenter;
import habbod.game.moderation.ModerationTicket;
import habbod.sessions.Session;


public class DeletePendingTicketHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// User has ticket?
		ModerationTicket ticket = ModerationCenter.getInstance().getUnpickedTicketForUser(session.getUser().id);
		if(ticket != null)
		{
			// Flag ticket as deleted
			ticket.status = ModerationTicket.STATUS_DELETED;
			ticket.saveStatus();
			
			// Broadcast updates
			ModerationCenter.getInstance().broadcastTicket(ticket);
		}
		
		// Yea yeah it's deleted now...
		response.init(320);
		session.send(response);
	}
}
