package habbod.communication.messages.incoming.moderation;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.moderation.ModerationCenter;
import habbod.game.moderation.ModerationTicket;
import habbod.sessions.Session;


public class ModPickTicketHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Has mod?
		if(!session.getUser().rights.contains("fuse_mod"))
		{
			return;
		}
		
		// Get ticket
		int unk = request.readInt();
		int ticketId = request.readInt();
		ModerationTicket ticket = ModerationCenter.getInstance().getTicket(ticketId);
		
		// Ticket exists and pickable?
		if(ticket != null && ticket.status == ModerationTicket.STATUS_OPEN)
		{
			// Pick ticket
			ticket.pickerId = session.getUser().id;
			ticket.pickerUsername = session.getUser().username;
			ticket.status = ModerationTicket.STATUS_PICKED;
			ticket.saveStatus();
			
			// Broadcast update
			ModerationCenter.getInstance().broadcastTicket(ticket);
		}
	}
}
