package habbod.communication.messages.incoming.moderation;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.moderation.ModerationCenter;
import habbod.game.util.SecurityUtil;
import habbod.sessions.Session;


public class SubmitHelpTicketHandler implements RequestHandler {
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Actually in room?
		if(!session.inRoom())
		{
			return;
		}
		
		// Already has pending ticket?
		int errorCode = 0;
		if(ModerationCenter.getInstance().getUnpickedTicketForUser(session.getUser().id) != null)
		{
			errorCode = 1;
		}
		else
		{
			// Read new ticket info
			String message = SecurityUtil.filterStr(request.readStr(), false);
			int unk = request.readInt();
			int type = request.readInt();
			int reportedUserId = request.readInt();
		
			// Submit new ticket
			ModerationCenter.getInstance().submitTicket(session, type, reportedUserId, message);
		}
		
		// Send response
		response.init(321);
		response.appendInt(errorCode);
		session.send(response);
	}
}
