package habbod.communication.messages.incoming.navigator;

import habbod.communication.ClientMessage;
import habbod.communication.EServerMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.Room;
import habbod.game.rooms.RoomManager;
import habbod.sessions.Session;

import java.util.List;


public class GetFavoriteRoomsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get list with favorite room IDs
		List<Integer> favorites = session.getFavoriteRooms().getFavorites();

		// Send room data of all rooms
		response.init(EServerMessage.GuestRoomSearchResult);
		response.appendInt(0);
		response.appendInt(6);
		response.appendStr("");
		response.appendInt(favorites.size());
		for(int roomId : favorites)
		{
			Room room = RoomManager.getInstance().getRoomInfo(roomId);
			if(room != null)
			{
				response.appendObject(room);
			}
		}
		session.send(response);
	}
}
