package habbod.communication.messages.incoming.navigator;

import habbod.communication.ClientMessage;
import habbod.communication.EServerMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.Room;
import habbod.game.rooms.RoomManager;
import habbod.sessions.Session;

import java.util.List;


public class GetOwnRoomsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get this user's own room list
		List<Room> rooms = RoomManager.getInstance().getRoomsForUser(session.getUser().id);

		// Serialize the rooms
		response.init(EServerMessage.GuestRoomSearchResult);
		response.appendInt(0);
		response.appendInt(5);
		response.appendStr("");
		response.appendInt(rooms.size());
		for(Room room : rooms)
		{
			response.appendObject(room);
		}
		session.send(response);
	}
}
