package habbod.communication.messages.incoming.navigator;

import habbod.communication.ClientMessage;
import habbod.communication.EServerMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.Room;
import habbod.game.rooms.RoomManager;
import habbod.sessions.Session;

public class GetPublicRoomFilesHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the requested room info
		int roomId = request.readInt();
		Room room = RoomManager.getInstance().getRoomInfo(roomId);

		// Public room exists?
		if(room != null && room.isPublicRoom())
		{
			// Send the room files
			response.init(EServerMessage.PublicRoomFiles);
			response.appendInt(room.id);
			response.appendStr(room.files);
			response.appendInt(room.id);
			session.send(response);
		}
	}
}
