package habbod.communication.messages.incoming.navigator;

import habbod.communication.ClientMessage;
import habbod.communication.EServerMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.Room;
import habbod.game.rooms.navigator.RoomNavigator;
import habbod.game.util.SecurityUtil;
import habbod.sessions.Session;

import java.util.List;


public class PerformRoomSearchByTagsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Read and trim the tag to search for
		String tag = SecurityUtil.filterStr(request.readStr().split(" ")[0]);

		// Actually a tag given?
		if(tag.length() > 0)
		{
			// Get search result
			List<Room> rooms = RoomNavigator.getInstance().getGuestRoomSearchResult(tag, true);

			// Serialize the result
			response.init(EServerMessage.GuestRoomSearchResult);
			response.appendInt(1);
			response.appendInt(9);
			response.appendStr(tag);
			response.appendInt(rooms.size());
			for(Room room : rooms)
			{
				response.appendObject(room);
			}
			session.send(response);
		}
	}
}
