package habbod.communication.messages.incoming.pets;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.util.GameUtil;
import habbod.sessions.Session;

public class GetPetRacesHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Read product name, read pet type
		String productName = request.readStr();
		int petType = GameUtil.parseInt(productName.replace("a0 pet", ""));

		// Work out race amount per pet type
		int raceAmount = 0;
		switch(petType)
		{
			// Dog
			case 0:
				raceAmount = 25;
				break;

			// Cat
			case 1:
				raceAmount = 25;
				break;

			// Crocodile
			case 2:
				raceAmount = 25;
				break;

			// Terrier
			case 3:
				raceAmount = 7;
				break;

			// Bear
			case 4:
				raceAmount = 4;
				break;

			// Pig
			case 5:
				raceAmount = 7;
				break;

			// Lion
			case 6:
				raceAmount = 13;
				break;
				
			// Rhino
			case 7:
				raceAmount = 8;
				break;

			// Spider
			case 8:
				raceAmount = 13;
				break;
			
			// Turtle
			case 9:
				raceAmount = 11;
				break;
				
			// Chick
			case 10:
				raceAmount = 1;
				break;
				
			// Frog
			case 11:
				raceAmount = 18;
				break;
			
			// Dragon
			case 12:
				raceAmount = 10;
				break;
				
			// Monkey
			case 14:
				raceAmount = 9;
				break;
				
			// Unknown
			default:
				session.sendNotif("Unknown pet type!");
				return;
		}

		// Send available races
		response.init(827);
		response.appendStr(productName);
		response.appendInt(raceAmount);
		for(int raceId = 0; raceId < raceAmount; raceId++)
		{
			response.appendInt(petType);
			response.appendInt(raceId);
			response.appendBool(true);
			response.appendBool(false);
		}
		session.send(response);
	}
}
