package habbod.communication.messages.incoming.room.chat;

import habbod.communication.ClientMessage;
import habbod.communication.EServerMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.instances.RoomUser;
import habbod.game.util.SecurityUtil;
import habbod.sessions.Session;

public class WhisperHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Parse receiver + text
		final String[] data = request.readStr().split(" ", 2);
		if(data.length != 2)
		{
			return;
		}
		final String receiverName = data[0];
		final String text = SecurityUtil.filterStr(data[1]);

		// Actually in room?
		if(session.inRoom())
		{
			// Receiver in room too?
			RoomUser receiver = session.getRoomInstance().getUserByUsername(receiverName);
			if(receiver != null)
			{
				// Send to this user & receiver
				response.init(EServerMessage.Whisper);
				response.appendInt(session.getRoomUser().avatarId);
				response.appendStr(text);
				response.appendBool(false);
				session.send(response);
				receiver.getSession().send(response);
			}
		}
	}
}
