package habbod.communication.messages.incoming.room.engine;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.items.RoomWallItem;
import habbod.game.rooms.items.wall.PostItItem;
import habbod.sessions.Session;

public class DeletePostItHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Has room owner?
		if(!session.getRoomUser().hasRoomOwner)
		{
			return;
		}
		
		// Get item, delete it
		RoomWallItem item = session.getRoomInstance().getWallItem(request.readInt());
		if(item != null && item instanceof PostItItem)
		{
			session.getRoomInstance().pickupWallItem(item.id, session);
			item.delete();
		}
	}
}
