package habbod.communication.messages.incoming.room.engine;

import habbod.communication.ClientMessage;
import habbod.communication.EServerMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.sessions.Session;

public class GetHeightMapHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Send real heightmap
		response.init(EServerMessage.HeightMap);
		response.appendStr(session.getRoomInstance().getModel().getHeightMapString());
		session.send(response);

		// Send actual floormap with door tile etc taken into account
		response.init(EServerMessage.FloorHeightMap);
		response.appendStr(session.getRoomInstance().getModel().getFloorMapString());
		session.send(response);
	}
}
