package habbod.communication.messages.incoming.room.engine;

import habbod.communication.ClientMessage;
import habbod.communication.EServerMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.instances.RoomInstance;
import habbod.sessions.Session;

public class GetRoomEntryDataHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		RoomInstance room = session.getRoomInstance();
		if(room != null)
		{	
			response.init(EServerMessage.RoomEntryInfo);
			if(room.getInfo().isPublicRoom())
			{
				response.appendBool(false);
				response.appendStr(room.getModel().name);
				response.appendBool(false);
			}
			else
			{
				response.appendBool(true);
				response.appendInt(room.getInfo().id);
				response.appendBool(session.getUser().id == room.getInfo().ownerId);
			}
			session.send(response);
		}
	}
}
