package habbod.communication.messages.incoming.room.engine;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.items.EItemFlags;
import habbod.game.rooms.instances.RoomUser;
import habbod.game.rooms.items.RoomFloorItem;
import habbod.sessions.Session;

public class MoveFloorItemHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Allowed to move items?
		RoomUser user = session.getRoomUser();
		if(user == null || !user.hasRoomRights)
		{
			return;
		}

		// Parse position data
		int itemId = request.readInt();
		int newX = request.readInt();
		int newY = request.readInt();
		byte newRotation = (byte) request.readInt();

		// Move the flooritem
		//session.getRoomInstance().moveFloorItem(itemId, newX, newY, newRotation, session);
		RoomFloorItem item = session.getRoomInstance().getFloorItem(itemId);
		if(item.is(EItemFlags.FLOORITEM))
		{
			session.getRoomInstance().moveFloorItem(item, newX, newY, newRotation, session);
		}
	}
}
