package habbod.communication.messages.incoming.room.engine;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.items.InventoryItem;
import habbod.sessions.Session;

public class PlacePostItHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Allowed to place items in this room?
		if(!session.getRoomUser().hasRoomRights)
		{
			return;
		}

		// Read info
		int itemId = request.readInt();
		String position = request.readStr();
		
		// Validate item from inventory
		InventoryItem item = session.getItemInventory().getItem(itemId);
		if(item == null)
		{
			return;
		}

		// Issue placement
		if(session.getRoomInstance().placeWallItem(item, position, session))
		{
			session.getItemInventory().removeItem(item.id);
		}
	}
}
