package habbod.communication.messages.incoming.userdefinedroomevents;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.items.wired.actions.WiredRestoreItemsToSnapshotsAction;
import habbod.sessions.Session;


public class UpdateSnapshotsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// User in room + has rights?
		if(!(session.inRoom() && session.getRoomUser().hasRoomRights))
		{
			return;
		}
		
		// Get the item
		WiredRestoreItemsToSnapshotsAction item = (WiredRestoreItemsToSnapshotsAction) session.getRoomInstance().getFloorItem(request.readInt());
		if(item != null)
		{
			// Update the snapshots of the selected items
			item.updateSnapshots();
		}
	}
}
