package habbod.communication.messages.incoming.users;

import habbod.communication.ClientMessage;
import habbod.communication.EServerMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.instances.RoomUser;
import habbod.game.users.badges.Badge;
import habbod.sessions.Session;

import java.util.List;


public class GetUserActivatedBadgesHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the user to get the badges of
		int userId = request.readInt();
		RoomUser user = session.getRoomInstance().getUserByUserId(userId);

		// User in the room?
		if(user != null)
		{
			// Get badges
			List<Badge> equipped = user.getSession().getBadgeInventory().getEquippedBadges();
			
			// Serialize equipped badges list
			response.init(EServerMessage.UserBadges);
			response.appendInt(user.getInfo().id);
			response.appendInt(equipped.size());
			for(Badge badge : equipped)
			{
				response.appendInt(badge.slot);
				response.appendStr(badge.code);
			}
			session.send(response);
		}
	}
}
