package habbod.communication.messages.incoming.users;

import habbod.communication.ClientMessage;
import habbod.communication.RequestHandler;
import habbod.communication.ServerMessage;
import habbod.game.rooms.instances.RoomUser;
import habbod.sessions.Session;

import java.util.List;


public class GetUserTagsHandler implements RequestHandler
{
	private final static int UserTags = 350;

	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the user to get tags for
		int userId = request.readInt();
		RoomUser user = session.getRoomInstance().getUserByUserId(userId);

		// User exists?
		if(user != null)
		{
			// Get and send the tag list of this user
			List<String> tags = user.getSession().getUser().tags;
			response.init(GetUserTagsHandler.UserTags);
			response.appendInt(user.getInfo().id);
			response.appendInt(tags.size());
			for(String tag : tags)
			{
				response.appendStr(tag);
			}
			session.send(response);
		}
	}
}
