package net.nillus.habbo.communication.messages.incoming.friendlist;

import java.util.ArrayList;
import java.util.List;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.messenger.InstantMessenger;
import net.nillus.habbo.game.messenger.MessengerBuddy;
import net.nillus.habbo.game.util.SecurityUtil;
import net.nillus.habbo.sessions.Session;


public class SendRoomInviteHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Requires initialized messenger
		InstantMessenger messenger = session.getMessenger();
		if(messenger == null)
		{
			return;
		}

		// Get the buddies to invite + message string
		int count = request.readInt();
		List<MessengerBuddy> receivers = new ArrayList<MessengerBuddy>();
		for(int x = 0; x < count; x++)
		{
			int userId = request.readInt();
			MessengerBuddy buddy = messenger.getBuddy(userId);
			if(buddy != null)
			{
				receivers.add(buddy);
			}
		}
		String message = SecurityUtil.filterStr(request.readStr());

		// Send the message to the online buddies
		response.init(EMessengerMessage.RoomInvite);
		response.appendInt(session.getUser().id);
		response.appendStr(message);
		for(MessengerBuddy buddy : receivers)
		{
			if(buddy.online())
			{
				buddy.messenger.getSession().send(response);
			}
		}
	}
}
