package net.nillus.habbo.communication.messages.incoming.inventory.badges;

import java.util.List;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.users.badges.Badge;
import net.nillus.habbo.game.users.badges.BadgeInventory;
import net.nillus.habbo.sessions.Session;

public class GetBadgesHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get badgeinventory
		BadgeInventory inventory = session.getBadgeInventory();
		if(inventory == null)
		{
			return;
		}

		// Build the response
		response.init(EServerMessage.Badges);
		response.appendInt(inventory.getBadges().size());
		for(Badge badge : inventory.getBadges())
		{
			response.appendBool(badge.isEquipped());
			response.appendStr(badge.code);
		}

		// Append all equipped badges of this user
		List<Badge> equipped = inventory.getEquippedBadges();
		response.appendInt(equipped.size());
		for(Badge badge : equipped)
		{
			response.appendInt(badge.slot);
			response.appendStr(badge.code);
		}

		// Enqueue the response
		session.send(response);
	}
}
