package net.nillus.habbo.communication.messages.incoming.moderation;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.moderation.ModerationActionError;
import net.nillus.habbo.game.moderation.ModerationCenter;
import net.nillus.habbo.game.util.SecurityUtil;
import net.nillus.habbo.sessions.Session;


public class ModBanUserHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Allowed to ban?
		if(!session.getUser().rights.contains("fuse_ban"))
		{
			return;
		}
		
		// Get ban info
		int userId = request.readInt();
		String message = SecurityUtil.filterStr(request.readStr());
		int hours = request.readInt();
		
		// Issue ban
		try
		{
			ModerationCenter.getInstance().issueUserBan(session.getUser().id, userId, message, hours);
		}
		catch(ModerationActionError error)
		{
			session.sendNotif(error.generateNotif());
		}
	}
}
