package net.nillus.habbo.communication.messages.incoming.moderation;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.moderation.ModerationActionError;
import net.nillus.habbo.game.moderation.ModerationCenter;
import net.nillus.habbo.game.util.SecurityUtil;
import net.nillus.habbo.sessions.Session;


public class ModSendUserMessageHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Can alert?
		if(!session.getUser().rights.contains("fuse_alert"))
		{
			return;
		}
		
		// Read info
		int userId = request.readInt();
		String message = SecurityUtil.filterStr(request.readStr());
		
		// Issue alert (non-caution)
		try
		{
			ModerationCenter.getInstance().issueUserAlert(session.getUser().id, userId, message, false);
		}
		catch(ModerationActionError error)
		{
			session.sendNotif(error.generateNotif());
		}
	}
}
