package net.nillus.habbo.communication.messages.incoming.navigator;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.rooms.Room;
import net.nillus.habbo.game.rooms.RoomManager;
import net.nillus.habbo.sessions.Session;

public class GetGuestRoomHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get the required room info
		int roomId = request.readInt();
		boolean flag = request.readBool();
		Room room = RoomManager.getInstance().getRoomInfo(roomId);

		// Room exists and is a guestroom?
		if(room != null && room.isGuestRoom())
		{
			response.init(EServerMessage.GuestRoomResult);
			response.appendBool(flag);
			response.appendObject(room);
			session.send(response);
		}
	}
}
