package net.nillus.habbo.communication.messages.incoming.room.action;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.rooms.instances.RoomUser;
import net.nillus.habbo.sessions.Session;

public class BanUserHandler implements RequestHandler
{
	private final static int BAN_DURATION_SECONDS = 120;

	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		int userId = request.readInt();
		if(session.inRoom() && session.getRoomUser().hasRoomOwner)
		{
			RoomUser target = session.getRoomInstance().getUserByUserId(userId);
			if(target != null && (!target.hasRoomOwner || session.getUser().role.level > target.getInfo().role.level))
			{
				session.getRoomInstance().addUserBan(userId, BAN_DURATION_SECONDS);
				target.getSession().kickFromRoom();
			}
		}
	}
}
