package net.nillus.habbo.communication.messages.incoming.room.engine;

import net.nillus.habbo.communication.ClientMessage;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.game.items.Item;
import net.nillus.habbo.sessions.Session;

public class PickupItemHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Allowed to pickup items?
		if(!session.getRoomUser().hasRoomOwner)
		{
			return;
		}

		// Parse item type + ID
		@SuppressWarnings("unused")
		boolean isFloorItem = (request.readInt() == 2);
		int itemId = request.readInt();

		// Attempt pickup
		Item item = session.getRoomInstance().pickupItem(itemId, session);
		if(item != null)
		{
			// Put the item in the inventory + save
			session.getItemInventory().addItem(item, true);
			session.getItemInventory().refresh();
		}
	}
}
