package mod_effects;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;

public class GetEffectInventoryHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Get effect inventory
		EffectInventory effects = session.get("effects");
		if(effects == null)
		{
			return;
		}

		// Send effect list
		response.init(EEffectMessage.AvatarEffects);
		response.appendInt(effects.getEffects().size());
		for(UserEffect effect : effects.getEffects())
		{
			response.appendInt(effect.effectId);
			response.appendInt(effect.totalDuration);
			response.appendBool(!effect.enabled); // Can enable?
			response.appendInt(effect.getTimeLeft());
		}
		session.send(response);
	}
}
