package mod_gift;

import net.nillus.habbo.catalog.Catalog;
import net.nillus.habbo.catalog.CatalogProduct;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;

public class CanGiftHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Find the product
		int productId = request.readInt();
		CatalogProduct product = Catalog.getInstance().getProduct(productId);

		// Accessible?
		if(product != null && product.isPurchasableBy(session.getUser()))
		{
			// Determine giftable status
			boolean giftable = (product.isPhysicalItem() && !product.itemDefinition.is(mod_gift.NOT_GIFTABLE));

			// Send giftable status
			response.init(622);
			response.appendInt(product.id);
			response.appendBool(giftable);
			session.send(response);
		}
	}
}
