package mod_moderation.chatcmds;

import mod_moderation.ModerationCenter;
import net.nillus.habbo.chatcommands.ChatCommandHandler;
import net.nillus.habbo.sessions.Session;
import net.nillus.habbo.util.GameError;


public class UserKickCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Kicks a single user from the room, with a optional message";
	}

	@Override
	public String getRequiredRight()
	{
		return "fuse_kick";
	}
	
	@Override
	public String[] getSyntax()
	{
		return new String[] { "username", "-message" };
	}

	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		ModerationCenter.getInstance().issueUserKick(session.getUser().id, args[0], args[1]);
	}
}
