package mod_moderation.msgs;

import mod_moderation.ModerationActionError;
import mod_moderation.ModerationCenter;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;
import net.nillus.habbo.util.SecurityUtil;


public class ModSendRoomAlertHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Can roomalert?
		if(!session.getUser().rights.contains("fuse_roomalert") || !session.inRoom())
		{
			return;
		}
		
		// Get alert info
		int unk = request.readInt();
		boolean isCaution = (request.readInt() == 3);
		String message = SecurityUtil.filterStr(request.readStr());
		
		// Issue ban
		try
		{
			ModerationCenter.getInstance().issueRoomAlert(session.getUser().id, session.getRoomInstance().getInfo().id, message, isCaution);
		}
		catch(ModerationActionError error)
		{
			session.sendNotif(error.generateNotif());
		}
	}
}
