package mod_moderation.msgs;

import mod_moderation.ModerationActionError;
import mod_moderation.ModerationCenter;
import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;
import net.nillus.habbo.util.SecurityUtil;


public class ModSendUserCautionHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Can alert?
		if(!session.getUser().rights.contains("fuse_alert"))
		{
			return;
		}
		
		// Read info
		int userId = request.readInt();
		String message = SecurityUtil.filterStr(request.readStr());
		
		// Issue alert (caution)
		try
		{
			ModerationCenter.getInstance().issueUserAlert(session.getUser().id, userId, message, true);
		}
		catch(ModerationActionError err)
		{
			session.sendNotif(err.generateNotif());
		}
	}
}
