package mod_roomdimmer;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.items.impl.RoomDimmerItem;
import net.nillus.habbo.sessions.Session;

public class SwitchRoomDimmerStatusHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		// Only room owners can deal with the room dimmer
		RoomDimmerItem dimmer = session.getRoomInstance().get("dimmer");
		if(dimmer == null || !session.getRoomUser().hasRoomOwner)
		{
			return;
		}
		
		// Flip status and save
		dimmer.enabled = !dimmer.enabled;
		dimmer.saveSettings();
	}
}
