package mod_helptool;

import net.nillus.habbo.communication.RequestHandler;
import net.nillus.habbo.communication.messages.incoming.ClientMessage;
import net.nillus.habbo.communication.messages.outgoing.ServerMessage;
import net.nillus.habbo.sessions.Session;

public class GetHelpCategoriesHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request, ServerMessage response)
	{
		HelpTool tool = HelpTool.getInstance();

		response.init(519);
		response.appendInt(tool.getAllCategories().size());
		for(HelpCategory category : tool.getAllCategories())
		{
			response.appendInt(category.id);
			response.appendStr(category.name);
			response.appendInt(category.topics.size());
		}
		session.send(response);
	}
}
