package mod_wired.actions;

import java.util.List;

import net.nillus.habbo.items.Item;
import net.nillus.habbo.rooms.instances.RoomUser;
import net.nillus.habbo.util.GameUtil;

import mod_wired.WiredAction;

public class WiredTeleportToItemsAction extends WiredAction
{
	@Override
	protected int getInterface()
	{
		return 0;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean requiresUser()
	{
		return true;
	}
	
	@Override
	public void execute(RoomUser user)
	{
		Item target = this.getRandomSelectedItem();
		if(target != null)
		{
			user.clearMovement();
			user.updatePosition(target.getTile(), false);
		}
	}
	
	private Item getRandomSelectedItem()
	{
		List<Item> selected = this.getSelectedItems();
		if(selected.isEmpty())
		{
			return null;
		}
		else if(selected.size() == 1)
		{
			return selected.get(0);
		}
		else
		{
			return GameUtil.getRandomElement(selected);
		}
	}
}
