package mod_wired.conditions;

import java.util.List;

import net.nillus.habbo.items.Item;
import net.nillus.habbo.rooms.instances.RoomAvatar;
import net.nillus.habbo.rooms.instances.RoomTile;
import net.nillus.habbo.rooms.instances.RoomUser;

import mod_wired.WiredCondition;

public class WiredItemsHaveUserCondition extends WiredCondition
{
	private final static int PARAM_MIN = 0;
	private final static int PARAM_MAX = 1;
	
	@Override
	protected int getInterface()
	{
		//5
		return 1;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 2;
	}
	
	@Override
	public boolean evaluate(RoomUser user)
	{	
		// Process all selected items
		List<Item> selected = this.getSelectedItems();
		int count = 0;
		for(Item item : selected)
		{
			// Check for atleast one user on this item
			for(RoomTile tile : this.getRoom().getMap().getAffectedTiles(item))
			{
				// Avatar here?
				if(tile.hasAvatar)
				{
					// Avatar is user?
					RoomAvatar avatar = this.getRoom().getAvatarOnTile(tile);
					if(avatar instanceof RoomUser)
					{
						count++;
						break; // Check the next item
					}
				}
			}
		}
		
		// The count should match the set limits!
		return (count >= this.getParam(PARAM_MIN) && count <= this.getParam(PARAM_MAX));
	}
}
