package mod_wired.triggers;

import net.nillus.habbo.events.EventListener;
import net.nillus.habbo.items.Item;
import net.nillus.habbo.rooms.instances.RoomUser;
import net.nillus.habbo.sessions.Session;

import mod_wired.WiredTrigger;

public class WiredUserEntersRoomTrigger extends WiredTrigger
{
	@Override
	protected int getInterface()
	{
		return 7;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	protected boolean suppliesUser()
	{
		return true;
	}
	
	public static class RoomEnterHook implements EventListener
	{
		@Override
		public boolean handle(Object subject, Object args) throws Exception
		{
			Session session = (Session)subject;
			RoomUser user = session.getRoomUser();
			
			// Fire all matching room enter triggers
			for(Item item : session.getRoomInstance().getAllItems())
			{
				if(item instanceof WiredUserEntersRoomTrigger)
				{
					// Handle 'trigger only for user x' setting
					WiredUserEntersRoomTrigger trigger = (WiredUserEntersRoomTrigger)item;
					if(trigger.getText().isEmpty() || session.getUser().username.equals(trigger.getText()))
					{
						trigger.execute(user);
					}
				}
			}
			
			return true;
		}
	}
}
