package habbod.remote.commands;

import habbod.ServerInstance;
import habbod.core.Logger;
import habbod.game.access.AccessControl;
import habbod.remote.RemoteCommandHandler;
import habbod.sessions.SessionManager;

public class ShutdownCommand implements RemoteCommandHandler
{
	@Override
	public void handle(String payload)
	{
		final String[] args = payload.split(ARG_DELIMITER, 3);
		final int issuerId = Integer.parseInt(args[0]);
		final int timeoutSeconds = Integer.parseInt(args[1]);
		String message = args[2];

		// Write the log, send the notif
		final ServerInstance instance = ServerInstance.get();
		AccessControl.getInstance().logUserAction(issuerId, 0, "shutdown", message);
		SessionManager.getInstance().sendNotifToAll(String.format("habbod is shutting down!\r\r%s\r\rYou will be disconnected soon....", message));

		// Wait out the timeout, then shutdown the instance
		Thread thread = new Thread()
		{
			@Override
			public void run()
			{
				Logger.getInstance().info("ConsoleFrontend", String.format("Entering shutdown sequence in %d seconds...", timeoutSeconds));
				try
				{
					Thread.sleep(timeoutSeconds * 1000);
				}
				catch(InterruptedException e)
				{

				}
				instance.stop("remote shutdown");
			}
		};
		thread.setPriority(Thread.MIN_PRIORITY);
		thread.start();
	}
}
