package net.nillus.habbo.communication;

import net.nillus.habbo.core.Registry;

public final class RequestRegistry
{
	private final static Registry<Integer, RequestHandler> registry = new Registry<Integer, RequestHandler>();

	public final static Registry<Integer, RequestHandler> get()
	{
		return registry;
	}

	static
	{
		registry.register(206, new net.nillus.habbo.communication.messages.incoming.handshake.InitCryptoHandler());
		//registry.register(2002, new net.nillus.habbo.communication.messages.incoming.handshake.GenerateSecretKeyHandler());
		//registry.register(1170, new net.nillus.habbo.communication.messages.incoming.handshake.VersionCheckHandler());
		//registry.register(813, new net.nillus.habbo.communication.messages.incoming.handshake.UniqueIDHandler());
		//registry.register(2002, new net.nillus.habbo.communication.messages.incoming.handshake.GetSessionParametersHandler());
		registry.register(415, new net.nillus.habbo.communication.messages.incoming.handshake.SSOTicketHandler());
		//registry.register(756, new net.nillus.habbo.communication.messages.incoming.handshake.TryLoginHandler());
		registry.register(196, new net.nillus.habbo.communication.messages.incoming.handshake.PongHandler());
		registry.register(7, new net.nillus.habbo.communication.messages.incoming.handshake.GetUserInfoHandler());
		registry.register(12, new net.nillus.habbo.communication.messages.incoming.friendlist.InitMessengerHandler());
		registry.register(15, new net.nillus.habbo.communication.messages.incoming.friendlist.FriendsListUpdateHandler());
		registry.register(33, new net.nillus.habbo.communication.messages.incoming.friendlist.SendInstantMessageHandler());
		registry.register(37, new net.nillus.habbo.communication.messages.incoming.friendlist.AcceptBuddyHandler());
		registry.register(38, new net.nillus.habbo.communication.messages.incoming.friendlist.DeclineBuddyHandler());
		registry.register(39, new net.nillus.habbo.communication.messages.incoming.friendlist.RequestBuddyHandler());
		registry.register(40, new net.nillus.habbo.communication.messages.incoming.friendlist.RemoveBuddyHandler());
		registry.register(41, new net.nillus.habbo.communication.messages.incoming.friendlist.SearchUserHandler());
		registry.register(233, new net.nillus.habbo.communication.messages.incoming.friendlist.GetBuddyRequestsHandler());
		registry.register(262, new net.nillus.habbo.communication.messages.incoming.friendlist.FollowBuddyHandler());
		registry.register(34, new net.nillus.habbo.communication.messages.incoming.friendlist.SendRoomInviteHandler());
		registry.register(432, new net.nillus.habbo.communication.messages.incoming.friendlist.GetFriendsRoomsHandler());
		registry.register(433, new net.nillus.habbo.communication.messages.incoming.friendlist.GetRoomsWithFriendsHandler());
		registry.register(490, new net.nillus.habbo.communication.messages.incoming.friendlist.VisitFriendsMeetingRoomHandler());
		//registry.register(7, new net.nillus.habbo.communication.messages.incoming.inventory.purse.GetInfoHandler());
		registry.register(8, new net.nillus.habbo.communication.messages.incoming.inventory.purse.GetBalanceInfoHandler());
		registry.register(66, new net.nillus.habbo.communication.messages.incoming.inventory.items.ApplyRoomDecorationHandler());
		registry.register(404, new net.nillus.habbo.communication.messages.incoming.inventory.items.GetInventoryItemsHandler());
		registry.register(372, new net.nillus.habbo.communication.messages.incoming.inventory.avatareffect.ApplyEffectHandler());
		registry.register(373, new net.nillus.habbo.communication.messages.incoming.inventory.avatareffect.EnableEffectHandler());
		registry.register(157, new net.nillus.habbo.communication.messages.incoming.inventory.badges.GetBadgesHandler());
		registry.register(158, new net.nillus.habbo.communication.messages.incoming.inventory.badges.SetActivatedBadgesHandler());
		registry.register(370, new net.nillus.habbo.communication.messages.incoming.inventory.achievements.GetAchievementsHandler());
		registry.register(68, new net.nillus.habbo.communication.messages.incoming.inventory.trading.UnacceptTradeHandler());
		registry.register(69, new net.nillus.habbo.communication.messages.incoming.inventory.trading.AcceptTradeHandler());
		registry.register(70, new net.nillus.habbo.communication.messages.incoming.inventory.trading.CloseTradeHandler());
		registry.register(71, new net.nillus.habbo.communication.messages.incoming.inventory.trading.OpenTradeHandler());
		registry.register(72, new net.nillus.habbo.communication.messages.incoming.inventory.trading.AddItemToTradeHandler());
		registry.register(402, new net.nillus.habbo.communication.messages.incoming.inventory.trading.CompleteTradeHandler());
		//registry.register(403, new net.nillus.habbo.communication.messages.incoming.inventory.trading.ConfirmDeclineTradingHandler());
		registry.register(405, new net.nillus.habbo.communication.messages.incoming.inventory.trading.RemoveItemFromTradeHandler());
		registry.register(436, new net.nillus.habbo.communication.messages.incoming.navigator.GetRecentRoomsHandler());
		registry.register(20, new net.nillus.habbo.communication.messages.incoming.navigator.DeleteFavoriteRoomHandler());
		registry.register(19, new net.nillus.habbo.communication.messages.incoming.navigator.AddFavoriteRoomHandler());
		registry.register(151, new net.nillus.habbo.communication.messages.incoming.navigator.GetUserFlatCatsHandler());
		registry.register(233, new net.nillus.habbo.communication.messages.incoming.navigator.GetHomeRoomHandler());
		registry.register(345, new net.nillus.habbo.communication.messages.incoming.navigator.CanCreateEventHandler());
		registry.register(346, new net.nillus.habbo.communication.messages.incoming.navigator.CreateEventHandler());
		registry.register(347, new net.nillus.habbo.communication.messages.incoming.navigator.CancelEventHandler());
		registry.register(348, new net.nillus.habbo.communication.messages.incoming.navigator.EditEventHandler());
		registry.register(439, new net.nillus.habbo.communication.messages.incoming.navigator.GetEventsHandler());
		registry.register(400, new net.nillus.habbo.communication.messages.incoming.roomsettings.GetRoomSettingsHandler());
		registry.register(401, new net.nillus.habbo.communication.messages.incoming.roomsettings.SaveRoomSettingsHandler());
		registry.register(23, new net.nillus.habbo.communication.messages.incoming.roomsettings.DeleteRoomHandler());
		//registry.register(380, new net.nillus.habbo.communication.messages.incoming.navigator.SetFrontPageListeningHandler());
		registry.register(381, new net.nillus.habbo.communication.messages.incoming.navigator.GuestRoomSearchHandler());
		registry.register(382, new net.nillus.habbo.communication.messages.incoming.navigator.GetPopularRoomTagsHandler());
		registry.register(383, new net.nillus.habbo.communication.messages.incoming.navigator.GetNavigatorFrontpageHandler());
		registry.register(384, new net.nillus.habbo.communication.messages.incoming.navigator.SetHomeRoomHandler());
		registry.register(385, new net.nillus.habbo.communication.messages.incoming.navigator.GetGuestRoomHandler());
		registry.register(386, new net.nillus.habbo.communication.messages.incoming.roomsettings.UpdateRoomIconHandler());
		registry.register(387, new net.nillus.habbo.communication.messages.incoming.navigator.CanCreateRoomHandler());
		registry.register(29, new net.nillus.habbo.communication.messages.incoming.navigator.CreateGuestRoomHandler());
		registry.register(261, new net.nillus.habbo.communication.messages.incoming.navigator.RateGuestRoomHandler());
		registry.register(2, new net.nillus.habbo.communication.messages.incoming.room.session.OpenPublicRoomHandler());
		registry.register(391, new net.nillus.habbo.communication.messages.incoming.room.session.OpenGuestRoomHandler());
		registry.register(388, new net.nillus.habbo.communication.messages.incoming.navigator.GetPublicRoomFiles());
		registry.register(215, new net.nillus.habbo.communication.messages.incoming.room.engine.GetCampaignItemsHandler());
		registry.register(233, new net.nillus.habbo.communication.messages.incoming.navigator.GetHomeRoomHandler());
		registry.register(380, new net.nillus.habbo.communication.messages.incoming.navigator.GetNavigatorFrontpageHandler());
		registry.register(385, new net.nillus.habbo.communication.messages.incoming.navigator.GetGuestRoomHandler());
		registry.register(430, new net.nillus.habbo.communication.messages.incoming.navigator.GetPopularRoomsHandler());
		registry.register(431, new net.nillus.habbo.communication.messages.incoming.navigator.GetTopRatedRoomsHandler());
		registry.register(434, new net.nillus.habbo.communication.messages.incoming.navigator.GetOwnRoomsHandler());
		registry.register(382, new net.nillus.habbo.communication.messages.incoming.navigator.GetPopularRoomTagsHandler());
		registry.register(437, new net.nillus.habbo.communication.messages.incoming.navigator.GuestRoomSearchHandler());
		registry.register(438, new net.nillus.habbo.communication.messages.incoming.navigator.PerformRoomSearchByTagsHandler());
		registry.register(52, new net.nillus.habbo.communication.messages.incoming.room.chat.ChatHandler());
		registry.register(55, new net.nillus.habbo.communication.messages.incoming.room.chat.ShoutHandler());
		registry.register(56, new net.nillus.habbo.communication.messages.incoming.room.chat.WhisperHandler());
		registry.register(317, new net.nillus.habbo.communication.messages.incoming.room.chat.StartTypingHandler());
		registry.register(318, new net.nillus.habbo.communication.messages.incoming.room.chat.StopTypingHandler());
		//registry.register(57, new net.nillus.habbo.communication.messages.incoming.room.session.TryFlatHandler());
		registry.register(59, new net.nillus.habbo.communication.messages.incoming.room.session.GoToGuestRoomHandler());
		registry.register(60, new net.nillus.habbo.communication.messages.incoming.room.engine.GetHeightMapHandler());
		registry.register(61, new net.nillus.habbo.communication.messages.incoming.room.engine.GetUsersHandler());
		registry.register(62, new net.nillus.habbo.communication.messages.incoming.room.engine.GetObjectsHandler());
		registry.register(63, new net.nillus.habbo.communication.messages.incoming.room.engine.GetItemsHandler());
		registry.register(64, new net.nillus.habbo.communication.messages.incoming.room.engine.GetStatusUpdateHandler());
		registry.register(390, new net.nillus.habbo.communication.messages.incoming.room.engine.GetRoomEntryDataHandler());
		registry.register(392, new net.nillus.habbo.communication.messages.incoming.room.engine.UseObjectHandler());
		registry.register(67, new net.nillus.habbo.communication.messages.incoming.room.engine.PickupItemHandler());
		registry.register(73, new net.nillus.habbo.communication.messages.incoming.room.engine.MoveFloorItemHandler());
		registry.register(74, new net.nillus.habbo.communication.messages.incoming.room.engine.SetObjectDataHandler());
		registry.register(75, new net.nillus.habbo.communication.messages.incoming.room.avatar.MoveHandler());
		registry.register(90, new net.nillus.habbo.communication.messages.incoming.room.engine.PlaceItemHandler());
		registry.register(341, new net.nillus.habbo.communication.messages.incoming.room.engine.GetRoomDimmerDataHandler());
		registry.register(342, new net.nillus.habbo.communication.messages.incoming.room.engine.UpdateRoomDimmerHandler());
		registry.register(343, new net.nillus.habbo.communication.messages.incoming.room.engine.SwitchRoomDimmerStatusHandler());
		registry.register(393, new net.nillus.habbo.communication.messages.incoming.room.engine.UseWallItemHandler());
		registry.register(83, new net.nillus.habbo.communication.messages.incoming.room.engine.OpenPostItHandler());
		registry.register(84, new net.nillus.habbo.communication.messages.incoming.room.engine.SavePostItHandler());
		registry.register(85, new net.nillus.habbo.communication.messages.incoming.room.engine.DeletePostItHandler());
		registry.register(53, new net.nillus.habbo.communication.messages.incoming.room.session.LeaveRoomHandler());
		registry.register(93, new net.nillus.habbo.communication.messages.incoming.room.avatar.DanceHandler());
		registry.register(94, new net.nillus.habbo.communication.messages.incoming.room.avatar.WaveHandler());
		registry.register(79, new net.nillus.habbo.communication.messages.incoming.room.avatar.LookToHandler());
		registry.register(76, new net.nillus.habbo.communication.messages.incoming.room.items.ThrowDiceHandler());
		registry.register(77, new net.nillus.habbo.communication.messages.incoming.room.items.CloseDiceHandler());
		registry.register(78, new net.nillus.habbo.communication.messages.incoming.room.items.OpenPresentHandler());
		registry.register(183, new net.nillus.habbo.communication.messages.incoming.room.items.RedeemExchangeItemHandler());
		registry.register(232, new net.nillus.habbo.communication.messages.incoming.room.items.EnterOneWayDoorHandler());
		registry.register(247, new net.nillus.habbo.communication.messages.incoming.room.items.SpinWheelOfFortuneHandler());
		registry.register(314, new net.nillus.habbo.communication.messages.incoming.room.items.SetRandomStateHandler());
		registry.register(95, new net.nillus.habbo.communication.messages.incoming.room.action.KickUserHandler());
		registry.register(96, new net.nillus.habbo.communication.messages.incoming.room.action.AssignRightsHandler());
		registry.register(97, new net.nillus.habbo.communication.messages.incoming.room.action.RemoveRightsHandler());
		registry.register(98, new net.nillus.habbo.communication.messages.incoming.room.action.LetUserInHandler());
		registry.register(155, new net.nillus.habbo.communication.messages.incoming.room.action.RemoveAllRightsHandler());
		registry.register(320, new net.nillus.habbo.communication.messages.incoming.room.action.BanUserHandler());
		registry.register(263, new net.nillus.habbo.communication.messages.incoming.users.GetUserTagsHandler());
		registry.register(159, new net.nillus.habbo.communication.messages.incoming.users.GetUserActivatedBadgesHandler());
		registry.register(230, new net.nillus.habbo.communication.messages.incoming.users.GetGroupBadgesHandler());
		registry.register(319, new net.nillus.habbo.communication.messages.incoming.users.IgnoreUserHandler());
		registry.register(321, new net.nillus.habbo.communication.messages.incoming.users.GetIgnoredUsersHandler());
		registry.register(322, new net.nillus.habbo.communication.messages.incoming.users.UnignoreUserHandler());
		registry.register(371, new net.nillus.habbo.communication.messages.incoming.users.RespectUserHandler());
		registry.register(26, new net.nillus.habbo.communication.messages.incoming.users.GetSubscriptionDataHandler());
		registry.register(100, new net.nillus.habbo.communication.messages.incoming.catalog.PurchaseFromCatalogHandler());
		registry.register(101, new net.nillus.habbo.communication.messages.incoming.catalog.GetCatalogIndexHandler());
		registry.register(102, new net.nillus.habbo.communication.messages.incoming.catalog.GetCatalogPageHandler());
		registry.register(129, new net.nillus.habbo.communication.messages.incoming.catalog.RedeemVoucherHandler());
		registry.register(3011, new net.nillus.habbo.communication.messages.incoming.catalog.GetSpecialCataPagesHandler());
		registry.register(473, new net.nillus.habbo.communication.messages.incoming.catalog.GetSpecialCataPages2Handler());
		registry.register(375, new net.nillus.habbo.communication.messages.incoming.avatar.GetWardrobeHandler());
		registry.register(376, new net.nillus.habbo.communication.messages.incoming.avatar.SaveWardrobeOutfitHandler());
		registry.register(470, new net.nillus.habbo.communication.messages.incoming.avatar.ChangeUsernameHandler());
		registry.register(471, new net.nillus.habbo.communication.messages.incoming.avatar.CheckUsernameHandler());
		registry.register(44, new net.nillus.habbo.communication.messages.incoming.avatar.UpdateOutfitHandler());
		registry.register(484, new net.nillus.habbo.communication.messages.incoming.avatar.UpdateMottoHandler());
		registry.register(3050, new net.nillus.habbo.communication.messages.incoming.userdefinedroomevents.UpdateTriggerHandler());
		registry.register(3051, new net.nillus.habbo.communication.messages.incoming.userdefinedroomevents.UpdateActionHandler());
		registry.register(3052, new net.nillus.habbo.communication.messages.incoming.userdefinedroomevents.UpdateConditionHandler());
		//registry.register(3053, new net.nillus.habbo.communication.messages.incoming.userdefinedroomevents.OpenHandler());
		registry.register(3054, new net.nillus.habbo.communication.messages.incoming.userdefinedroomevents.UpdateSnapshotsHandler());
		registry.register(3101, new net.nillus.habbo.communication.messages.incoming.quests.GetQuestsHandler());
		registry.register(3102, new net.nillus.habbo.communication.messages.incoming.quests.AcceptQuestHandler());
		registry.register(3106, new net.nillus.habbo.communication.messages.incoming.quests.RejectQuestHandler());
		registry.register(3107, new net.nillus.habbo.communication.messages.incoming.quests.OpenQuestTrackerHandler());
		registry.register(3108, new net.nillus.habbo.communication.messages.incoming.quests.StartCampaignHandler());
		registry.register(3210, new net.nillus.habbo.communication.messages.incoming.quests.FriendRequestQuestCompleteHandler());
		//registry.register(3300, new net.nillus.habbo.communication.messages.incoming.facebook.FaceBookIsLoggedOnHandler());
		//registry.register(3301, new net.nillus.habbo.communication.messages.incoming.facebook.FaceBookIsLoggedOffHandler());
		//registry.register(3311, new net.nillus.habbo.communication.messages.incoming.facebook.FaceBookInitiateAddFriendsHandler());
		registry.register(245, new net.nillus.habbo.communication.messages.incoming.sound.GetSoundMachinePlayListHandler());
		registry.register(249, new net.nillus.habbo.communication.messages.incoming.sound.GetNowPlayingHandler());
		registry.register(221, new net.nillus.habbo.communication.messages.incoming.sound.GetSongInfoHandler());
		registry.register(228, new net.nillus.habbo.communication.messages.incoming.sound.GetSoundSettingsHandler());
		registry.register(229, new net.nillus.habbo.communication.messages.incoming.sound.SetSoundSettingsHandler());
		registry.register(255, new net.nillus.habbo.communication.messages.incoming.sound.AddJukeboxDiskHandler());
		registry.register(256, new net.nillus.habbo.communication.messages.incoming.sound.RemoveJukeboxDiskHandler());
		registry.register(258, new net.nillus.habbo.communication.messages.incoming.sound.GetJukeboxPlayListHandler());
		registry.register(259, new net.nillus.habbo.communication.messages.incoming.sound.GetUserSongDisksHandler());
		registry.register(412, new net.nillus.habbo.communication.messages.incoming.recycler.GetRecyclerRewardsHandler());
		registry.register(414, new net.nillus.habbo.communication.messages.incoming.recycler.RecycleItemsHandler());
		registry.register(3010, new net.nillus.habbo.communication.messages.incoming.marketplace.MarketplacePostItemHandler());
		registry.register(3012, new net.nillus.habbo.communication.messages.incoming.marketplace.MarketplaceCanSellHandler());
		registry.register(3014, new net.nillus.habbo.communication.messages.incoming.marketplace.MarketplacePurchaseHandler());
		registry.register(3015, new net.nillus.habbo.communication.messages.incoming.marketplace.MarketplaceTakeBackHandler());
		registry.register(3016, new net.nillus.habbo.communication.messages.incoming.marketplace.MarketplaceClaimCreditsHandler());
		registry.register(3018, new net.nillus.habbo.communication.messages.incoming.marketplace.MarketplaceGetOffersHandler());
		registry.register(3019, new net.nillus.habbo.communication.messages.incoming.marketplace.MarketplaceGetOwnOffersHandler());
		registry.register(453, new net.nillus.habbo.communication.messages.incoming.moderation.SubmitHelpTicketHandler());
        registry.register(238, new net.nillus.habbo.communication.messages.incoming.moderation.DeletePendingTicketHandler());
        registry.register(200, new net.nillus.habbo.communication.messages.incoming.moderation.ModSendRoomAlertHandler());
        registry.register(450, new net.nillus.habbo.communication.messages.incoming.moderation.ModPickTicketHandler());
        registry.register(451, new net.nillus.habbo.communication.messages.incoming.moderation.ModReleaseTicketHandler());
        registry.register(452, new net.nillus.habbo.communication.messages.incoming.moderation.ModCloseTicketHandler());
        registry.register(454, new net.nillus.habbo.communication.messages.incoming.moderation.ModGetUserInfoHandler());
        registry.register(455, new net.nillus.habbo.communication.messages.incoming.moderation.ModGetUserChatlogHandler());
        registry.register(456, new net.nillus.habbo.communication.messages.incoming.moderation.ModGetRoomChatlogHandler());
        registry.register(457, new net.nillus.habbo.communication.messages.incoming.moderation.ModGetTicketChatlogHandler());
        registry.register(458, new net.nillus.habbo.communication.messages.incoming.moderation.ModGetRoomVisitsHandler());
        registry.register(459, new net.nillus.habbo.communication.messages.incoming.moderation.ModGetRoomToolHandler());
        registry.register(460, new net.nillus.habbo.communication.messages.incoming.moderation.ModPerformRoomActionHandler());
        registry.register(461, new net.nillus.habbo.communication.messages.incoming.moderation.ModSendUserCautionHandler());
        registry.register(462, new net.nillus.habbo.communication.messages.incoming.moderation.ModSendUserMessageHandler());
        registry.register(463, new net.nillus.habbo.communication.messages.incoming.moderation.ModKickUserHandler());
        registry.register(464, new net.nillus.habbo.communication.messages.incoming.moderation.ModBanUserHandler());
        registry.register(113, new net.nillus.habbo.communication.messages.incoming.infobus.EnterInfobusHandler());
        registry.register(416, new net.nillus.habbo.communication.messages.incoming.help.InitHelpToolHandler());
        registry.register(417, new net.nillus.habbo.communication.messages.incoming.help.GetHelpCategoriesHandler());
        registry.register(418, new net.nillus.habbo.communication.messages.incoming.help.ViewHelpTopicHandler());
        registry.register(419, new net.nillus.habbo.communication.messages.incoming.help.SearchHelpTopicsHandler());
        registry.register(420, new net.nillus.habbo.communication.messages.incoming.help.GetTopicsInCategoryHandler());
		registry.register(440, new net.nillus.habbo.communication.messages.incoming.help.SummonGuideHandler());
		registry.register(128, new net.nillus.habbo.communication.messages.incoming.navigator.GetAdvertisementHandler());
		registry.register(421, new net.nillus.habbo.communication.messages.incoming.handshake.ClientStatsHandler());
		registry.register(482, new net.nillus.habbo.communication.messages.incoming.handshake.ClientActionHandler());
		registry.register(3030, new net.nillus.habbo.communication.messages.incoming.catalog.CanGiftHandler());
		registry.register(472, new net.nillus.habbo.communication.messages.incoming.catalog.PurchaseGiftHandler());
		
		registry.register(42, new net.nillus.habbo.communication.messages.incoming.pets.CheckPetNameHandler());
		registry.register(3000, new net.nillus.habbo.communication.messages.incoming.pets.GetPetsInventoryHandler());
		registry.register(3001, new net.nillus.habbo.communication.messages.incoming.pets.GetPetInfoHandler());
		registry.register(3002, new net.nillus.habbo.communication.messages.incoming.pets.PlacePetHandler());
		registry.register(3003, new net.nillus.habbo.communication.messages.incoming.pets.PickUpPetHandler());
		registry.register(3004, new net.nillus.habbo.communication.messages.incoming.pets.GetPetCommandsHandler());
		registry.register(3005, new net.nillus.habbo.communication.messages.incoming.pets.RespectPetHandler());
		registry.register(3007, new net.nillus.habbo.communication.messages.incoming.pets.GetPetRacesHandler());
		
		registry.register(3050, new net.nillus.habbo.communication.messages.incoming.userdefinedroomevents.UpdateTriggerHandler());
		registry.register(3051, new net.nillus.habbo.communication.messages.incoming.userdefinedroomevents.UpdateActionHandler());
		registry.register(3052, new net.nillus.habbo.communication.messages.incoming.userdefinedroomevents.UpdateConditionHandler());
		registry.register(3054, new net.nillus.habbo.communication.messages.incoming.userdefinedroomevents.UpdateSnapshotsHandler());
		
	}
}
