package net.nillus.habbo.game.catalog;

import net.nillus.habbo.game.chatcommands.ChatCommandHandler;
import net.nillus.habbo.sessions.Session;
import net.nillus.habbo.util.GameError;
import net.nillus.habbo.util.GameUtil;

public class CreateVoucherCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Creates a credit voucher with a given value";
	}

	@Override
	public String getRequiredRight()
	{
		return "create_voucher";
	}
	
	@Override
	public String[] getSyntax()
	{
		return new String[] { "credits", "-code" };
	}

	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		// Determine amount of credits + code
		int credits = GameUtil.parseInt(args[0]);
		String code = args[1].isEmpty() ? VoucherManager.getInstance().generateRandomCode() : args[1];
		
		// Create voucher?
		if(credits > 0)
		{
			// Insert in voucher database
			VoucherManager.getInstance().createVoucher(code, "credits", Integer.toString(credits));
		
			// Yay!
			session.sendNotif(String.format("A voucher with code '%s' has been created. Its value is %d credits.", code, credits));
		}
		else
		{
			throw new GameError("invalid credit value specified");
		}
	}
}
