package net.nillus.habbo.game.items.impl;

import net.nillus.habbo.game.items.Item;
import net.nillus.habbo.game.rooms.instances.RoomAvatar;
import net.nillus.habbo.game.rooms.instances.RoomMap;
import net.nillus.habbo.game.rooms.instances.RoomTile;
import net.nillus.habbo.game.rooms.instances.RoomUser;

public class FreezeGate extends Item
{
	@Override
	public void onGenerateFloorMapTile(RoomMap map, RoomTile tile)
	{
		tile.state = RoomTile.OPEN;
		tile.topItem = this;
	}
	
	@Override
	public void onAvatarStepOn(RoomAvatar avatar)
	{
		int effectId = 0;
		if(this.definition.data.equals("r"))
		{
			effectId = 40;
		}
		else if(this.definition.data.equals("g"))
		{
			effectId = 41;
		}
		else if(this.definition.data.equals("b"))
		{
			effectId = 42;
		}
		else if(this.definition.data.equals("y"))
		{
			effectId = 43;
		}
		
		if(avatar instanceof RoomUser)
		{
			((RoomUser)avatar).setEffect(effectId, false);
		}
	}
}
