package mod_favoriterooms;

import java.util.List;

import net.nillus.habbo.communication.EServerMessage;
import net.nillus.habbo.communication.ServerMessage;
import net.nillus.habbo.events.EventListener;
import net.nillus.habbo.sessions.Session;


public class LoginHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session) subject;

		// Load the favorite rooms from database
		List<Integer> favorites = mod_favoriterooms.getFavoriteRoomsForUser(session.getUser().id);
		session.set("favorites", favorites);

		// Send their IDs
		ServerMessage msg = new ServerMessage(EServerMessage.Favourites);
		msg.appendInt(mod_favoriterooms.MAX_FAVS_PER_USER);
		msg.appendInt(favorites.size());
		for(int roomId : favorites)
		{
			msg.appendInt(roomId);
		}
		session.send(msg);
		
		return true;
	}
}
