package mod_moderation;

import net.nillus.habbo.communication.messages.outgoing.moderation.ModerationPresetsMessageComposer;
import net.nillus.habbo.communication.messages.outgoing.moderation.ModerationTicketMessageComposer;
import net.nillus.habbo.events.EventListener;
import net.nillus.habbo.game.moderation.ModerationCenter;
import net.nillus.habbo.game.moderation.ModerationPresetManager;
import net.nillus.habbo.game.moderation.ModerationTicket;
import net.nillus.habbo.sessions.Session;

public class LoginHook implements EventListener
{
	@Override
	public boolean handle(Object subject, Object args)
	{
		Session session = (Session)subject;
		
		// User is moderator?
		if(session.getUser().rights.contains("fuse_mod"))
		{
			// Send preset moderation responses
			ModerationPresetManager presets = ModerationCenter.getInstance().getPresetManager();
			session.send(ModerationPresetsMessageComposer.compose(presets.getUserMessages(), presets.getRoomMessages()));
			
			// Send open tickets
			for(ModerationTicket ticket : ModerationCenter.getInstance().getAllTickets())
			{
				if(ticket.status == ModerationTicket.STATUS_OPEN || ticket.status == ModerationTicket.STATUS_PICKED)
				{
					session.send(ModerationTicketMessageComposer.compose(ticket));
				}
			}
		}
		
		return true;
	}
}
