package mod_motd;

import net.nillus.habbo.game.chatcommands.ChatCommandHandler;
import net.nillus.habbo.sessions.Session;
import net.nillus.habbo.util.GameError;

public class SetMotdCommandHandler implements ChatCommandHandler
{
	@Override
	public String getDescription()
	{
		return "Sets/disables new Message Of The Day";
	}

	@Override
	public String getRequiredRight()
	{
		return "set_motd";
	}

	@Override
	public String[] getSyntax()
	{
		return new String[] { "newmotd ('off' to disable)" };
	}

	@Override
	public void handle(Session session, String[] args) throws GameError
	{
		String newMotd = args[0];
		if(!newMotd.equals("off"))
		{
			mod_motd.get().setConfigValue("message", newMotd);
			session.sendNotif("MOTD was set successfully.");
		}
		else
		{
			mod_motd.get().deleteConfigValue("message");
			session.sendNotif("MOTD was disabled successfully.");
		}
	}
}
