package mod_roomevent;

import net.nillus.habbo.communication.messages.incoming.navigator.CanCreateEventHandler;
import net.nillus.habbo.communication.messages.incoming.navigator.CancelEventHandler;
import net.nillus.habbo.communication.messages.incoming.navigator.CreateEventHandler;
import net.nillus.habbo.communication.messages.incoming.navigator.EditEventHandler;
import net.nillus.habbo.communication.messages.incoming.navigator.GetEventsHandler;
import net.nillus.habbo.communication.messages.incoming.room.engine.GetRoomContentDataHandler;
import net.nillus.habbo.game.rooms.instances.RoomInstance;
import net.nillus.habbo.modules.Module;
import net.nillus.habbo.modules.ModuleInfo;
import net.nillus.habbo.sessions.Session;

@ModuleInfo
(
		name = "mod_roomevent",
		description = "Enables users to start/edit/stop 'room events', such as games, in their guestrooms. Also includes message handlers for listing ongoing room events in the game.", 
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_roomevent/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_roomevent extends Module
{
	public mod_roomevent()
	{
		// Message handlers
		this.getAutoLoader().msgHandler(345, new CanCreateEventHandler());
		this.getAutoLoader().msgHandler(346, new CreateEventHandler());
		this.getAutoLoader().msgHandler(347, new CancelEventHandler());
		this.getAutoLoader().msgHandler(348, new EditEventHandler());
		this.getAutoLoader().msgHandler(439, new GetEventsHandler());
		
		// Event listeners
		this.getAutoLoader().eventListener(Session.onLogout, new LogoutHook());
		this.getAutoLoader().eventListener(RoomInstance.onLoad, new RoomInstanceLoadHook());
		this.getAutoLoader().eventListener(GetRoomContentDataHandler.onSendRoomContent, new SendRoomContentHook());
	}
}
