package mod_trading;

import net.nillus.habbo.communication.messages.incoming.inventory.trading.AcceptTradeHandler;
import net.nillus.habbo.communication.messages.incoming.inventory.trading.AddItemToTradeHandler;
import net.nillus.habbo.communication.messages.incoming.inventory.trading.CloseTradeHandler;
import net.nillus.habbo.communication.messages.incoming.inventory.trading.CompleteTradeHandler;
import net.nillus.habbo.communication.messages.incoming.inventory.trading.OpenTradeHandler;
import net.nillus.habbo.communication.messages.incoming.inventory.trading.RemoveItemFromTradeHandler;
import net.nillus.habbo.communication.messages.incoming.inventory.trading.UnacceptTradeHandler;
import net.nillus.habbo.modules.Module;
import net.nillus.habbo.modules.ModuleInfo;
import net.nillus.habbo.sessions.Session;

@ModuleInfo
(
		name = "mod_trading",
		description = "Enables support for item trading between users.",
		author = "Nils 'Nillus'",
		url = "http://modules.openhabbo.org/mod_trading/",
		version = "1.0.0",
		dependencies = { }
)
public final class mod_trading extends Module
{
	public mod_trading()
	{
		this.getAutoLoader().eventListener(Session.onRoomExit, new ExitRoomHook());

		this.getAutoLoader().msgHandler(68, new UnacceptTradeHandler());
		this.getAutoLoader().msgHandler(69, new AcceptTradeHandler());
		this.getAutoLoader().msgHandler(70, new CloseTradeHandler());
		this.getAutoLoader().msgHandler(71, new OpenTradeHandler());
		this.getAutoLoader().msgHandler(72, new AddItemToTradeHandler());
		this.getAutoLoader().msgHandler(402, new CompleteTradeHandler());
		this.getAutoLoader().msgHandler(403, new CloseTradeHandler());
		this.getAutoLoader().msgHandler(405, new RemoveItemFromTradeHandler());
	}
}
