package habbod2.game.chatcommands.admin;

import habbod2.Instance;
import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.sessions.Session;
import habbod2.game.sessions.local.LocalSession;
import habbod2.game.util.GameError;
import habbod2.util.StringUtil;

public class ManageLocalSessionsCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		String op = args[0];
		if(op.equals("req"))
		{
			int amount = StringUtil.parseInt(args[1]);
			if(amount > 50) amount = 50;
			for(int i = 0; i < amount; i++)
			{
				Instance.get().getGameMgr().getLocalSessionMgr().addSession();
			}
			session.sendWhisperNotif(String.format("[LocalSessionMgr]: requested %d sessions.", amount));
		}
		else if(op.equals("count"))
		{
			int count = 0;
			for(Session tmp : Instance.get().getGameMgr().getSessionMgr().getAllSessions())
			{
				if(tmp instanceof LocalSession)
				{
					count++;
				}
			}
			session.sendWhisperNotif(String.format("[LocalSessionMgr]: there are %d local sessions currently active.", count));
		}
		else
		{
			session.sendWhisperNotif("Supported operations: req/count.");
		}
	}
}
