package habbod2.game.chatcommands.admin;

import static habbod2.core.Locale._I;
import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.sessions.Session;
import habbod2.game.util.GameError;

public class TakeoverCommand extends ChatCommandHandler
{
	public static String STOP_BODY = null;
	
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		// Stop body is determined at runtime
		if(TakeoverCommand.STOP_BODY == null)
		{
			TakeoverCommand.STOP_BODY = ChatCommandHandler.COMMAND_HEAD + this.getCommand();
		}
		
		// Stealth yes/no
		boolean isStealth = !args[1].isEmpty();
		
		// Stop?
		if(args[0].isEmpty())
		{
			// Mindcontrolling someone?
			if(session.takeoverSlave != null)
			{
				// Unset target and flag at target
				Session target = session.takeoverSlave;
				target.takeoverMaster = null;
				session.takeoverSlave = null;
				session.sendWhisperNotif(_I("Stopped mindcontrolling %s", target.getUser().username));
				if(target.inRoom())
				{
					target.getRoomUser().setEffect(-1, true);
				}
			}
		}
		
		// Set target
		else
		{
			// Already mindcontrolling someone?
			if(session.takeoverSlave != null)
			{
				Session current = session.takeoverSlave;
				session.sendWhisperNotif(_I("Currently mindcontrolling %s, type ':mc' to stop", current.getUser().username));
				return;
			}
			
			// Find target user in room
			RoomUser targetUser = session.getRoomInstance().getUserByUsername(args[0]);
			if(targetUser != null)
			{
				// Set target and flag at target
				Session target = targetUser.getSession();
				if(target != session)
				{
					target.takeoverMaster = session;
					session.takeoverSlave = target;
					session.sendWhisperNotif(_I("Now mindcontrolling %s, type ':mc' to stop", target.getUser().username));
					if(!isStealth)
					{
						// Sim icon
						targetUser.setEffect(44, true);
					}
				}
			}
		}
	}
}
