package habbod2.game.chatcommands.admin;

import habbod2.System;
import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.misc.WordFilterManager;
import habbod2.game.sessions.Session;
import habbod2.game.util.GameError;

public class UpdateWordFilterCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		// Get wordfilter
		WordFilterManager filter = System.get().getGameMgr().getWordFilterMgr();
		
		// Perform the specified operation
		String op = args[0];
		String word = args[1];
		if(op.equals("add"))
		{
			if(filter.addWord(word))
			{
				session.sendWhisperNotif(String.format("'%s' was added successfully.", word));
			}
			else
			{
				session.sendWhisperNotif(String.format("'%s' is already filtered.", word));
			}
		}
		else if(op.equals("remove"))
		{
			if(filter.removeWord(word))
			{
				session.sendWhisperNotif(String.format("'%s' was removed successfully.", word));
			}
			else
			{
				session.sendWhisperNotif(String.format("'%s' is not filtered.", word));
			}
		}
		else
		{
			session.sendWhisperNotif("Supported operations: add/remove.");
		}
	}
}
