package habbod2.game.chatcommands.room;

import static habbod2.core.Locale._I;
import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.util.GameError;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.sessions.Session;

public class AllFollowMeCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		RoomUser self = session.getRoomUser();
		if(!self.hasRoomOwner)
		{
			session.sendWhisperNotif(_I("You are not room owner."));
		}
		else
		{
			// Process self
			self.isAllFollowMe = (args[0].equals("on"));
			self.setEffect(RoomUser.EFFECT_USER, self.isAllFollowMe ? 1 : 0);
			self.getRoom().getInfo().allowWalkthrough = self.isAllFollowMe;
			self.getRoom().rebuildFloorMap();
			
			// Process users
			ChatCommandHandler followCmd = new FollowUserCommand();
			for(RoomUser user : session.getRoom().getAllUsers())
			{
				if(user != self)
				{
					if(self.isAllFollowMe)
					{
						followCmd.handle(user.getSession(), session.getUser().username);
					}
					else
					{
						if(user.follow == self)
						{
							followCmd.handle(user.getSession(), "");
						}
					}
				}
			}
		}
	}
}
