package habbod2.game.chatcommands.room;

import static habbod2.core.Locale._I;
import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.util.GameError;
import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.sessions.Session;

public class FollowMeCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		RoomUser self = session.getRoomUser();
		if(!self.hasRoomOwner)
		{
			session.sendWhisperNotif(_I("You do not have room rights."));
		}
		else
		{
			RoomUser user = session.getRoomInstance().getUserByUsername(args[0]);
			if(user != null && user != self && user.getInfo().role.level < session.getUser().role.level)
			{
				new FollowUserCommand().handle(user.getSession(), session.getUser().username);
				session.sendWhisperNotif(_I("%s is now following you.", user.getInfo().username));
			}
		}
	}
}
