package habbod2.game.chatcommands.room;

import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.items.ItemInventory;
import habbod2.game.util.GameError;
import habbod2.game.rooms.instance.RoomInstance;
import habbod2.game.rooms.items.RoomItem;
import habbod2.game.rooms.items.wall.PostItItem;
import habbod2.game.sessions.Session;

public class PickAllCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		// Requires room owner
		if(!session.getRoomUser().hasRoomOwner)
		{
			return;
		}
		
		// Pickup all eligible items
		RoomInstance room = session.getRoom();
		ItemInventory inventory = session.getItemInventory();
		for(RoomItem item : room.getItems())
		{
			if(!(item instanceof PostItItem))
			{
				inventory.addItem(room.pickupItem(item.id));
			}
		}
		
		// Refresh inventory
		inventory.refresh();
	}
}
