package habbod2.game.chatcommands.room;

import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.items.ItemInventory;
import habbod2.game.util.GameError;
import habbod2.game.rooms.instances.RoomInstance;
import habbod2.game.rooms.items.RoomItem;
import habbod2.game.rooms.items.wall.PostItItem;
import habbod2.game.sessions.Session;

public class PickAllCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		// Requires room owner
		if(!session.getRoomUser().hasRoomOwner)
		{
			return;
		}
		
		// Pickup all eligible items
		RoomInstance instance = session.getRoomInstance();
		ItemInventory inventory = session.getItemInventory();
		for(RoomItem item : instance.getItems())
		{
			if(!(item instanceof PostItItem))
			{
				inventory.addItem(instance.pickupItem(item.id), true);
			}
		}
		
		// Refresh inventory
		inventory.refresh();
	}
}
