package habbod2.game.chatcommands.room;

import static habbod2.core.Locale._I;
import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.util.GameError;
import habbod2.game.rooms.Room;
import habbod2.game.sessions.Session;

public class SetAllRightsCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		// Update info
		Room room = session.getRoomInstance().getInfo();
		room.allRights = !room.allRights;
		room.saveSettings();
		
		// OK!
		session.sendWhisperNotif(_I("All users have rights: %s.", _I(room.allRights ? "enabled" : "disabled")));
	}
}
