package habbod2.communication.messages.incoming.avatar;

import java.util.List;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.avatar.WardrobeMessageComposer;
import habbod2.game.users.UserManager;
import habbod2.game.users.WardrobeOutfit;
import habbod2.game.sessions.Session;

public class GetWardrobeHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get wardrobe contents
		UserManager userMgr = Instance.get().getGameMgr().getUserMgr();
		List<WardrobeOutfit> outfits = userMgr.getWardrobeForUser(session.getUser().id);
		
		// Send wardrobe contents
		session.send(WardrobeMessageComposer.compose(outfits));
	}
}
