package habbod2.communication.messages.incoming.catalog;

import java.util.List;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.catalog.CatalogIndexMessageComposer;
import habbod2.game.catalog.Catalog;
import habbod2.game.catalog.CatalogPage;
import habbod2.game.sessions.Session;

public class GetCatalogIndexHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Request a list of all index pages ('trees') visible to the user
		Catalog catalog = System.get().getGameMgr().getCatalog();
		List<CatalogPage> pages = catalog.getVisibleIndexPagesForUser(session.getUser());
		
		// Build the response
		session.send(CatalogIndexMessageComposer.compose(pages, session.getUser()));
	}
}
