package habbod2.communication.messages.incoming.catalog;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.util.StringUtil;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.catalog.SellablePetBreedsMessageComposer;
import habbod2.game.pets.PetType;
import habbod2.game.sessions.Session;

public class GetSellablePetBreedsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Read product name, read pet type
		String productName = request.readStr();
		int typeId = StringUtil.parseInt(productName.replace("a0 pet", ""));

		// Get pet type
		PetType type = System.get().getGameMgr().getPetMgr().getPetType(typeId);
		if(type != null)
		{
			session.send(SellablePetBreedsMessageComposer.compose(productName, type.id, type.sellableBreeds));
		}
	}
}
