package habbod2.communication.messages.incoming.friendlist;

import java.util.ArrayList;
import java.util.List;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.DeferredRequestHandler;
import habbod2.game.rooms.Room;
import habbod2.game.rooms.navigator.RoomNavigator;
import habbod2.game.sessions.Session;
import habbod2.game.util.GameUtil;
import habbod2.communication.messages.outgoing.friendlist.FindFriendsProcessResultMessageComposer;

public class FindNewFriendsHandler implements DeferredRequestHandler
{
	private static final int TOP_SELECTION = 10;
	
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get busiest rooms
		RoomNavigator navi = System.get().getGameMgr().getNavigator();
		List<Room> rooms = navi.getBusiestGuestRooms();
		
		// Build toplist with valid rooms
		List<Room> valid = new ArrayList<Room>();
		for(Room room : rooms)
		{
			if(room.usersNow > 0 && room.state == Room.STATE_OPEN)
			{
				valid.add(room);
				if(valid.size() == FindNewFriendsHandler.TOP_SELECTION)
				{
					break;
				}
			}
		}
		
		// Select a random room
		Room room = GameUtil.getRandomElement(valid);
		
		// Send result
		session.send(FindFriendsProcessResultMessageComposer.compose(room));
	}
}
