package habbod2.communication.messages.incoming.friendlist;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.friendlist.InstantMessageErrorComposer;
import habbod2.communication.messages.outgoing.friendlist.NewConsoleMessageComposer;
import habbod2.game.messenger.InstantMessenger;
import habbod2.game.messenger.MessengerBuddy;
import habbod2.game.sessions.Session;

public class SendMsgHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Parse receiver ID + msg text
		int receiverId = request.readInt();
		String message = request.readStr();
		int errorCode = 0;

		// Get receiver
		InstantMessenger messenger = session.getMessenger();
		MessengerBuddy receiver = messenger.getBuddy(receiverId);
		if(receiver == null)
		{
			errorCode = 6;
		}
		else if(!receiver.isOnline())
		{
			errorCode = 5;
		}
		
		// TODO: check for this user / buddy muted

		// Any errors?
		if(errorCode != 0)
		{
			session.send(InstantMessageErrorComposer.compose(errorCode, receiverId));
		}
		else
		{
			// Deliver it to the receiver
			receiver.messenger.getSession().send(NewConsoleMessageComposer.compose(messenger.getBuddy(), message));
			
			// Log the message
			System.get().getGameMgr().getMessengerSvc().logImMessage(messenger.getBuddy(), receiver, message);
		}
	}
}
