package habbod2.communication.messages.incoming.friendlist;

import java.util.ArrayList;
import java.util.List;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.friendlist.RoomInviteMessageComposer;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.messenger.InstantMessenger;
import habbod2.game.messenger.MessengerBuddy;
import habbod2.game.util.SecurityUtil;
import habbod2.game.sessions.Session;

public class SendRoomInviteHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get messenger
		InstantMessenger messenger = session.getMessenger();

		// Get the buddies to invite + message string
		int count = request.readInt();
		List<MessengerBuddy> receivers = new ArrayList<MessengerBuddy>();
		for(int x = 0; x < count; x++)
		{
			int userId = request.readInt();
			MessengerBuddy buddy = messenger.getBuddy(userId);
			if(buddy != null)
			{
				receivers.add(buddy);
			}
		}
		String message = SecurityUtil.filterStr(request.readStr());

		// Send the message to the online buddies
		ServerMessage msg = RoomInviteMessageComposer.compose(messenger.getBuddy(), message);
		for(MessengerBuddy buddy : receivers)
		{
			if(buddy.isOnline())
			{
				buddy.messenger.getSession().send(msg);
			}
		}
	}
}
