package habbod2.communication.messages.incoming.help;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.help.CallForHelpResultMessageComposer;
import habbod2.game.moderation.ModerationCenter;
import habbod2.game.util.SecurityUtil;
import habbod2.game.sessions.Session;

public class CallForHelpHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Actually in room?
		if(!session.inRoom())
		{
			return;
		}
		
		// Get center
		ModerationCenter ctr = System.get().getGameMgr().getModerationCenter();
		
		// Already has pending ticket?
		int errorCode = 0;
		if(ctr.getUnpickedTicketForUser(session.getUser().id) != null)
		{
			errorCode = 1;
		}
		else
		{
			// Read new ticket info
			String message = SecurityUtil.filterStr(request.readStr(), false);
			@SuppressWarnings("unused")
			int unk = request.readInt();
			int type = request.readInt();
			int reportedUserId = request.readInt();
		
			// Submit new ticket
			ctr.submitTicket(session, type, reportedUserId, message);
		}
		
		// Send response
		session.send(CallForHelpResultMessageComposer.compose(errorCode));
	}
}
