package habbod2.communication.messages.incoming.help;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.help.CallForHelpPendingCallsDeletedMessageComposer;
import habbod2.game.moderation.ModerationCenter;
import habbod2.game.moderation.ModerationTicket;
import habbod2.game.sessions.Session;

public class DeletePendingCallsForHelpHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get moderation center
		ModerationCenter ctr = System.get().getGameMgr().getModerationCenter();
		
		// User has ticket?
		ModerationTicket ticket = ctr.getUnpickedTicketForUser(session.getUser().id);
		if(ticket != null)
		{
			// Flag ticket as deleted
			ticket.status = ModerationTicket.STATUS_DELETED;
			ticket.saveStatus();
			
			// Broadcast updates
			ctr.broadcastTicket(ticket);
		}
		
		// Yea yeah it's deleted now...
		session.send(CallForHelpPendingCallsDeletedMessageComposer.compose());
	}
}
