package habbod2.communication.messages.incoming.help;

import java.util.Collection;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.help.FaqCategoriesMessageComposer;
import habbod2.game.help.HelpCategory;
import habbod2.game.help.HelpTool;
import habbod2.game.sessions.Session;

public class GetFaqCategoriesHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get all categories
		HelpTool tool = System.get().getGameMgr().getHelpTool();
		Collection<HelpCategory> categories = tool.getAllCategories();
		
		// Send all categories
		session.send(FaqCategoriesMessageComposer.compose(categories));
	}
}
