package habbod2.communication.messages.incoming.inventory.achievements;

import java.util.HashMap;
import java.util.Map;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.inventory.achievements.AchievementsMessageComposer;
import habbod2.communication.messages.outgoing.inventory.achievements.AchievementsScoreMessageComposer;
import habbod2.game.sessions.Session;
import habbod2.game.users.achievements.Achievement;
import habbod2.game.users.achievements.UserAchievement;

public class GetAchievementsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Don't do this now
		if(session.getUser().id > 0)
		{
			return;
		}
		
		// Build a mapping
		Map<Achievement, UserAchievement> achievements = new HashMap<Achievement, UserAchievement>();
		for(Achievement ach : Instance.get().getGameMgr().getAchievementMgr().getAchievements())
		{
			UserAchievement status = session.getAchievements().getStatusForGroup(ach.group);
			achievements.put(ach, status);
		}
		
		// Send all achievements and the user's status on them
		session.send(AchievementsMessageComposer.compose(achievements));
		
		// Send the user's total achievement score
		session.send(AchievementsScoreMessageComposer.compose(session.getUser().achievementScore));
	}
}
