package habbod2.communication.messages.incoming.inventory.badges;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.users.UserBadgesMessageComposer;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.users.badges.BadgeInventory;
import habbod2.game.sessions.Session;

public class SetActivatedBadgesHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get badge inventory
		BadgeInventory inventory = session.getBadgeInventory();
		
		// Parse new slot content from the request
		while(request.remaining() > 0)
		{
			// Parse this slot
			byte slot = (byte) request.readInt();
			String badge = request.readStr();

			// Attempt to equip this badge
			inventory.equip(slot, badge);
		}

		// Force update on logout
		inventory.requireSave();

		// Send update msg to client(s)
		ServerMessage msg = UserBadgesMessageComposer.compose(session.getRoomUser());
		if(session.inRoom())
		{
			session.getRoomInstance().broadcast(msg);
		}
		else
		{
			session.send(msg);
		}
	}
}
