package habbod2.communication.messages.incoming.moderator;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.moderation.ModeratorRoomInfoMessageComposer;
import habbod2.game.rooms.Room;
import habbod2.game.rooms.RoomManager;
import habbod2.game.rooms.instance.RoomInstance;
import habbod2.game.sessions.Session;

public class GetModeratorRoomInfoHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Has mod?
		if(!session.getUser().hasRight("fuse_mod"))
		{
			return;
		}

		// Get room (instance is not required, info is)
		int roomId = request.readInt();
		RoomManager mgr = Instance.get().getGameMgr().getRoomMgr();
		RoomInstance instance = mgr.getRoomInstance(roomId, false);
		Room room = (instance != null) ? instance.getInfo() : mgr.getRoomInfo(roomId);
		if(room == null)
		{
			return;
		}
		
		// Send room info
		session.send(ModeratorRoomInfoMessageComposer.compose(room, instance));
	}
}
