package habbod2.communication.messages.incoming.moderator;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.moderation.ModerationActionError;
import habbod2.game.moderation.ModerationCenter;
import habbod2.game.sessions.Session;


public class ModBanHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Allowed to ban?
		if(!session.getUser().hasRight("fuse_ban"))
		{
			return;
		}
		
		// Get ban info
		int userId = request.readInt();
		String message = request.readStr();
		int hours = request.readInt();
		
		// Issue ban
		try
		{
			ModerationCenter ctr = Instance.get().getGameMgr().getModerationCenter();
			ctr.issueUserBan(session.getUser().id, userId, message, hours);
		}
		catch(ModerationActionError error)
		{
			session.sendNotif(error.generateNotif());
		}
	}
}
