package habbod2.communication.messages.incoming.moderator;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.moderation.ModerationActionError;
import habbod2.game.moderation.ModerationCenter;
import habbod2.game.util.SecurityUtil;
import habbod2.game.sessions.Session;


public class ModeratorActionHandler implements RequestHandler
{
	@Override
	@SuppressWarnings("unused")
	public void handle(Session session, ClientMessage request)
	{
		// Can roomalert?
		if(!session.getUser().rights.contains("fuse_roomalert") || !session.inRoom())
		{
			return;
		}
		
		// Get alert info
		int unk = request.readInt();
		boolean isCaution = (request.readInt() == 3);
		String message = SecurityUtil.filterStr(request.readStr());
		
		// Issue ban
		try
		{
			ModerationCenter ctr = System.get().getGameMgr().getModerationCenter();
			ctr.issueRoomAlert(session.getUser().id, session.getRoom().getInfo().id, message, isCaution);
		}
		catch(ModerationActionError error)
		{
			session.sendNotif(error.generateNotif());
		}
	}
}
