package habbod2.communication.messages.incoming.moderator;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.moderation.ModerationCenter;
import habbod2.game.moderation.ModerationTicket;
import habbod2.game.sessions.Session;


public class PickIssuesHandler implements RequestHandler
{
	@Override
	@SuppressWarnings("unused")
	public void handle(Session session, ClientMessage request)
	{
		// Has mod?
		if(!session.getUser().rights.contains("fuse_mod"))
		{
			return;
		}
		
		// Get ticket
		int unk = request.readInt();
		int ticketId = request.readInt();
		ModerationCenter ctr = System.get().getGameMgr().getModerationCenter();
		ModerationTicket ticket = ctr.getTicket(ticketId);
		
		// Ticket exists and pickable?
		if(ticket != null && ticket.status == ModerationTicket.STATUS_OPEN)
		{
			// Pick ticket
			ticket.pickerId = session.getUser().id;
			ticket.pickerUsername = session.getUser().username;
			ticket.status = ModerationTicket.STATUS_PICKED;
			ticket.saveStatus();
			
			// Broadcast update
			ctr.broadcastTicket(ticket);
		}
	}
}
