package habbod2.communication.messages.incoming.moderator;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.moderation.ModerationCenter;
import habbod2.game.moderation.ModerationTicket;
import habbod2.game.sessions.Session;


public class ReleaseIssuesHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Has mod?
		if(!session.getUser().rights.contains("fuse_mod"))
		{
			return;
		}
		
		// Get center
		ModerationCenter ctr = System.get().getGameMgr().getModerationCenter();
		
		// Process all selected tickets
		int amount = request.readInt();
		for(int x = 0; x < amount; x++)
		{
			// Get ticket
			int ticketId = request.readInt();
			ModerationTicket ticket = ctr.getTicket(ticketId);
			
			// Ticket exists and picked by this user?
			if(ticket != null && ticket.status == ModerationTicket.STATUS_PICKED && ticket.pickerId == session.getUser().id)
			{
				// Release ticket
				ticket.pickerId = 0;
				ticket.pickerUsername = null;
				ticket.status = ModerationTicket.STATUS_OPEN;
				ticket.saveStatus();
				
				// Broadcast update
				ctr.broadcastTicket(ticket);
			}
		}
	}
}
