package habbod2.communication.messages.incoming.navigator;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.rooms.navigator.RoomEvent;
import habbod2.game.rooms.navigator.RoomEventManager;
import habbod2.game.util.GameUtil;
import habbod2.game.util.SecurityUtil;
import habbod2.game.sessions.Session;

public class CreateEventHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Can start event?
		if(RoomEvent.canCreateRoomEvent(session) != RoomEvent.ERROR_NONE)
		{
			return;
		}
		
		// Create event
		RoomEvent event = new RoomEvent();
		event.categoryId = request.readInt();
		event.name = SecurityUtil.filterStr(request.readStr());
		event.description = SecurityUtil.filterStr(request.readStr());
		event.tags = SecurityUtil.filterStrArray(request.readStrArray());
		event.room = session.getRoomInstance().getInfo();
		event.startTime = GameUtil.getCurrentDateTime();
		
		// TODO: validate event
		
		// Create event
		RoomEventManager mgr = System.get().getGameMgr().getRoomEventMgr();
		mgr.addEvent(event);
	}
}
