package habbod2.communication.messages.incoming.navigator;

import java.util.List;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.navigator.GuestRoomSearchResultMessageComposer;
import habbod2.game.rooms.navigator.RoomEvent;
import habbod2.game.rooms.navigator.RoomEventManager;
import habbod2.game.sessions.Session;

public class LatestEventsSearchHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get events for event category
		int categoryId = request.readParseFixedInt();
		RoomEventManager eventMgr = Instance.get().getGameMgr().getRoomEventMgr();
		List<RoomEvent> events = eventMgr.getEventsForCategory(categoryId);

		// Send them
		session.send(GuestRoomSearchResultMessageComposer.compose(categoryId, eventMgr.getCategoryAmount(), events));
	}
}
