package habbod2.communication.messages.incoming.navigator;

import java.util.List;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.navigator.GuestRoomSearchResultMessageComposer;
import habbod2.game.GameManager;
import habbod2.game.rooms.Room;
import habbod2.game.sessions.Session;

public class RoomTagSearchHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Read and trim the tag to search for
		String tag = request.readStr().split(" ")[0];

		// Actually a tag given?
		if(tag.length() > 0)
		{
			// Get limit
			GameManager gameMgr = Instance.get().getGameMgr();
			int maxResults = gameMgr.getConfig().getInt("game.rooms.navigator.search.maxresults");
			
			// Get search result
			List<Room> rooms = gameMgr.getNavigator().getGuestRoomSearchResult(tag, maxResults, true);

			// Send the result
			session.send(GuestRoomSearchResultMessageComposer.compose(1, 9, tag, rooms));
		}
	}
}
