package habbod2.communication.messages.incoming.navigator;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.navigator.GuestRoomSearchResultMessageComposer;
import habbod2.game.rooms.Room;
import habbod2.game.rooms.RoomManager;
import habbod2.game.util.SecurityUtil;
import habbod2.game.sessions.Session;

import java.util.List;

public class RoomTagSearchHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Read and trim the tag to search for
		String tag = SecurityUtil.filterStr(request.readStr().split(" ")[0]);

		// Actually a tag given?
		if(tag.length() > 0)
		{
			// Get search result
			RoomManager roomMgr = System.get().getGameMgr().getRoomMgr();
			List<Room> rooms = roomMgr.getGuestRoomSearchResult(tag, true);

			// Send the result
			session.send(GuestRoomSearchResultMessageComposer.compose(1, 9, tag, rooms));
		}
	}
}
