package habbod2.communication.messages.incoming.navigator;

import java.util.List;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.navigator.GuestRoomSearchResultMessageComposer;
import habbod2.game.rooms.Room;
import habbod2.game.rooms.RoomManager;
import habbod2.game.util.SecurityUtil;
import habbod2.game.sessions.Session;

public class RoomTextSearchHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Read & trim criteria
		String criteria = SecurityUtil.filterStr(request.readStr().trim());

		// Actually criteria given?
		if(criteria.length() > 0)
		{
			// Get search result
			RoomManager roomMgr = System.get().getGameMgr().getRoomMgr();
			List<Room> rooms = roomMgr.getGuestRoomSearchResult(criteria, false);

			// Send the result
			session.send(GuestRoomSearchResultMessageComposer.compose(9, 1, criteria, rooms));
		}
	}
}
