package habbod2.communication.messages.incoming.navigator;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.rooms.Room;
import habbod2.game.rooms.RoomManager;
import habbod2.game.sessions.Session;
import habbod2.communication.messages.outgoing.navigator.NavigatorSettingsMessageComposer;

public class UpdateNavigatorSettingsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get room info
		int roomId = request.readInt();
		RoomManager mgr = System.get().getGameMgr().getRoomMgr();
		Room room = (roomId != 0) ? mgr.getRoomInfo(roomId) : null;

		// Users can only set their own rooms as homeroom, or no homeroom (id=0)
		if(roomId == 0 || room.ownerId == session.getUser().id)
		{
			session.getUser().homeRoomId = roomId;
			session.send(NavigatorSettingsMessageComposer.compose(roomId));
		}
	}
}
