package habbod2.communication.messages.incoming.pets;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.users.ApproveNameMessageComposer;
import habbod2.game.pets.PetUtil;
import habbod2.game.sessions.Session;

public class CheckPetNameHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Read proposed pet name
		String name = request.readStr();

		// Run checks
		int errorCode = 0;
		if(!PetUtil.validatePetName(name))
		{
			errorCode = 2;
		}

		// Send check result
		session.send(ApproveNameMessageComposer.compose(errorCode));
	}
}
