package habbod2.communication.messages.incoming.room.action;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.roomsettings.FlatControllerAddedMessageComposer;
import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.sessions.Session;

public class AssignRightsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get the ID of the user to give rights to
		int userId = request.readInt();

		// This user can give rights?
		if(session.inRoom() && session.getRoomUser().hasRoomOwner)
		{
			// Get the target
			RoomUser target = session.getRoomInstance().getUserByUserId(userId);
			if(target != null && !target.hasRoomOwner)
			{
				// Update the room
				if(session.getRoomInstance().addUserRights(target.getInfo().id, target.getInfo().username))
				{
					// Update the room user
					target.hasRoomRights = true;
					target.addStatus("flatctrl");
					target.getSession().sendRoomPermissions();

					// Update the issuer
					session.send(FlatControllerAddedMessageComposer.compose(session.getRoomInstance(), target));
				}
			}
		}
	}
}
