package habbod2.communication.messages.incoming.room.action;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.sessions.Session;

public class KickUserHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get the user ID of the user to kick
		int userId = request.readInt();

		// Can this user kick other users at all?
		if(session.inRoom() && session.getRoomUser().hasRoomRights)
		{
			// Target is in the room and kickable by this user?
			RoomUser target = session.getRoomInstance().getUserByUserId(userId);
			if(target != null && (!target.hasRoomOwner || session.getUser().role.level > target.getInfo().role.level))
			{
				// BAM!
				target.getSession().kickFromRoom();
			}
		}
	}
}
