package habbod2.communication.messages.incoming.room.avatar;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.room.engine.UserChangeMessageComposer;
import habbod2.game.util.SecurityUtil;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.sessions.Session;

public class ChangeMottoHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get & filter new motto, ensure it's actually an update
		String motto = SecurityUtil.filterStr(request.readStr());
		if(motto.equals(session.getUser().motto))
		{
			return;
		}

		// Update user object
		session.getUser().motto = motto;
		session.getUser().saveAppearance();

		// Update on messenger
		session.getMessenger().updateStatus(true);
		
		// If in room, then the room users need an update too!
		if(session.inRoom())
		{
			RoomUser user = session.getRoomUser();
			session.getRoom().broadcast(UserChangeMessageComposer.compose(user, false));
		}
	}
}
