package habbod2.communication.messages.incoming.room.avatar;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.room.action.DanceMessageComposer;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.sessions.Session;

public class DanceHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Read & verify the ID of the dance to start
		int danceId = request.readInt();
		if(danceId < 0 || danceId > 4)// || (danceId != 1 && !session.getUser().hasRight("fuse_use_club_dance")))
		{
			danceId = 0;
		}

		// User is in the room?
		RoomUser user = session.getRoomUser();
		if(user != null)
		{
			// Unidle the user and update the dance ID
			user.unidle();
			user.stopCarryItem();
			user.danceId = danceId;

			// Broadcast update to the room to get this user dancing!
			session.getRoom().broadcast(DanceMessageComposer.compose(user));
		}
	}
}
