package habbod2.communication.messages.incoming.room.chat;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.room.chat.WhisperMessageComposer;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.util.SecurityUtil;
import habbod2.game.sessions.Session;

public class WhisperHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Parse receiver + text
		final String[] data = request.readStr().split(" ", 2);
		if(data.length != 2)
		{
			return;
		}
		final String receiverName = data[0];
		final String text = SecurityUtil.filterStr(data[1]);

		// Actually in room?
		if(session.inRoom())
		{
			// Receiver in room too?
			RoomUser receiver = session.getRoomInstance().getUserByUsername(receiverName);
			if(receiver != null)
			{
				// Send to this user & receiver
				ServerMessage msg = WhisperMessageComposer.compose(session.getRoomUser(), text);
				session.send(msg);
				receiver.getSession().send(msg);
			}
		}
	}
}
