package habbod2.communication.messages.incoming.room.engine;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.items.EItemFlags;
import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.game.sessions.Session;

public class MoveObjectHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Allowed to move items?
		RoomUser user = session.getRoomUser();
		if(user == null || !user.hasRoomRights)
		{
			return;
		}

		// Parse position data
		int itemId = request.readInt();
		int newX = request.readInt();
		int newY = request.readInt();
		byte newRotation = (byte) request.readInt();

		// Move the flooritem
		RoomFloorItem item = session.getRoomInstance().getFloorItem(itemId);
		if(item.is(EItemFlags.FLOORITEM))
		{
			session.getRoomInstance().moveFloorItem(item, newX, newY, newRotation, session);
		}
	}
}
