package habbod2.communication.messages.incoming.room.engine;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.items.InventoryItem;
import habbod2.game.sessions.Session;

public class PickupObjectHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Allowed to pickup items?
		if(!session.getRoomUser().hasRoomOwner)
		{
			return;
		}

		// Parse item type + ID
		@SuppressWarnings("unused")
		boolean isFloorItem = (request.readInt() == 2);
		int itemId = request.readInt();
		
		// Attempt pickup
		InventoryItem item = session.getRoom().pickupItem(itemId);
		if(item != null)
		{
			session.getItemInventory().addItem(item);
		}
	}
}
