package habbod2.communication.messages.incoming.room.engine;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.items.InventoryItem;
import habbod2.game.sessions.Session;

public class PlacePostItHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Allowed to place items in this room?
		if(!session.getRoomUser().hasRoomRights)
		{
			return;
		}

		// Read info
		int itemId = request.readInt();
		String position = request.readStr();
		
		// Validate item from inventory
		InventoryItem item = session.getItemInventory().getItem(itemId);
		if(item == null)
		{
			return;
		}

		// Issue placement
		if(session.getRoomInstance().placeItem(item, position))
		{
			session.getItemInventory().removeItem(item.id);
		}
	}
}
