package habbod2.communication.messages.incoming.room.engine;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.rooms.items.RoomWallItem;
import habbod2.game.rooms.items.wall.PostItItem;
import habbod2.game.sessions.Session;

public class RemoveItemHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Has room owner?
		if(!session.getRoomUser().hasRoomOwner)
		{
			return;
		}
		
		// Get item, delete it
		RoomWallItem item = session.getRoomInstance().getWallItem(request.readInt());
		if(item != null && item instanceof PostItItem)
		{
			session.getRoomInstance().pickupWallItem(item.id, session);
			item.delete();
		}
	}
}
