package habbod2.communication.messages.incoming.room.engine;

import habbod2.communication.RequestHandler;
import habbod2.game.rooms.items.RoomItem;
import habbod2.game.rooms.items.misc.AdvertisementItem;
import habbod2.game.sessions.Session;
import habbod2.net.protocol.ClientMessage;

public class SetObjectDataHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Allowed?
		if(!session.inRoom() || !session.getUser().hasRight("manager"))
		{
			return;
		}
		
		// Find item
		int itemId = request.readInt();
		RoomItem item = session.getRoom().getItem(itemId);
		
		// Valid item
		if(item != null && item instanceof AdvertisementItem)
		{
			// Build new state string
			String newState = "";
			int amount = request.readInt() / 2;
			for(int i = 0; i < amount; i++)
			{
				newState += request.readStr(); // Key
				newState += "=";
				newState += request.readStr(); // Value
				newState += "\t";
			}
			newState += "state=0";
			
			// ... and update!
			item.setState(newState);
		}
	}
}
