package habbod2.communication.messages.incoming.room.engine;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.rooms.items.RoomItem;
import habbod2.game.sessions.Session;

public class UseItemHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// In room?
		if(!session.inRoom())
		{
			return;
		}
		
		// Parse instructions
		int itemId = request.readInt();
		int instruction = request.remaining() > 0 ? request.readInt() : 0;

		// Process the item
		RoomItem item = session.getRoomInstance().getItem(itemId);
		if(item != null)
		{
			item.toggle(session.getRoomUser(), instruction);
		}
	}
}
