package habbod2.communication.messages.incoming.room.furniture;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.game.sessions.Session;

public class EnterOneWayDoorHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// In room?
		if(!session.inRoom())
		{
			return;
		}
		
		// Process it
		int itemId = request.readInt();
		RoomFloorItem item = session.getRoomInstance().getFloorItem(itemId);
		if(item != null)
		{
			item.toggle(session.getRoomUser(), 0);
		}
	}
}
