package habbod2.communication.messages.incoming.room.furniture;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.items.InventoryItem;
import habbod2.game.rooms.items.wall.PostItItem;
import habbod2.game.sessions.Session;

public class PlacePostItHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Allowed to place post.its in this room?
		if(!session.inRoom() || !session.getRoomUser().hasRoomRights)
		{
			return;
		}

		// Determine item + position
		int itemId = request.readInt();
		String position = request.readStr();
		
		// Get + validate item
		InventoryItem item = session.getItemInventory().getItem(itemId);
		if(item != null && item.is(PostItItem.class))
		{
			if(session.getRoomInstance().placeItem(item, position))
			{
				session.getItemInventory().removeItem(itemId);
			}
		}
	}
}
