package habbod2.communication.messages.incoming.room.furniture;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.room.furniture.RoomDimmerPresetsMessageComposer;
import habbod2.game.rooms.items.wall.RoomDimmerItem;
import habbod2.game.sessions.Session;

public class RoomDimmerGetPresetsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Only room owners can deal with the room dimmer
		RoomDimmerItem dimmer = session.getRoomInstance().getRoomDimmer();
		if(dimmer == null || !session.getRoomUser().hasRoomOwner)
		{
			return;
		}

		// Send all presets
		session.send(RoomDimmerPresetsMessageComposer.compose(dimmer));
	}
}
