package habbod2.communication.messages.incoming.room.furniture;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.rooms.items.RoomWallItem;
import habbod2.game.rooms.items.wall.WheelOfFortuneItem;
import habbod2.game.sessions.Session;

public class SpinWheelOfFortuneHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// In room?
		if(!session.inRoom())
		{
			return;
		}
		
		// Process it
		RoomWallItem item = session.getRoomInstance().getWallItem(request.readInt());
		if(item != null && item instanceof WheelOfFortuneItem)
		{
			item.toggle(session.getRoomUser(), 0);
		}
	}
}
