package habbod2.communication.messages.incoming.room.pets;


import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.room.pets.PetInfoMessageComposer;
import habbod2.game.items.pets.Pet;
import habbod2.game.items.pets.RoomPet;
import habbod2.game.sessions.Session;

public class GetPetInfoHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get the requested pet from room instance
		int petId = request.readInt();
		RoomPet avatar = (RoomPet) session.getRoomInstance().getAvatarByAvatarKey("p" + petId);
		if(avatar == null)
		{
			return;
		}

		// Extract pet info
		Pet pet = avatar.getInfo();
		
		// Send pet info
		session.send(PetInfoMessageComposer.compose(pet));
	}
}
