package habbod2.communication.messages.incoming.sound;

import java.util.ArrayList;
import java.util.List;

import habbod2.System;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.sound.TraxSongInfoMessageComposer;
import habbod2.game.music.Song;
import habbod2.game.sessions.Session;

public class GetSongInfoHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get the requested songs
		int amount = request.readInt();
		List<Song> songs = new ArrayList<Song>(amount);
		for(int i = 0; i < amount; i++)
		{
			// Get song
			int songId = request.readInt();
			Song song = System.get().getGameMgr().getMusicMgr().getSong(songId);
			
			// Song exists?
			if(song != null)
			{
				songs.add(song);
			}
		}
		
		// Send the songs
		session.send(TraxSongInfoMessageComposer.compose(songs));
	}
}
