package habbod2.communication.messages.incoming.users;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.users.UserBadgesMessageComposer;
import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.sessions.Session;

public class GetSelectedBadgesHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get the user to get the badges of
		int userId = request.readInt();
		RoomUser user = session.getRoomInstance().getUserByUserId(userId);

		// User in the room?
		if(user != null)
		{
			session.send(UserBadgesMessageComposer.compose(user));
		}
	}
}
