package habbod2.communication.messages.incoming.users;


import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.sessions.Session;
import habbod2.communication.messages.outgoing.users.UserTagsMessageComposer;

public class GetUserTagsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get the user to get tags for
		int userId = request.readInt();
		RoomUser user = session.getRoomInstance().getUserByUserId(userId);

		// User exists?
		if(user != null)
		{
			session.send(UserTagsMessageComposer.compose(user));
		}
	}
}
