package habbod2.communication.messages.incoming.users;

import habbod2.System;
import static habbod2.core.Locale._I;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.sessions.Session;
import habbod2.game.users.User;
import habbod2.game.users.UserManager;
import habbod2.communication.messages.outgoing.users.IgnoreResultMessageComposer;

public class IgnoreUserHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Determine user
		String username = request.readStr();
		UserManager userMgr = System.get().getGameMgr().getUserMgr();
		User user = userMgr.getUserByUsername(username);
		
		// User is ignore-able?
		if(user.role.level > session.getUser().role.level)
		{
			session.sendNotif(_I("You cannot ignore users with a higher level."));
			return;
		}
		
		// Not already ignored?
		if(!session.hasIgnoredUser(user.id))
		{
			// Ignore!
			session.getIgnoredUsers().put(user.id, user.username);
			userMgr.ignoreUser(session.getUser().id, user.id);
			
			// Notify user
			session.send(IgnoreResultMessageComposer.compose(IgnoreResultMessageComposer.IGNORED));
		}
	}
}
