package habbod2.communication.messages.outgoing.catalog;

import habbod2.communication.EServerMessage;
import habbod2.game.catalog.CatalogPage;
import habbod2.game.catalog.CatalogProduct;
import habbod2.net.protocol.ServerMessage;

public class CatalogPageMessageComposer
{
	public static ServerMessage compose(CatalogPage page)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.CatalogPage);
		msg.appendInt(page.id);
		msg.appendStr(page.layout);

		// Serialize extra msg for the layout
		if(page.layout.equals("frontpage3"))
		{
			msg.appendInt(3);
			msg.appendStr(page.headlineImage);
			msg.appendStr(page.teaserImage);
			msg.appendStr("");
			msg.appendInt(11);
			msg.appendStr(page.text1);
			msg.appendStr("");
			msg.appendStr(page.text2);
			msg.appendStr(page.details);
			msg.appendStr("");
			msg.appendStr("#FAF8CC");
			msg.appendStr("#FAF8CC");
			msg.appendStr("Other ways to get more credits >");
			msg.appendStr("magic.credits");
		}
		else if(page.layout.equals("recycler_info"))
		{
			msg.appendInt(2);
			msg.appendStr(page.headlineImage);
			msg.appendStr(page.teaserImage);
			msg.appendInt(3);
			msg.appendStr(page.text1);
			msg.appendStr(page.text2);
			msg.appendStr(page.details);
		}
		else if(page.layout.equals("recycler_prizes"))
		{
			msg.appendInt(1);
			msg.appendStr("catalog_recycler_headline3");
			msg.appendInt(1);
			msg.appendStr(page.text1);
		}
		else if(page.layout.equals("spaces"))
		{
			msg.appendInt(1);
			msg.appendStr(page.headlineImage);
			msg.appendInt(1);
			msg.appendStr(page.text1);
		}
		else if(page.layout.equals("recycler"))
		{
			msg.appendInt(2);
			msg.appendStr(page.headlineImage);
			msg.appendStr(page.teaserImage);
			msg.appendInt(1);
			msg.appendStr(page.text1, (byte) 10);
			msg.appendStr(page.text2);
			msg.appendStr(page.details);
		}
		else if(page.layout.equals("trophies"))
		{
			msg.appendInt(1);
			msg.appendStr(page.headlineImage);
			msg.appendInt(2);
			msg.appendStr(page.text1);
			msg.appendStr(page.details);
		}
		else if(page.layout.equals("pets"))
		{
			msg.appendInt(2);
			msg.appendStr(page.headlineImage);
			msg.appendStr(page.teaserImage);
			msg.appendInt(4);
			msg.appendStr(page.text1);
			msg.appendStr("Give a name:");
			msg.appendStr("Pick a color:");
			msg.appendStr("Pick a race:");
		}
		else
		{
			msg.appendInt(3);
			msg.appendStr(page.headlineImage);
			msg.appendStr(page.teaserImage);
			msg.appendStr(page.specialImage);
			msg.appendInt(3);
			msg.appendStr(page.text1);
			msg.appendStr(page.details);
			msg.appendStr(page.teaserText);
		}

		// Serialize products
		msg.appendInt(page.products.size());
		for(CatalogProduct product : page.products)
		{
			msg.appendInt(product.id);
			msg.appendStr(product.code);
			msg.appendInt(product.costCredits);
			msg.appendInt(product.costPixels);
			msg.appendInt(product.costQuestPoints);
			msg.appendInt(1);
			msg.appendStr(product.getType());
			msg.appendInt(product.item.displayId);
			msg.appendStr("");
			msg.appendInt(product.itemAmount);
			msg.appendInt(-1);
			msg.appendInt(0);
		}
		
		return msg;
	}
}
