package habbod2.communication.messages.outgoing.friendlist;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.messenger.MessengerBuddy;

import java.util.Collection;

public class MessengerInitMessageComposer
{
	public static ServerMessage compose(Collection<MessengerBuddy> buddies)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.MessengerInit);
		
		// Limits
		msg.appendInt(600); // max friends
		msg.appendInt(200); // max friends default user
		msg.appendInt(600); // max friends club user
		msg.appendInt(900); // max friends vip club user
		
		// Append groups
		msg.appendInt(0);
		// TODO: group ID, name
		
		// Append buddies
		msg.appendInt(buddies.size());
		for(MessengerBuddy buddy : buddies)
		{
			serializeBuddy(buddy, msg);
		}
		
		return msg;
	}
	
	public static void serializeBuddy(MessengerBuddy buddy, ServerMessage msg)
	{
		msg.appendInt(buddy.userId);
		msg.appendStr(buddy.username);
		msg.appendBool(true);
		msg.appendBool(buddy.isOnline());
		msg.appendBool(buddy.inRoom());
		msg.appendStr(buddy.figure);
		msg.appendBool(false);
		msg.appendStr(buddy.motto);
		msg.appendStr(buddy.getOnlineStatus());
		msg.appendStr("");
		msg.appendStr("");
	}
}
