package habbod2.communication.messages.outgoing.help;

import java.util.List;

import habbod2.communication.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.help.HelpTopic;

public class FaqClientFaqsMessageComposer
{
	public static ServerMessage compose(List<HelpTopic> important, List<HelpTopic> knownIssues)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.FaqClientFaqs);
		msg.appendInt(important.size());
		for(HelpTopic topic : important)
		{
			serializeTopic(topic, msg);
		}
		msg.appendInt(knownIssues.size());
		for(HelpTopic topic : knownIssues)
		{
			serializeTopic(topic, msg);
		}
		
		return msg;
	}
	
	public static void serializeTopic(HelpTopic topic, ServerMessage msg)
	{
		msg.appendInt(topic.id);
		msg.appendStr(topic.title);
	}
}
