package habbod2.communication.messages.outgoing.inventory.avatareffect;

import habbod2.communication.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.users.effects.AvatarEffect;

import java.util.List;

public class AvatarEffectsMessageComposer
{
	public static ServerMessage compose(List<AvatarEffect> effects)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.AvatarEffects);
		msg.appendInt(effects.size());
		for(AvatarEffect effect : effects)
		{
			msg.appendInt(effect.effectId);
			msg.appendInt(effect.totalDuration);
			msg.appendBool(!effect.enabled); // Can enable?
			msg.appendInt(effect.getTimeLeft());
		}
		
		return msg;
	}
}
