package habbod2.communication.messages.outgoing.inventory.badges;

import java.util.List;

import habbod2.communication.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.users.badges.Badge;
import habbod2.game.users.badges.BadgeInventory;

public class BadgesMessageComposer
{
	public static ServerMessage compose(BadgeInventory inventory)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.Badges);
		
		// All badges
		List<Badge> all = inventory.getBadges();
		msg.appendInt(all.size());
		for(Badge badge : all)
		{
			msg.appendBool(badge.isEquipped());
			msg.appendStr(badge.code);
		}
		
		// Equipped badges
		List<Badge> equipped = inventory.getEquippedBadges();
		msg.appendInt(equipped.size());
		for(Badge badge : equipped)
		{
			msg.appendInt(badge.slot);
			msg.appendStr(badge.code);
		}
		
		return msg;
	}
}
