package habbod2.communication.messages.outgoing.inventory.furni;

import java.util.Collection;
import habbod2.communication.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.items.EItemFlags;
import habbod2.game.items.InventoryItem;

public class FurniListMessageComposer
{
	public static ServerMessage compose(Collection<InventoryItem> items)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.FurniList);
		msg.appendStr("S");
		msg.appendInt(1);
		msg.appendInt(1);
		msg.appendInt(items.size());
		for(InventoryItem item : items)
		{
			msg.appendInt(item.id);
			msg.appendStr(Character.toUpperCase(item.definition.getType()));
			msg.appendInt(item.id);
			msg.appendInt(item.definition.displayId);
			msg.appendInt(item.definition.inventoryType);
			msg.appendStr(item.state);
			msg.appendBool(item.is(EItemFlags.ALLOW_RECYCLE));
			msg.appendBool(item.is(EItemFlags.ALLOW_TRADE));
			msg.appendBool(true);//item.is(EItemBehavior.ALLOW_INVENTORYSTACK));
			msg.appendBool(item.is(EItemFlags.ALLOW_MARKETPLACE));
			msg.appendInt(-1);
			if(item.is(EItemFlags.FLOORITEM))
			{
				msg.appendStr("");
				msg.appendInt(-1);
			}
		}
		
		return msg;
	}
}
