package habbod2.communication.messages.outgoing.inventory.pets;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.items.pets.Pet;
import habbod2.game.items.pets.PetInventory;

public class PetInventoryMessageComposer
{
	public static ServerMessage compose(PetInventory inventory)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.PetInventory);
		msg.appendInt(inventory.getPets().size());
		for(Pet pet : inventory.getPets())
		{
			serializePet(pet, msg);
		}
		
		return msg;
	}
	
	public static void serializePet(Pet pet, ServerMessage msg)
	{
		msg.appendInt(pet.id);
		msg.appendStr(pet.name);
		msg.appendInt(pet.type);
		msg.appendInt(pet.breed);
		msg.appendStr(pet.color);
	}
}
