package habbod2.communication.messages.outgoing.moderation;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;

import java.util.List;
import java.util.Map;
import java.util.Map.Entry;


public class ModeratorInitMessageComposer
{
	public static ServerMessage compose(List<String> userMessagePresets, Map<String, Map<String, String>> userActionPresets, List<String> roomMessagePresets)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.ModeratorInit);
		msg.appendInt(-1);
		
		// User message presets
		msg.appendInt(userMessagePresets.size());
		for(String preset : userMessagePresets)
		{
			msg.appendStr(preset);
		}
		
		// User action presets
		msg.appendInt(userActionPresets.size());
		for(Entry<String, Map<String, String>> category : userActionPresets.entrySet())
		{
			msg.appendStr(category.getKey());
			msg.appendInt(category.getValue().size());
			for(Entry<String, String> preset : category.getValue().entrySet())
			{
				msg.appendStr(preset.getKey());
				msg.appendStr(preset.getValue());
			}
		}
		
		// Enabled features
		msg.appendBool(true); // tickets
		msg.appendBool(true); // chatlog
		msg.appendBool(true); // message, user action, send caution
		msg.appendBool(true); // kick
		msg.appendBool(true); // ban
		msg.appendBool(true); // caution, message
		msg.appendBool(true); // ??
		
		// Room message presets
		msg.appendInt(roomMessagePresets.size());
		for(String preset : roomMessagePresets)
		{
			msg.appendStr(preset);
		}
		
		return msg;
	}
}
