package habbod2.communication.messages.outgoing.moderation;

import habbod2.communication.messages.EServerMessage;
import habbod2.game.moderation.UserModerationHistory;
import habbod2.game.users.User;
import habbod2.net.protocol.ServerMessage;

public class ModeratorUserInfoMessageComposer
{
	public static ServerMessage compose(User user, UserModerationHistory history)
	{
		long nowTime = System.currentTimeMillis();
		
		ServerMessage msg = ServerMessage.create(EServerMessage.ModeratorUserInfo);
		msg.appendInt(user.id);
		msg.appendStr(user.username);
		msg.appendInt((int) Math.ceil(((nowTime - user.registeredTime) / 1000) / 60)); // Minutes since registration
		msg.appendInt((int) Math.ceil(((nowTime - user.lastOnlineTime) / 1000) / 60)); // Minutes since last login time
		msg.appendBool(user.onlineNow);
		msg.appendInt(history.cfhs);
		msg.appendInt(history.abusiveCfhs);
		msg.appendInt(history.cautions);
		msg.appendInt(history.bans);
		
		return msg;
	}
}
