package habbod2.communication.messages.outgoing.moderation;

import java.util.Date;
import java.util.List;

import habbod2.communication.EServerMessage;
import habbod2.game.rooms.RoomVisit;
import habbod2.game.users.User;
import habbod2.net.protocol.ServerMessage;

public class RoomVisitsMessageComposer
{
	@SuppressWarnings("deprecation")
	public static ServerMessage compose(User user, List<RoomVisit> visits)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.RoomVisits);
		msg.appendInt(user.id);
		msg.appendStr(user.username);
		msg.appendInt(visits.size());
		for(RoomVisit visit : visits)
		{
			Date entry = new Date(visit.entry);
			msg.appendBool(visit.room.isPublicRoom());
			msg.appendInt(visit.room.id);
			msg.appendStr(visit.room.name);
			msg.appendInt(entry.getHours());
			msg.appendInt(entry.getMinutes());
		}
		
		return msg;
	}
}
