package habbod2.communication.messages.outgoing.navigator;

import java.util.List;

import habbod2.communication.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.rooms.navigator.NavigatorFrontpageItem;

public class OfficialRoomsMessageComposer
{
	public static ServerMessage compose(List<NavigatorFrontpageItem> items)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.OfficialRooms);
		msg.appendInt(items.size());
		for(NavigatorFrontpageItem fpi : items)
		{
			if(fpi.parentId == 0)
			{
				serializeFrontpageItem(fpi, msg);
				for(NavigatorFrontpageItem child : items)
				{
					if(child.parentId == fpi.id)
					{
						serializeFrontpageItem(child, msg);
					}
				}
			}
		}

		return msg;
	}

	private static void serializeFrontpageItem(NavigatorFrontpageItem fpi, ServerMessage msg)
	{
		msg.appendInt(fpi.id);
		msg.appendStr(fpi.name);
		msg.appendStr(fpi.description);
		msg.appendBool(fpi.showDetails);
		msg.appendStr(fpi.name);
		msg.appendStr(fpi.imageExternal);
		msg.appendInt(fpi.parentId);
		msg.appendInt(fpi.room != null ? fpi.room.usersNow : 0);
		msg.appendInt(fpi.category != null ? 4 :(fpi.room.isGuestRoom() ? 2 : 3));
		if(fpi.category != null)
		{
			msg.appendBool(true); // Auto expand by default
		}
		else if(fpi.room.isGuestRoom())
		{
			GuestRoomSearchResultMessageComposer.serializeGuestRoom(fpi.room, msg);
		}
		else if(fpi.room.isPublicRoom())
		{
			msg.appendStr(fpi.imageExternal);
			msg.appendInt(0); // unk
			msg.appendInt(0); // Room part
			msg.appendStr(fpi.room.files);
			msg.appendInt(fpi.room.usersMax);
			msg.appendInt(fpi.room.id);
		}
	}
}
