package habbod2.communication.messages.outgoing.room.engine;

import java.util.Collection;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.messages.EServerMessage;
import habbod2.game.rooms.items.RoomWallItem;

public class ItemsMessageComposer
{
	public static ServerMessage compose(Collection<RoomWallItem> items)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.Items);
		msg.appendInt(items.size());
		for(RoomWallItem item : items)
		{
			serializeItem(item, msg);
		}
		
		return msg;
	}
	
	public static void serializeItem(RoomWallItem item, ServerMessage msg)
	{
		msg.appendStr(item.id);
		msg.appendInt(item.definition.displayId);
		msg.appendStr(item.position);
		msg.appendStr(item.state);
		msg.appendBool(false);
	}
}
