package habbod2.communication.messages.outgoing.room.engine;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.rooms.instance.RoomAvatar;
import habbod2.game.rooms.instance.RoomTile;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.game.rooms.items.floor.RollerItem;

public class SlideObjectBundleMessageComposer
{
	public static ServerMessage compose(RoomFloorItem item, RoomTile from, float fromZ, RollerItem roller)
	{
		return compose(item, from, fromZ, roller, ServerMessage.create());
	}
	
	public static ServerMessage compose(RoomFloorItem item, RoomTile from, float fromZ, RollerItem roller, ServerMessage msg)
	{
		msg.reset(EServerMessage.SlideObjectBundle);
		msg.appendInt(from.x);
		msg.appendInt(from.y);
		msg.appendInt(item.x);
		msg.appendInt(item.y);
		msg.appendInt(1);
		msg.appendInt(item.id);
		msg.appendStr(fromZ);
		msg.appendStr(item.z);
		msg.appendInt(roller != null ? roller.id : -1);
		
		return msg;
	}
	
	public static ServerMessage compose(RoomAvatar avatar, RoomTile from, RollerItem roller)
	{
		return compose(avatar, from, roller, ServerMessage.create());
	}
	
	public static ServerMessage compose(RoomAvatar avatar, RoomTile from, RollerItem roller, ServerMessage msg)
	{
		msg.reset(EServerMessage.SlideObjectBundle);
		msg.appendInt(from.x);
		msg.appendInt(from.y);
		msg.appendInt(avatar.tile.x);
		msg.appendInt(avatar.tile.y);
		msg.appendInt(0);
		msg.appendInt(roller != null ? roller.id : -1);
		msg.appendInt(2);
		msg.appendInt(avatar.avatarId);
		msg.appendStr(from.height);
		msg.appendStr(avatar.tile.height);
		
		return msg;
	}
}
