package habbod2.communication.messages.outgoing.room.engine;

import java.util.Collection;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.messages.EServerMessage;
import habbod2.game.rooms.instance.RoomAvatar;

public class UserUpdateMessageComposer
{
	public static ServerMessage compose(RoomAvatar avatar)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.UserUpdate);
		msg.appendInt(1);
		avatar.appendStatusString(msg);
		
		return msg;
	}
	
	public static ServerMessage compose(Collection<RoomAvatar> avatars)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.UserUpdate);
		msg.appendInt(avatars.size());
		for(RoomAvatar avatar : avatars)
		{
			avatar.appendStatusString(msg);
		}
		
		return msg;
	}
}
