package habbod2.communication.messages.outgoing.sound;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.messages.EServerMessage;
import habbod2.game.music.Song;
import habbod2.game.rooms.items.floor.JukeboxItem;

public class NowPlayingMessageComposer
{
	public static ServerMessage compose(JukeboxItem jukebox)
	{
		Song song = jukebox.getCurrentSong();
		
		ServerMessage msg = ServerMessage.create(EServerMessage.NowPlaying);
		if(song == null)
		{
			msg.appendInt(-1);
			msg.appendInt(-1);
			msg.appendInt(-1);
			msg.appendInt(-1);
			msg.appendInt(0);
		}
		else
		{
			msg.appendInt(song.id);
			msg.appendInt(jukebox.getCurrentPosition());
			msg.appendInt(song.id);
			msg.appendInt(0);
			msg.appendInt((int)jukebox.getSyncTime());
		}
		
		return msg;
	}
}
