package habbod2.communication.messages.outgoing.sound;

import java.util.List;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.messages.EServerMessage;
import habbod2.game.music.Song;

public class TraxSongInfoMessageComposer
{
	public static ServerMessage compose(List<Song> songs)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.TraxSongInfo);
		msg.appendInt(songs.size());
		for(Song song : songs)
		{
			msg.appendInt(song.id);
			msg.appendStr(song.title);
			msg.appendStr(song.data);
			msg.appendInt(song.length * 1000); // milliseconds
			msg.appendStr(song.artist);
		}

		return msg;
	}
}
