package habbod2.communication.messages.outgoing.userdefinedroomevents;

import java.util.List;

import habbod2.communication.messages.EServerMessage;
import habbod2.net.protocol.ServerMessage;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.game.rooms.items.wired.WiredAction;
import habbod2.game.rooms.items.wired.WiredTrigger;

public class WiredFurniTriggerMessageComposer
{
	public static ServerMessage compose(WiredTrigger item)
	{
		// Get selected + conflicting items
		List<RoomFloorItem> selected = item.getSelectedItems();
		List<WiredAction> conflicts = item.getIncompatibleActions();
				
		// Build the message
		ServerMessage msg = ServerMessage.create(EServerMessage.WiredFurniTrigger);
		msg.appendBool(false); // Disable advanced selection options
		msg.appendInt(WiredTrigger.SELECT_LIMIT);
		msg.appendInt(selected.size());
		for(RoomFloorItem sel : selected)
		{
			msg.appendInt(sel.id);
		}
		msg.appendInt(item.definition.displayId);
		msg.appendInt(item.id);
		msg.appendStr(item.getText());
		msg.appendInt(item.getParams().length);
		for(int param : item.getParams())
		{
			msg.appendInt(param);
		}
		msg.appendInt(item.getSelectionType());
		msg.appendInt(item.getInterface());
		msg.appendInt(conflicts.size());
		for(WiredAction conflict : conflicts)
		{
			msg.appendInt(conflict.definition.displayId);
		}
		msg.appendStr(""); // Unknown
		
		return msg;
	}
}
