package habbod2;

import habbod2.core.Logger;
import habbod2.storage.Database;

public abstract class SystemComponent
{
	private final System system;
	
	public SystemComponent(System system)
	{
		this.system = system;
	}
	
	public System getSystem()
	{
		return this.system;
	}
	
	public Logger getLogger()
	{
		return this.system.getLogger();
	}
	
	public Database getDb()
	{
		return this.system.getDb();
	}
	
	@Override
	public String toString()
	{
		return this.getClass().getSimpleName();
	}
}