package habbod2.core;

import habbod2.System;
import habbod2.game.GameManager;
import habbod2.storage.SQLHelper;

public class StatsMonitor extends System.Component implements Runnable
{
	private int peakOnlineUsers = -1;
	
	public StatsMonitor(System system)
	{
		super(system);
	}
	
	@Override
	public void run()
	{
		// Reload peak?
		if(this.peakOnlineUsers == -1)
		{
			this.peakOnlineUsers = this.getDb().queryInt("SELECT onlineusers_peak FROM system_monitor");
		}
		
		// Gather system stats
		System system = this.getSystem();
		long memUsage = system.getMemoryUsage();
		int dbConns = system.getDb().getPool().size();

		// Gather game stats
		GameManager gameMgr = system.getGameMgr();
		int onlineUsers = gameMgr.getSessionMgr().authedSessions();
		int roomInstances = gameMgr.getRoomMgr().getAllRoomInstances().size();
		
		// Update peak?
		if(onlineUsers > this.peakOnlineUsers)
		{
			this.peakOnlineUsers = onlineUsers;
		}
		
		// Update stats
		this.getSystem().getDb().execute("UPDATE system_monitor SET version='" + SQLHelper.escape(system.getVersion()) + "',onlineusers=" + onlineUsers + ",onlineusers_peak=" + this.peakOnlineUsers + ",roominstances=" + roomInstances + ",memusage=" + memUsage + ",dbconnections=" + dbConns);
	}
}
