package habbod2.net;

import org.jboss.netty.channel.Channel;
import org.jboss.netty.channel.ChannelHandlerContext;
import org.jboss.netty.channel.ChannelStateEvent;
import org.jboss.netty.channel.SimpleChannelHandler;
import org.jboss.netty.channel.group.ChannelGroup;

public class ConnectionManagementHandler extends SimpleChannelHandler
{
	private NetServer server;
	private ChannelGroup channels;
	
	public ConnectionManagementHandler(NetServer server, ChannelGroup channels)
	{
		this.server = server;
		this.channels = channels;
	}

	@Override
	public void channelOpen(ChannelHandlerContext cxt, ChannelStateEvent e)
	{
		Channel channel = cxt.getChannel();
		if(this.server.allowChannel(channel))
		{
			this.channels.add(cxt.getChannel());
		}
		else
		{
			channel.close();
		}
	}
	
	@Override
	public void channelClosed(ChannelHandlerContext cxt, ChannelStateEvent e)
	{
		this.channels.remove(cxt.getChannel());
	}
}