package habbod2.net.codec;

import habbod2.net.protocol.ServerMessage;

import org.jboss.netty.buffer.ChannelBuffer;
import org.jboss.netty.buffer.ChannelBuffers;
import org.jboss.netty.channel.Channel;
import org.jboss.netty.channel.ChannelHandlerContext;
import org.jboss.netty.handler.codec.oneone.OneToOneEncoder;

public class ServerMessageEncoder extends OneToOneEncoder
{
	public static ChannelBuffer encodeMsg(ServerMessage msg)
	{
		ChannelBuffer buffer = ChannelBuffers.directBuffer(2 + msg.getPayload().length + 1);
		buffer.writeBytes(Base64Codec.encodeInt(msg.type, 2));
		buffer.writeBytes(msg.getPayload());
		buffer.writeByte(ServerMessage.MSG_EOF);
		return buffer;
	}
   
    @Override
    protected Object encode(ChannelHandlerContext channelHandlerContext, Channel channel, Object msg) throws Exception
    {
        if (msg instanceof ServerMessage)
        {
        	return encodeMsg((ServerMessage)msg);
        }
        else
        {
            return msg;
        }
    }
}
