package habbod2.storage;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class SQLHelper
{
	private static final Date DATE_OBJECT = new Date();
	private static final SimpleDateFormat DATE_FORMATTER = new SimpleDateFormat("yyyy-MM-d HH:mm:ss");
	private static final Pattern ESCAPE_PATTERN = Pattern.compile("['\"\\\\]");
	private static final Matcher ESCAPE_MATCHER = ESCAPE_PATTERN.matcher("");
	
	public static String escape(String str)
	{
		if(str == null || str.isEmpty())
		{
			return "";
		}
		else
		{
			return ESCAPE_MATCHER.reset(str).replaceAll("\\\\$0");
		}
	}

	public static String formatDate(long millis)
	{
		DATE_OBJECT.setTime(millis);
		return DATE_FORMATTER.format(DATE_OBJECT);
	}

	public static String getDateTime()
	{
		return SQLHelper.formatDate(System.currentTimeMillis());
	}
}
