package habbod2.util;

import java.io.FileInputStream;
import java.util.Properties;

public class PropertiesBox
{
	private Properties props;
	private String lastFile;
	
	public PropertiesBox()
	{
		this.props = new Properties();
	}

	public boolean load(String file)
	{
		try
		{
			this.props.load(new FileInputStream(file));
			this.lastFile = file;
			return true;
		}
		catch(Exception ex)
		{
			return false;
		}
	}
	
	public boolean reload()
	{
		return this.load(lastFile);
	}
	
	public String get(String prop)
	{
		return this.get(prop, null);
	}

	public String get(String prop, String def)
	{
		return this.props.getProperty(prop, def);
	}

	public int getInt(String prop)
	{
		return this.getInt(prop, 0);
	}

	public int getInt(String prop, int def)
	{
		if(this.props.containsKey(prop))
		{
			try
			{
				return Integer.parseInt(this.props.getProperty(prop, ""));
			}
			catch(NumberFormatException ex)
			{

			}
		}
		return def;
	}
	
	public boolean getBool(String prop)
	{
		return (this.getInt(prop) == 1);
	}
	
	public int size()
	{
		return this.props.size();
	}
}
