package habbod2.game.bots;

import java.util.ArrayList;
import java.util.List;

import habbod2.game.GameManager;
import habbod2.storage.DatabaseResult;

public class BotManager extends GameManager.Component
{
	public BotManager(GameManager gameMgr)
	{
		super(gameMgr);
	}
	
	public Bot getBot(int botId)
	{
		Bot bot = null;
		
		DatabaseResult result = this.getDb().query("SELECT * FROM bots WHERE id=" + botId);
		if(result.row())
		{
			bot = this.processBotFromRow(result);
		}
		result.release();
		
		return bot;
	}
	
	public List<Bot> getBotsForRoom(int roomId)
	{
		List<Bot> bots = new ArrayList<Bot>();
		
		DatabaseResult result = this.getDb().query("SELECT * FROM bots WHERE room_id=" + roomId);
		while(result.row())
		{
			bots.add(this.processBotFromRow(result));
		}
		result.release();
		
		return bots;
	}
	
	private Bot processBotFromRow(DatabaseResult row)
	{
		Bot bot = new Bot();
		bot.id = row.getInt("id");
		bot.name = row.getString("name");
		bot.figure = row.getString("figure");
		bot.motto = row.getString("motto");
		bot.x = row.getInt("x");
		bot.y = row.getInt("y");
		
		return bot;
	}
}
