package habbod2.game.catalog;

import java.util.UUID;

import habbod2.communication.messages.incoming.catalog.ContentVoucher;
import habbod2.game.GameManager;
import habbod2.storage.DatabaseResult;
import habbod2.storage.SQLHelper;

public class VoucherManager extends GameManager.Component
{
	public VoucherManager(GameManager gameMgr)
	{
		super(gameMgr);
	}

	public ContentVoucher getVoucher(String code)
	{
		DatabaseResult result = this.getDb().query("SELECT code,type,data FROM vouchers WHERE code='" + SQLHelper.escape(code) + "'");
		ContentVoucher voucher = null;
		if(result.row())
		{
			voucher = new ContentVoucher();
			voucher.code = result.getString("code");
			voucher.type = result.getString("type");
			voucher.data = result.getString("data");
		}
		result.release();

		return voucher;
	}
	
	public void createVoucher(String code, String type, String data)
	{
		this.getDb().execute("INSERT INTO vouchers(code,type,data) VALUES ('" + SQLHelper.escape(code) + "','" + SQLHelper.escape(type) + "','" + SQLHelper.escape(data) + "')");
	}
	
	public void deleteVoucher(String code)
	{
		this.getDb().execute("DELETE FROM vouchers WHERE code='" + SQLHelper.escape(code) + "'");
	}
	
	public String generateRandomCode()
	{
		String code = UUID.randomUUID().toString();
		return (code.split("-")[0] + code.split("-")[1]).substring(0, 10);
	}
}
