package habbod2.game.items.pets;

import java.util.List;
import java.util.ArrayList;

import habbod2.storage.DatabaseResult;
import habbod2.storage.SQLHelper;
import habbod2.game.GameComponent;
import habbod2.game.GameManager;
import habbod2.game.sessions.Session;

public class PetManager extends GameComponent
{
	public PetManager(GameManager gameMgr)
	{
		super(gameMgr);
	}

	public Pet getPetById(int petId)
	{
		DatabaseResult result = this.getDb().query("SELECT p.*,u.username AS owner FROM pets p JOIN users u ON u.id=p.owner_id WHERE p.id=" + petId);
		Pet pet = result.row() ? Pet.parse(result) : null;
		result.release();
		
		return pet;
	}
	
	public void createPet(int userId, String name, int type, int breed, String color)
	{
		// Additional default info
		int experience = 0;
		int energy = 100;
		int nutrition = 0;
		int respect = 0;
		
		// Store pet, get ID
		int petId = this.getDb().executeReturnKey("INSERT INTO pets(name,type,breed,color,experience,energy,nutrition,respect,owner_id,created_at) VALUES ('" + SQLHelper.escape(name) + "'," + type + "," + breed + ",'" + SQLHelper.escape(color) + "'," + experience + "," + energy + "," + nutrition + "," + respect + "," + userId + ",'" + SQLHelper.getDateTime() + "')");
		
		// Owner online?
		Session session = this.getSystem().getGameMgr().getSessionMgr().getSessionByUserId(userId);
		if(session != null)
		{
			session.getPetInventory().addPet(this.getPetById(petId));
		}
	}

	public List<Pet> getPetsForRoom(int roomId)
	{
		List<Pet> pets = new ArrayList<Pet>(0);
		
		DatabaseResult result = this.getDb().query("SELECT p.*,u.username AS owner FROM pets p JOIN users u ON u.id=p.owner_id WHERE p.room_id=" + roomId);
		while(result.row())
		{
			pets.add(Pet.parse(result));
		}
		result.release();
		
		return pets;
	}
}
