package habbod2.game.music;

import java.util.ArrayList;
import java.util.List;

import habbod2.Instance;
import habbod2.game.items.InventoryItem;
import habbod2.game.items.ItemInventory;
import habbod2.game.rooms.items.floor.SongDiskItem;
import habbod2.util.StringUtil;

public class SongDisk
{
	public InventoryItem item;
	public Song song;
	
	public static SongDisk fromItem(InventoryItem item)
	{
		// Item is a disk?
		if(item != null && item.is(SongDiskItem.class))
		{
			// Song exists?
			int songId = StringUtil.parseInt(item.state);
			Song song = Instance.get().getGameMgr().getMusicMgr().getSong(songId);
			if(song != null)
			{
				SongDisk disk = new SongDisk();
				disk.item = item;
				disk.song = song;
				
				return disk;
			}
		}
		
		return null;
	}
	
	public static List<SongDisk> findDisks(ItemInventory inventory)
	{
		List<SongDisk> disks = new ArrayList<SongDisk>();
		for(InventoryItem item : inventory.getItems())
		{
			if(item.is(SongDiskItem.class))
			{
				SongDisk disk = SongDisk.fromItem(item);
				if(disk != null)
				{
					disks.add(disk);
				}
			}
		}
		
		return disks;
	}
}
