package habbod2.game.pets;

import habbod2.Instance;
import habbod2.game.util.GameUtil;

public class Pet
{
	public static final int[] LEVELS = new int[] { 100, 200, 400, 600, 1000, 1300, 1800, 2400, 3200, 4300, 7200, 8500, 10100, 13300, 17500, 23000, 51900 };
	public static final int MAX_LEVEL = 20;
	public static final int MAX_ENERGY = 100;
	public static final int MAX_NUTRITION = 150;

	public int id;
	public String name;

	public PetType type;
	public int breed;
	public String color;

	public int ownerId;
	public String ownerName;
	public long createdTime;

	public int level;
	public int experience;
	public int energy;
	public int nutrition;
	public int respect;

	public boolean requiresUpdate;
	
	public int roomId;
	public int x;
	public int y;
	public float z;

	public String getFigure()
	{
		return this.type.id + " " + String.format("%03d", this.breed) + " " + this.color;
	}

	public int getAgeInDays()
	{
		return GameUtil.daysSince(this.createdTime);
	}

	public void addExperience(int experience)
	{
		//if(this.experience >= Pet.LEVELS[Pet.MAX_LEVEL - 1]) return;
		
		this.experience += experience;
	}
	
	public int getExperienceGoal()
	{
		int index = this.level + 1;
		if(index >= Pet.LEVELS.length - 1)
		{
			index = Pet.LEVELS.length - 1;
		}
		return Pet.LEVELS[index];
	}
	
	public void recalcLevel()
	{
		this.level = Pet.LEVELS.length + 1;
		for(int tmpLevel = 0; tmpLevel < Pet.LEVELS.length; ++tmpLevel)
		{
			if(this.experience < Pet.LEVELS[tmpLevel])
			{
				this.level = tmpLevel + 1;
				break;
			}
		}
	}
	
	public void save()
	{
		Instance.get().getDb().execute("UPDATE pets SET experience=" + this.experience + ",energy=" + this.energy + ",nutrition=" + this.nutrition + ",respect=" + this.respect + ",room_id=" + this.roomId + ",x=" + this.x + ",y=" + this.y + ",z=" + this.z + " WHERE id=" + this.id);
	}
}
