package habbod2.game.rooms.geometry;

public enum Direction
{
	North,
	NorthEast,
	East,
	SouthEast,
	South,
	SouthWest,
	West,
	NorthWest;
	
	public final int num;
	public final int modX;
	public final int modY;
	
	Direction()
	{
		this.num = this.ordinal();
		switch(this.num)
		{
			// North
			case 0: this.modX = 0; this.modY = -1; break;
			
			// NorthEast
			case 1: this.modX = -1; this.modY = +1; break;
			
			// East
			case 2: this.modX = +1; this.modY = 0; break;
			
			// SouthEast
			case 3: this.modX = +1; this.modY = +1; break;
			
			// South
			case 4: this.modX = 0; this.modY = +1; break;
			
			// SouthWest
			case 5: this.modX = -1; this.modY = +1; break;
			
			// West
			case 6: this.modX = -1; this.modY = 0; break;
			
			// NorthWest
			case 7: this.modX = -1; this.modY = -1; break;
			
			// Uh...
			default: this.modX = 0; this.modY = 0;
		}
	}
	
	public final Direction invert()
	{
		switch(this)
		{
			case North: return South;
			case NorthEast: return SouthWest;
			case East: return West;
			case SouthEast: return NorthWest;
			case South: return North;
			case SouthWest: return NorthEast;
			case West: return East;
			case NorthWest: return SouthEast;
			default: return this;
		}
	}
	
	public final int toInt()
	{
		return this.ordinal();
	}
	
	public static final Direction get(int num)
	{
		return Direction.values()[num];
	}
}