package habbod2.game.rooms.items.floor;

import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.util.GameUtil;
import habbod2.game.rooms.items.RoomFloorItem;

public class PixelExchangeItem extends RoomFloorItem
{
	@Override
	public boolean onToggle(RoomUser user, int instruction)
	{
		// Only for room owners
		if(user == null || !user.hasRoomOwner)
		{
			return false;
		}

		// Add the credits to the user's pixel balance
		int value = GameUtil.parseInt(this.definition.data);
		user.getSession().getUser().pixels += value;
		user.getSession().getUser().saveCurrencies();
		user.getSession().sendPixelBalance();
		
		// Remove from the room, delete from the game
		this.getRoom().pickupFloorItem(this.id, null).delete();
		
		return true;
	}
}
