package habbod2.game.rooms.items.wired.actions;

import java.util.List;

import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.game.util.GameUtil;
import habbod2.game.rooms.items.wired.WiredAction;

public class TeleportToItemsAction extends WiredAction
{
	@Override
	public int getInterface()
	{
		return 0;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean requiresUser()
	{
		return true;
	}
	
	@Override
	public void execute(RoomUser user)
	{
		RoomFloorItem target = this.getRandomSelectedItem();
		if(target != null)
		{
			user.clearMovement();
			user.warp(target.getTile());
		}
	}
	
	private RoomFloorItem getRandomSelectedItem()
	{
		List<RoomFloorItem> selected = this.getSelectedItems();
		if(selected.isEmpty())
		{
			return null;
		}
		else if(selected.size() == 1)
		{
			return selected.get(0);
		}
		else
		{
			return GameUtil.getRandomElement(selected);
		}
	}
}
