package habbod2.game.rooms.minigames.game;

import habbod2.game.rooms.geometry.Direction;
import habbod2.game.rooms.instance.RoomMap;
import habbod2.game.rooms.instance.RoomTile;
import habbod2.game.rooms.items.minigame.banzai.GameTileItem;
import habbod2.game.rooms.minigames.GameTeam.ETeam;

import java.awt.Polygon;

public class BanzaiSolver
{
	public static void solveShape(RoomMap map, GameTileItem tile, ETeam teamId)
	{
		// Create a shape of all the sealed tiles in this team's color
		Polygon shape = new Polygon();
		BanzaiSolver.discoverSealedNeighbours(map, tile, teamId, shape);
		
		// Check all the inner tiles
	}
	
	private static void discoverSealedNeighbours(RoomMap map, GameTileItem src, ETeam teamId, Polygon shape)
	{
		// Already done?
		if(shape.contains(src.x, src.y))
		{
			return;
		}
		
		// Add this tile to the shape
		shape.addPoint(src.x, src.y);
		
		// Search recursively in all directions
		for(Direction dir : Direction.values())
		{
			// Game tile here?
			RoomTile tmp = map.getTile(src.x + dir.modX, src.y + dir.modY);
			if(tmp != null && tmp.topItem instanceof GameTileItem)
			{
				// Tile sealed in same color?
				GameTileItem tile = (GameTileItem)tmp.topItem;
				if(tile.getTeamId() == teamId && tile.getLevel() == GameTileItem.LEVEL_SEALED)
				{
					BanzaiSolver.discoverSealedNeighbours(map, tile, teamId, shape);
				}
			}
		}
	}
}
