package habbod2.game.users;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import habbod2.System;
import habbod2.game.access.UserRole;
import habbod2.storage.DatabaseResult;
import habbod2.storage.SQLHelper;

public class User
{
	// Core
	public int id;
	public String username;
	public String realName;
	public UserRole role;

	// Statistics
	public long registeredTime;
	public boolean onlineNow;
	public long lastOnlineTime;

	// Appearance
	public String figure;
	public char gender;
	public String motto;

	// Currencies
	public int credits;
	public int pixels;
	public int pearls;

	// Preferences
	public int homeRoomId;
	public int soundVolume;

	// Respecting
	public int respect;
	public int respectPoints;
	public int petRespectPoints;

	// Achievements
	public int achievementScore;
	
	// Aggregrated data
	public List<String> rights;
	public byte specialRightsLevel;
	public Map<Integer, Integer> achievements;
	public List<Integer> ratedRooms = new ArrayList<Integer>(0);
	public List<String> tags;
	
	public void saveAppearance()
	{
		System.get().getDb().execute("UPDATE users SET figure='" + SQLHelper.escape(this.figure) + "',gender='" + this.gender + "',motto='" + SQLHelper.escape(this.motto) + "' WHERE id=" + this.id);
	}

	public void saveCurrencies()
	{
		System.get().getDb().execute("UPDATE users SET credits=" + this.credits + ",pixels=" + this.pixels + ",pearls=" + this.pearls + " WHERE id=" + this.id);
	}

	public void reloadCurrencies()
	{
		try(DatabaseResult result = System.get().getDb().query("SELECT credits,pixels,pearls FROM users WHERE id=" + this.id))
		{
			if(result.row())
			{
				this.credits = result.getInt("credits");
				this.pixels = result.getInt("pixels");
				this.pearls = result.getInt("pearls");
			}
		}
	}

	public void saveMisc()
	{
		System.get().getDb().execute("UPDATE users SET homeroom_id=" + this.homeRoomId + ",sound_volume=" + this.soundVolume + ",respect=" + this.respect + ",respect_points=" + this.respectPoints + ",petrespect_points=" + this.petRespectPoints + " WHERE id=" + this.id);
	}

	public void updateLastOnline(boolean onlineNow)
	{
		this.onlineNow = onlineNow;
		this.lastOnlineTime = System.get().getTime();
		System.get().getDb().execute("UPDATE users SET online=" + (onlineNow ? '1' : '0') + ",lastonline='" + SQLHelper.formatDate(this.lastOnlineTime) + "' WHERE id=" + this.id);
	}

	public void rebuildRights()
	{
		// Default right list
		this.rights = new ArrayList<String>();
		this.rights.add("default");
		
		// Club/VIP/whatever
		this.specialRightsLevel = 2;

		// Role rights?
		if(this.role != null)
		{
			this.rights.addAll(this.role.rights);
		}
		
		// Extra rights
		this.rights.addAll(System.get().getGameMgr().getUserMgr().getExtraRightsForUser(this.id));
		
		// TODO: subscriptions
	}
}
