package habbod2.game.users.achievements;

import java.util.Map;
import java.util.HashMap;

import habbod2.System;
import habbod2.game.sessions.Session;
import habbod2.storage.DatabaseResult;

public class UserAchievementManager
{
	private Session session;
	private Map<String, UserAchievement> achievements;
	
	public UserAchievementManager(Session session)
	{
		this.session = session;
		this.achievements = new HashMap<String, UserAchievement>();
	}
	
	public void reload()
	{
		// Clear old data
		this.achievements.clear();
		
		// Load new data
		DatabaseResult result = System.get().getDb().query("SELECT * FROM user_achievements WHERE user_id=" + this.session.getUser().id);
		while(result.row())
		{
			UserAchievement ach = new UserAchievement();
			ach.level = result.getInt("level");
			ach.progress = result.getInt("progress");
			this.achievements.put(result.getString("group"), ach);
		}
		result.release();
	}
	
	public UserAchievement getStatusForGroup(String group)
	{
		return this.achievements.get(group);
	}
}
