package habbod2.game.users.effects;

import habbod2.game.sessions.Session;
import habbod2.game.sessions.SessionManager;

public class EffectExpirationChecker extends Thread
{
	private SessionManager sessionMgr;
	
	public EffectExpirationChecker(SessionManager sessionMgr)
	{
		this.setName(this.getClass().getSimpleName());
		this.setPriority(Thread.MIN_PRIORITY);
		this.sessionMgr = sessionMgr;
	}
	
	@Override
	public void run()
	{
		// Process all in-room sessions, check their effects
		while(this.isAlive())
		{
			for(Session session : this.sessionMgr.getAllSessions())
			{
				if(session.inRoom())
				{
					EffectInventory effects = session.getEffectInventory();
					if(effects != null)
					{
						effects.checkAndStopExpiredEffects();
					}
				}
			}

			// Sleep...
			try
			{
				Thread.sleep(1000);
			}
			catch(InterruptedException e)
			{
				return;
			}
		}
	}
}
