package habbod2.game.util;

import habbod2.game.sessions.Session;

public class ChatUtil
{
	private static final int GESTURE_NONE = 0;
	private static final int GESTURE_SMILE = 1;
	private static final int GESTURE_ANGRY = 2;
	private static final int GESTURE_SURPRISED = 3;
	private static final int GESTURE_SAD = 4;

	public static int getChatGesture(String text)
	{
		// Find the separate words in the text
		text = text.toLowerCase();
		String[] words = text.toLowerCase().split(" ");

		// Check every word for emotes, first one counts
		for(String word : words)
		{
			if(word.equals(":)") || word.equals(":d") || word.equals("=]") || word.equals("=d") || word.equals(":>"))
			{
				return GESTURE_SMILE;
			}
			else if(word.equals(">:(") || word.equals(":@"))
			{
				return GESTURE_ANGRY;
			}
			else if(word.equals(":o") || word.equals("=o"))
			{
				return GESTURE_SURPRISED;
			}
			else if(word.equals(":(") || word.equals(";(") || word.equals("=[") || word.equals(":'("))
			{
				return GESTURE_SAD;
			}
		}
		return GESTURE_NONE;
	}

	public static boolean parseAndHandleCommand(Session session, String text)
	{
		// TODO Auto-generated method stub
		return false;
	}

	/*
	public static List<ChatCommandHandler> getAvailableChatCommands(List<String> rights)
	{
		List<ChatCommandHandler> available = new ArrayList<ChatCommandHandler>();
		for(Entry<String, ChatCommandHandler> cmd : ChatCmdRegistry.get().getEntries())
		{
			String right = cmd.getValue().getRequiredRight();
			if(rights.contains(right))
			{
				available.add(cmd.getValue());
			}
		}
		return available;
	}

	public static boolean parseAndHandleCommand(Session session, String text)
	{
		// Actually a chat command?
		if(text.indexOf(ChatCommandHandler.COMMAND_HEAD) != 0)
		{
			// Doesn't start with the COMMAND_HEAD character
			return false;
		}

		// Attempt to separate command and body
		final String[] segments = text.substring(1).split(" ", 2);
		final String cmd = segments[0];
		final String body = (segments.length == 2) ? segments[1] : "";
		
		// Handler registered?
		ChatCommandHandler handler = ChatCmdRegistry.get().lookup(cmd);
		if(handler == null)
		{
			// Not recognized
			return false;
		}

		// User has the required right?
		String right = handler.getRequiredRight();
		if(!session.getUser().rights.contains(right))
		{
			// Not recognized
			return false;
		}

		// Process body, detect valid syntax, substitute optional args
		boolean isSyntaxError = false;
		String[] args = null;
		String[] syntax = handler.getSyntax();
		if(syntax != null)
		{
			String[] givenArgs = body.split(" ", syntax.length);
			if(givenArgs.length == syntax.length)
			{
				args = givenArgs;
			}
			else
			{
				// Pad empty args
				args = new String[syntax.length];
				for(int x = 0; x < syntax.length; x++)
				{
					args[x] = (x > givenArgs.length - 1) ? "" : givenArgs[x];
					if(syntax[x].charAt(0) != '-' && args[x].isEmpty())
					{
						// Wasn't supposed to be blank...
						isSyntaxError = true;
						break;
					}
				}
			}
		}

		// Syntax error?
		if(isSyntaxError)
		{
			// Build syntax list
			StringBuilder sb = new StringBuilder();
			sb.append(ChatCommandHandler.COMMAND_HEAD);
			sb.append(cmd);
			for(String arg : syntax)
			{
				sb.append(' ');
				sb.append('[');
				sb.append(arg);
				sb.append(']');
			}
			
			// Send syntax list
			session.sendNotif(String.format("Chatcommand recognized, but your syntax was invalid. Action not processed. Below follows the correct syntax:\r\r%s\r\rPlease try again.", sb.toString()));
		}
		else
		{
			// Execute the command
			try
			{
				handler.handle(session, args);
			}
			catch(GameError err)
			{
				session.sendNotif(String.format("Chatcommand recognized but action was not processed.\r\r%s", err.generateNotif()));
			}
			catch(Exception ex)
			{
				session.sendNotif(String.format("Chatcommand recognized but action was not processed, reason: server error. habbod log has been written."));
				System.get().getLogger().error("ChatUtil", String.format("Uncaught error processing chatcommand '%s'. (body=%s)", segments[0], body), ex);
			}
		}

		// Recognized
		return true;
	}*/
}
