package habbod2.game.rooms.items.floor;

import habbod2.game.rooms.instance.RoomAvatar;
import habbod2.game.rooms.instance.RoomInstance;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.game.util.GameUtil;

public class ChangeClothesGateItem extends RoomFloorItem
{
	private String maleFigure;
	private String figureFemale;
	
	private void reloadData()
	{
		String[] data = this.data.split(GameUtil.DATA_DELIMITER);
		if(data.length == 2)
		{
			this.maleFigure = data[0];
			this.figureFemale = data[1];
		}
		else
		{
			this.maleFigure = "?";
			this.figureFemale = "?";
		}
	}
	
	private void saveData()
	{
		this.data = this.maleFigure + GameUtil.DATA_DELIMITER + this.figureFemale;
		this.requireDbUpdate();
	}
	
	public void updateSettings(char gender, String figure)
	{
		if(figure.isEmpty()) figure = "?";
		if(gender == 'M')
		{
			this.maleFigure = figure;
		}
		else
		{
			this.figureFemale = figure;
		}
		this.saveData();
	}
	
	@Override
	public void onRoomAdd(RoomInstance room)
	{
		this.reloadData();
	}
	
	@Override
	public void onAvatarStepOn(RoomAvatar avatar)
	{
		if(avatar instanceof RoomUser)
		{
			RoomUser user = (RoomUser)avatar;
			if(user.getFigureOverride() != null)
			{
				user.setFigureOverride(null);
			}
			else
			{
				String figure = (user.getInfo().gender == 'M') ? this.maleFigure : this.figureFemale;
				if(!figure.isEmpty() && !figure.equals("?"))
				{
					user.setFigureOverride(figure);
				}
			}
		}
	}
}
