package habbod2.game.rooms.items.floor;

import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.util.GameUtil;
import habbod2.game.rooms.items.RoomFloorItem;

public class DiceItem extends RoomFloorItem
{
	@Override
	protected boolean onToggle(RoomUser user, int request)
	{
		// Get to the dice
		if(user == null || user.getTile().touches(this.getTile()))
		{
			// Not in the middle of a spin?
			if(!this.hasTimeout())
			{
				// Closing or spinning the dice?
				if(request == -1)
				{
					// Close the dice
					this.setState(0);
				}
				else
				{
					// Start spinning
					this.setTempState(-1);
					this.setTimeout(4);
				}
				
				return true;
			}
		}
		
		return false;
	}

	@Override
	protected void onTimeout()
	{
		int roll = GameUtil.getRandomInt(1, 6);
		this.setState(Integer.toString(roll));
	}
}
