package habbod2.game.rooms.items.floor;

import habbod2.game.rooms.geometry.RoomTile;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.util.GameUtil;
import habbod2.game.rooms.items.floor.SwitchStateItem;

public class GateItem extends SwitchStateItem
{
	@Override
	public void onGenerateMapTile(RoomTile tile)
	{
		super.onGenerateMapTile(tile);
		if(GameUtil.parseInt(this.state) == 0)
		{
			tile.state = RoomTile.CLOSED;
		}
		else
		{
			tile.state = RoomTile.OPEN;
		}
	}

	@Override
	protected boolean onToggle(RoomUser user, int instruction)
	{
		// Only for users with room rights
		if(user != null && !user.hasRoomRights)
		{
			return false;
		}

		// Gates cannot operate when there is an avatar in the way
		for(RoomTile tile : this.getTiles())
		{
			if(tile.hasAvatar)
			{
				return false;
			}
		}
		
		// Switch state (use mod_switchstate)
		super.onToggle(user, instruction);
		
		// Generate floormap, new state is applied!
		this.getRoom().rebuildFloorMap();
		
		return true;
	}
}
