package habbod2.game.rooms.items.floor;

import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.util.StringUtil;

public class SwitchStateItem extends RoomFloorItem
{
	@Override
	protected boolean onToggle(RoomUser user, int instruction)
	{
		// User has room rights?
		if(user != null && !user.hasRoomRights)
		{
			return false;
		}
		
		// Parse current state + available states
		int state = StringUtil.parseInt(this.state);
		int availableStates = StringUtil.parseInt(this.definition.data.split(" ")[0]);
		
		// Next state!
		state++;
		if(state >= availableStates)
		{
			state = 0;
		}
		this.setState(Integer.toString(state));
		
		return true;
	}
}
