package habbod2.game.rooms.items.minigame.banzai;

import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.game.rooms.minigames.GameTeam.ETeam;

public class GameTileItem extends RoomFloorItem
{
	public static final int LEVEL_EMPTY = 0;
	public static final int LEVEL_MEDIUM = 1;
	public static final int LEVEL_SEALED = 2;
	
	private ETeam teamId;
	private int level;
	private int pulses;
	private boolean doDisable;
	
	// 3-4-5 = red
	// 6-7-8 = green
	// 9-10-11 = blue
	// 12-13-14 = yellow
	
	// level: 0-1-2 (2 = locked)
	
	public void setState(boolean isEnabled, ETeam teamId, int level)
	{
		this.teamId = teamId;
		this.level = level;
		if(this.teamId == null)
		{
			this.setState(isEnabled ? 1 : 0);
		}
		else
		{
			this.setState(((teamId.ordinal() + 1) * 3) + level);
		}
	}
	
	public void flashFor(int pulses)
	{
		this.pulses = pulses;
		this.setTimeout(2);
	}
	
	public void disableAfter(int pulses)
	{
		this.doDisable = true;
		this.setTimeout(pulses);
	}
	
	public void onTimeout()
	{
		// Flash!
		this.pulses--;
		if(this.doDisable || this.pulses == 0)
		{
			if(this.doDisable)
			{
				this.setState(0);
				this.doDisable = false;
			}
			else
			{
				this.setState(1);
			}
		}
		else
		{
			this.setState(false, this.teamId, LEVEL_SEALED);
		}
		
		// Do it again?
		if(this.pulses > 0)
		{
			this.setTimeout(1);
		}
		else
		{
			this.setState(0);
		}
	}
	
	public ETeam getTeamId()
	{
		return this.teamId;
	}
	
	public int getLevel()
	{
		return this.level;
	}
}
