package habbod2.game.rooms.items.minigame.freeze;

import habbod2.game.rooms.instance.RoomTile;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.game.rooms.minigames.GameUserPlayer;

public class GameTileItem extends RoomFloorItem
{
	public GameUserPlayer getPlayer()
	{
		RoomTile tile = this.getTile();
		if(this.getTile().hasAvatar())
		{
			for(RoomUser user : this.getRoom().getAllUsers())
			{
				if(user.getTile() == tile)
				{
					if(user.getPlayer() != null)
					{
						return user.getPlayer();
					}
				}
			}
		}
		
		return null;
	}
	
	@Override
	public boolean onToggle(RoomUser user, int operation)
	{
		// 11xx = roets
		// 6000 = yellow ball up
		// 5000 = nothing
		// 4000 = ball max height
		// 3000 = ball even higher height
		// 2000 = ball higher height
		// 1000 = ball min height
		// ball up takes 2000 ms
		
		// 12 = frozen
		// 40, 41, 42, 43 = RGBY (normal)
		// 49, 50, 51, 52 = RGBY (shielded)
		// 53
		user.setEffect(RoomUser.EFFECT_GAME, 51);
		
		return true;
	}
	/*
	 * using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Threading;
using System.Drawing;

using Uber.Storage;
using Uber.Messages;
using Uber.HabboHotel.GameClients;
using Uber.HabboHotel.Pathfinding;
using Uber.HabboHotel.Rooms;

namespace Uber.HabboHotel.Items.Interactors
{
    class InteractorFreezeTile : FurniInteractor
    {
        public override void OnPlace(GameClient Session, RoomItem Item)
        {
        }

        public override void OnRemove(GameClient Session, RoomItem Item)
        {

        }

        public override void OnTrigger(GameClient Session, RoomItem Item, int Request, bool UserHasRights)
        {
            RoomUser User = Item.GetRoom().GetRoomUserByHabbo(Session.GetHabbo().Username);

            if (User.GetClient().GetHabbo().frzFrozen == false)
            {
                if (User.GetClient().GetHabbo().frzTeam != 0)
                {
                    if (Item.GetRoom().frzTimer == true)
                    {
                        if (Item.X == User.X || Item.X - 1 == User.X || Item.X + 1 == User.X)
                        {
                            if (Item.Y == User.Y || Item.Y - 1 == User.Y || Item.Y + 1 == User.Y)
                            {
                                ThreadPool.QueueUserWorkItem(o =>
                                {
                                    if (Session.GetHabbo().frzBalls > 0)
                                    {
                                        Session.GetHabbo().frzBalls -= 1;
                                        Item.ExtraData = "1000";
                                        Item.UpdateState(false, true);
                                        Thread.Sleep(2000);
                                        ApplyFreeze(Item, Item);

                                        #region BallType 0
                                        if (User.GetClient().GetHabbo().frzBall == 0)
                                        {
                                            for (int i = 1; i < 20; i++)
                                            {
                                                if (User.GetClient().GetHabbo().frzRange >= i)
                                                {
                                                    Thread.Sleep(200);
                                                    foreach (RoomItem Item2 in Item.GetRoom().Items)
                                                    {
                                                        if (Item2.GetBaseItem().Name == "es_tile")
                                                        {
                                                            if (Item2.X == Item.X && Item2.Y == Item.Y + i || Item2.X == Item.X && Item2.Y == Item.Y - i || Item2.X == Item.X + i && Item2.Y == Item.Y || Item2.X == Item.X - i && Item2.Y == Item.Y)
                                                            {
                                                                ApplyFreeze(Item, Item2);
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                        #endregion

                                        #region BallType 1
                                        if (User.GetClient().GetHabbo().frzBall == 1)
                                        {
                                            for (int i = 1; i < 20; i++)
                                            {
                                                if (User.GetClient().GetHabbo().frzRange >= i)
                                                {
                                                    Thread.Sleep(200);
                                                    foreach (RoomItem Item2 in Item.GetRoom().Items)
                                                    {
                                                        if (Item2.GetBaseItem().Name == "es_tile")
                                                        {
                                                            if (Item2.X == Item.X + i && Item2.Y == Item.Y + i || Item2.X == Item.X + i && Item2.Y == Item.Y - i || Item2.X == Item.X - i && Item2.Y == Item.Y + i || Item2.X == Item.X - i && Item2.Y == Item.Y - i)
                                                            {
                                                                ApplyFreeze(Item, Item2);
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                            User.GetClient().GetHabbo().frzBall = 0;
                                        }
                                        #endregion

                                        #region BallType 2
                                        if (User.GetClient().GetHabbo().frzBall == 2)
                                        {
                                            for (int i = 1; i < 20; i++)
                                            {
                                                if (User.GetClient().GetHabbo().frzRange >= i)
                                                {
                                                    Thread.Sleep(200);
                                                    foreach (RoomItem Item2 in Item.GetRoom().Items)
                                                    {
                                                        if (Item2.GetBaseItem().Name == "es_tile")
                                                        {
                                                            if (Item2.X == Item.X + i && Item2.Y == Item.Y + i || Item2.X == Item.X + i && Item2.Y == Item.Y - i || Item2.X == Item.X - i && Item2.Y == Item.Y + i || Item2.X == Item.X - i && Item2.Y == Item.Y - i)
                                                            {
                                                                ApplyFreeze(Item, Item2);
                                                            }
                                                            if (Item2.X == Item.X && Item2.Y == Item.Y + i || Item2.X == Item.X && Item2.Y == Item.Y - i || Item2.X == Item.X + i && Item2.Y == Item.Y || Item2.X == Item.X - i && Item2.Y == Item.Y)
                                                            {
                                                                ApplyFreeze(Item, Item2);
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                            User.GetClient().GetHabbo().frzBall = 0;
                                        }
                                        #endregion

                                        Session.GetHabbo().frzBalls += 1;
                                    }
                                });
                            }
                        }
                    }
                }
            }
        }

        public void ApplyFreeze(RoomItem Item, RoomItem Item2)
        {
            if (Item.GetRoom().frzTimer == true)
            {
                Item2.ExtraData = "11200";
                Item2.UpdateState(false, true);

                int rand = UberEnvironment.GetRandomNumber(1, 11);
                foreach (RoomItem Item3 in Item.GetRoom().Items)
                {
                    if (Item3.GetBaseItem().Name == "es_box")
                    {
                        if (Item2.X == Item3.X && Item2.Y == Item3.Y)
                        {
                            if (Item3.ExtraData == "0" || Item3.ExtraData == null)
                            {
                                #region ExtraData
                                if (rand <= 4)
                                {
                                    Item3.ExtraData = "1000";
                                }
                                else if (rand == 5)
                                {
                                    Item3.ExtraData = "2000";
                                }
                                else if (rand == 6)
                                {
                                    Item3.ExtraData = "3000";
                                }
                                else if (rand == 7)
                                {
                                    Item3.ExtraData = "4000";
                                }
                                else if (rand == 8)
                                {
                                    Item3.ExtraData = "5000";
                                }
                                else if (rand == 9)
                                {
                                    Item3.ExtraData = "6000";
                                }
                                else if (rand == 10)
                                {
                                    Item3.ExtraData = "7000";
                                }
                                #endregion
                                Item3.UpdateState(false, true);
                            }
                        }
                    }
                }

                foreach (RoomUser User2 in Item.GetRoom().UserList)
                {
                    if (User2.X == Item2.X && User2.Y == Item2.Y)
                    {
                        if (User2.GetClient().GetHabbo().frzShield == false)
                        {
                            if (Item.GetRoom().frzTimer == true)
                            {
                                if (User2.GetClient().GetHabbo().frzTeam != 0)
                                {
                                    ThreadPool.QueueUserWorkItem(o =>
                                    {
                                        foreach (RoomItem Item3 in Item.GetRoom().Items)
                                        {
                                            #region LoseLive
                                            if (User2.GetClient().GetHabbo().frzTeam == 1)
                                            {
                                                if (Item3.GetBaseItem().Name == "es_score_r")
                                                {
                                                    if (Item3.ExtraData == "") { Item3.ExtraData = "0"; }
                                                    Item3.ExtraData = (int.Parse(Item3.ExtraData) - 10).ToString();
                                                    Item3.UpdateState(false, true);
                                                }
                                            }
                                            if (User2.GetClient().GetHabbo().frzTeam == 2)
                                            {
                                                if (Item3.GetBaseItem().Name == "es_score_g")
                                                {
                                                    if (Item3.ExtraData == "") { Item3.ExtraData = "0"; }
                                                    Item3.ExtraData = (int.Parse(Item3.ExtraData) - 10).ToString();
                                                    Item3.UpdateState(false, true);
                                                }
                                            }
                                            if (User2.GetClient().GetHabbo().frzTeam == 3)
                                            {
                                                if (Item3.GetBaseItem().Name == "es_score_b")
                                                {
                                                    if (Item3.ExtraData == "") { Item3.ExtraData = "0"; }
                                                    Item3.ExtraData = (int.Parse(Item3.ExtraData) - 10).ToString();
                                                    Item3.UpdateState(false, true);
                                                }
                                            }
                                            if (User2.GetClient().GetHabbo().frzTeam == 4)
                                            {
                                                if (Item3.GetBaseItem().Name == "es_score_y")
                                                {
                                                    if (Item3.ExtraData == "") { Item3.ExtraData = "0"; }
                                                    Item3.ExtraData = (int.Parse(Item3.ExtraData) - 10).ToString();
                                                    Item3.UpdateState(false, true);
                                                }
                                            }
                                            #endregion
                                        }

                                        #region Team 1 R
                                        if (User2.GetClient().GetHabbo().frzTeam == 1)
                                        {
                                            User2.GetClient().GetHabbo().frzFrozen = true;
                                            User2.GetRoom().ApplyUserEffect(User2, 12);
                                            Thread.Sleep(5000);
                                            User2.GetClient().GetHabbo().frzFrozen = false;
                                            User2.GetClient().GetHabbo().frzShield = true;
                                            User2.GetRoom().ApplyUserEffect(User2, 49);
                                            Thread.Sleep(5000);
                                            User2.GetClient().GetHabbo().frzShield = false;
                                            User2.GetRoom().ApplyUserEffect(User2, 40);
                                        }
                                        #endregion

                                        #region Team 2 G
                                        if (User2.GetClient().GetHabbo().frzTeam == 2)
                                        {
                                            User2.GetClient().GetHabbo().frzFrozen = true;
                                            User2.GetRoom().ApplyUserEffect(User2, 12);
                                            Thread.Sleep(5000);
                                            User2.GetClient().GetHabbo().frzFrozen = false;
                                            User2.GetClient().GetHabbo().frzShield = true;
                                            User2.GetRoom().ApplyUserEffect(User2, 50);
                                            Thread.Sleep(5000);
                                            User2.GetClient().GetHabbo().frzShield = false;
                                            User2.GetRoom().ApplyUserEffect(User2, 41);
                                        }
                                        #endregion

                                        #region Team 3 B
                                        if (User2.GetClient().GetHabbo().frzTeam == 3)
                                        {
                                            User2.GetClient().GetHabbo().frzFrozen = true;
                                            User2.GetRoom().ApplyUserEffect(User2, 12);
                                            Thread.Sleep(5000);
                                            User2.GetClient().GetHabbo().frzFrozen = false;
                                            User2.GetClient().GetHabbo().frzShield = true;
                                            User2.GetRoom().ApplyUserEffect(User2, 51);
                                            Thread.Sleep(5000);
                                            User2.GetClient().GetHabbo().frzShield = false;
                                            User2.GetRoom().ApplyUserEffect(User2, 42);
                                        }
                                        #endregion

                                        #region Team 4 Y
                                        if (User2.GetClient().GetHabbo().frzTeam == 4)
                                        {
                                            User2.GetClient().GetHabbo().frzFrozen = true;
                                            User2.GetRoom().ApplyUserEffect(User2, 12);
                                            Thread.Sleep(5000);
                                            User2.GetClient().GetHabbo().frzFrozen = false;
                                            User2.GetClient().GetHabbo().frzShield = true;
                                            User2.GetRoom().ApplyUserEffect(User2, 52);
                                            Thread.Sleep(5000);
                                            User2.GetClient().GetHabbo().frzShield = false;
                                            User2.GetRoom().ApplyUserEffect(User2, 43);
                                        }
                                        #endregion

                                        User2.GetClient().GetHabbo().frzLives -= 1;

                                        #region Death
                                        if (User2.GetClient().GetHabbo().frzLives <= 0)
                                        {
                                            foreach (RoomItem Item4 in Item.GetRoom().Items)
                                            {
                                                if (Item4.GetBaseItem().Name == "es_exit")
                                                {
                                                    User2.X = Item4.X;
                                                    User2.Y = Item4.Y;
                                                    User2.UpdateNeeded = true;
                                                }
                                            }

                                            User2.GetRoom().ApplyUserEffect(User2, 0);
                                            User2.GetClient().GetHabbo().frzTeam = 0;
                                            User2.GetClient().GetHabbo().frzRange = 3;
                                            User2.GetClient().GetHabbo().frzLives = 3;
                                            User2.GetClient().GetHabbo().frzBalls = 1;
                                            User2.GetClient().GetHabbo().frzBall = 0;

                                            #region Finish
                                            int TeamR = 0;
                                            int TeamG = 0;
                                            int TeamB = 0;
                                            int TeamY = 0;
                                            foreach (RoomUser User3 in User2.GetRoom().UserList)
                                            {
                                                if (User3.GetClient().GetHabbo().frzTeam == 1)
                                                {
                                                    TeamR += 1;
                                                }

                                                if (User3.GetClient().GetHabbo().frzTeam == 2)
                                                {
                                                    TeamG += 1;
                                                }

                                                if (User3.GetClient().GetHabbo().frzTeam == 3)
                                                {
                                                    TeamB += 1;
                                                }

                                                if (User3.GetClient().GetHabbo().frzTeam == 4)
                                                {
                                                    TeamY += 1;
                                                }
                                            }

                                            #region TeamR
                                            if (TeamR > 0 && TeamG == 0 && TeamB == 0 && TeamY == 0)
                                            {
                                                foreach (RoomUser User4 in Item.GetRoom().UserList)
                                                {
                                                    if (User4.GetClient().GetHabbo().frzTeam == 1)
                                                    {
                                                        ServerMessage Message = new ServerMessage(481);
                                                        Message.AppendInt32(User4.VirtualId);
                                                        Item.GetRoom().SendMessage(Message);
                                                    }
                                                }
                                            }
                                            #endregion

                                            #region TeamG
                                            if (TeamR == 0 && TeamG > 0 && TeamB == 0 && TeamY == 0)
                                            {
                                                foreach (RoomUser User4 in Item.GetRoom().UserList)
                                                {
                                                    if (User4.GetClient().GetHabbo().frzTeam == 2)
                                                    {
                                                        ServerMessage Message = new ServerMessage(481);
                                                        Message.AppendInt32(User4.VirtualId);
                                                        Item.GetRoom().SendMessage(Message);
                                                    }
                                                }
                                            }
                                            #endregion

                                            #region TeamB
                                            if (TeamR == 0 && TeamG == 0 && TeamB > 0 && TeamY == 0)
                                            {
                                                foreach (RoomUser User4 in Item.GetRoom().UserList)
                                                {
                                                    if (User4.GetClient().GetHabbo().frzTeam == 3)
                                                    {
                                                        ServerMessage Message = new ServerMessage(481);
                                                        Message.AppendInt32(User4.VirtualId);
                                                        Item.GetRoom().SendMessage(Message);
                                                    }
                                                }
                                            }
                                            #endregion

                                            #region TeamY
                                            if (TeamR == 0 && TeamG == 0 && TeamB == 0 && TeamY > 0)
                                            {
                                                foreach (RoomUser User4 in Item.GetRoom().UserList)
                                                {
                                                    if (User4.GetClient().GetHabbo().frzTeam == 4)
                                                    {
                                                        ServerMessage Message = new ServerMessage(481);
                                                        Message.AppendInt32(User4.VirtualId);
                                                        Item.GetRoom().SendMessage(Message);
                                                    }
                                                }
                                            }
                                            #endregion
                                            #endregion
                                        }
                                        #endregion
                                    });
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}  
	 */
}
