package habbod2.game.rooms.items.wired.actions;

import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.rooms.items.wired.WiredAction;
import habbod2.game.users.badges.BadgeInventory;

public class GiveBadgeAction extends WiredAction
{	
	@Override
	public int getInterface()
	{
		return 7;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean requiresUser()
	{
		return true;
	}
	
	@Override
	public void execute(RoomUser user)
	{
		// Badge configured?
		String badge = this.getText();
		if(badge.isEmpty())
		{
			return;
		}
		
		// Get user badges
		BadgeInventory inventory = user.getSession().getBadgeInventory();
		
		// Add if needed
		if(!inventory.hasBadge(badge, true))
		{
			inventory.add(badge);
		}
		
		// Equip in first free slot
		inventory.equipInFreeSlot(badge);
		inventory.refresh();
	}
}