package habbod2.game.rooms.items.wired.actions;

import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.rooms.items.wired.WiredAction;
import habbod2.util.StringUtil;

public class GiveCreditsAction extends WiredAction
{	
	@Override
	public int getInterface()
	{
		return 7;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean requiresUser()
	{
		return true;
	}
	
	@Override
	public void execute(RoomUser user)
	{
		// Parse amount
		int amount = StringUtil.parseInt(this.getText());
		if(amount == 0)
		{
			return;
		}
		
		// Modify balance
		user.getInfo().credits += amount;
		if(user.getInfo().credits < 0)
		{
			user.getInfo().credits = 0;
		}
		user.getInfo().saveCurrencies();
		
		// Send balance
		user.getSession().sendCreditBalance();
	}
}