package habbod2.game.rooms.items.wired.actions;

import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.rooms.items.wired.WiredAction;
import habbod2.game.users.effects.EffectInventory;
import habbod2.util.StringUtil;

public class GiveEffectAction extends WiredAction
{	
	private static final int EFFECT_DURATION = 60 * 60 * 24; // 24 hours in seconds
	
	@Override
	public int getInterface()
	{
		return 7;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean requiresUser()
	{
		return true;
	}
	
	@Override
	public void execute(RoomUser user)
	{
		// Parse effect ID
		int effectId = StringUtil.parseInt(this.getText());
		if(effectId <= 0)
		{
			return;
		}
		
		// Add the effect, enable and set as current
		EffectInventory inventory = user.getSession().getEffectInventory();
		if(!inventory.hasEffect(effectId))
		{
			inventory.addEffect(effectId, GiveEffectAction.EFFECT_DURATION);
			inventory.enableEffect(effectId);
		}
		inventory.selectEffect(effectId);
	}
}