package habbod2.game.rooms.items.wired.actions;

import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.rooms.items.wired.WiredAction;
import habbod2.game.util.GameUtil;

public class GivePearlsAction extends WiredAction
{	
	@Override
	public int getInterface()
	{
		return 7;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean requiresUser()
	{
		return true;
	}
	
	@Override
	public void execute(RoomUser user)
	{
		// Parse amount
		int amount = GameUtil.parseInt(this.getText());
		if(amount == 0)
		{
			return;
		}
		
		// Modify balance
		user.getInfo().pearls += amount;
		if(user.getInfo().pearls < 0)
		{
			user.getInfo().pearls = 0;
		}
		user.getInfo().saveCurrencies();
		
		// Send balance
		user.getSession().sendPearlBalance();
	}
}