package habbod2.game.rooms.items.wired.actions;

import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.game.rooms.items.wired.WiredAction;
import habbod2.game.rooms.items.wired.triggers.TimerTrigger;

public class ResetTimersAction extends WiredAction
{
	@Override
	public int getInterface()
	{
		return 10;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean requiresUser()
	{
		return false;
	}
	
	@Override
	public void execute(RoomUser user)
	{
		for(RoomFloorItem item : this.getRoom().getFloorItems())
		{
			if(item instanceof ResetTimersAction)
			{
				TimerTrigger timer = (TimerTrigger)item;
				timer.reset();
			}
		}
	}
}
