package habbod2.game.rooms.items.wired.conditions;

import java.util.List;

import habbod2.game.rooms.instances.RoomAvatar;
import habbod2.game.rooms.instances.RoomTile;
import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.game.rooms.items.wired.WiredCondition;

public class ItemsHaveUserCondition extends WiredCondition
{
	@Override
	public int getInterface()
	{
		return 2;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean evaluate(RoomUser user)
	{	
		// Process all selected items
		List<RoomFloorItem> selected = this.getSelectedItems();
		int count = 0;
		for(RoomFloorItem item : selected)
		{
			// Check for atleast one user on this item
			for(RoomTile tile : item.getTiles())
			{
				// Avatar here?
				if(tile.hasAvatar)
				{
					// Avatar is user?
					RoomAvatar avatar = this.getRoom().getAvatarOnTile(tile);
					if(avatar instanceof RoomUser)
					{
						count++;
						break; // Check the next item
					}
				}
			}
		}
		
		// All items need a user
		return (count >= selected.size());
	}
}
