package habbod2.game.rooms.items.wired.conditions;

import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;

import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.rooms.items.wired.WiredCondition;

public class PreTimestampCondition extends WiredCondition
{
	private static final DateFormat format = new SimpleDateFormat("dd-MM-yyyy hh:mm");
	
	@Override
	public int getInterface()
	{
		return 7;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean evaluate(RoomUser user)
	{
		// Parse defined timestamp
		long time;
		try
		{
			String timestamp = this.getText();
			time = PreTimestampCondition.format.parse(timestamp).getTime();
		}
		catch (ParseException e)
		{
			// Bad timestamp, condition always evaluates to false
			return false;
		}
		
		// Get current time
		long timeNow = System.currentTimeMillis();
	
		// Current time needs to be before the timestamp
		return (timeNow < time);
	}
}
