package habbod2.game.rooms.items.wired.conditions;

import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.game.rooms.items.wired.WiredCondition;
import habbod2.game.rooms.items.wired.triggers.TimerTrigger;

public class TimerElapsedMoreThanCondition extends WiredCondition
{
	public static final int PARAM_TIME = 0;
	
	@Override
	public int getInterface()
	{
		return 3;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 1;
	}
	
	@Override
	public boolean evaluate(RoomUser user)
	{
		// Find one timer that matches the criteria (since they all have the same reset time)
		for(RoomFloorItem item : this.getRoom().getFloorItems())
		{
			if(item instanceof TimerTrigger)
			{
				TimerTrigger timer = (TimerTrigger)item;
				if(timer.getElapsedTime() > this.getParam(PARAM_TIME))
				{
					return true;
				}
			}
		}
		
		// Not time yet!
		return false;
	}
}
