package habbod2.game.rooms.items.wired.conditions;

import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.users.badges.BadgeInventory;

public class UserHasBadgeEquippedCondition extends TextValueCondition
{
	@Override
	public boolean evaluate(RoomUser user)
	{
		// Get badge to check for (require equipped by default)
		String[] options = this.getText().split(":");
		String badge = options[0];
		boolean equipped = (options.length >= 2) ? options[1].equals("1") : true;
		
		// Get user's badge inventory
		BadgeInventory inventory = user.getSession().getBadgeInventory();
		
		// Test whether the user has this badge (equipped)
		return inventory.hasBadge(badge, equipped);
	}
}
