package habbod2.game.rooms.items.wired.conditions;

import habbod2.game.rooms.instances.RoomUser;
import habbod2.game.users.badges.BadgeInventory;
import habbod2.game.rooms.items.wired.WiredCondition;

public class UserHasBadgeEquippedCondition extends WiredCondition
{
	@Override
	public int getInterface()
	{
		return 7;
	}
	
	@Override
	protected int getAmountOfParams()
	{
		return 0;
	}
	
	@Override
	public boolean evaluate(RoomUser user)
	{
		// Get badge to check for
		String badge = this.getText();
		
		// Get user's badge inventory
		BadgeInventory inventory = user.getSession().getBadgeInventory();
		
		// Test whether the user has this badge equipped
		return inventory.hasBadge(badge, true);
	}
}
