package habbod2.game.rooms.items.wired.extra;

import habbod2.game.rooms.geometry.RoomMap;
import habbod2.game.rooms.geometry.RoomTile;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.communication.messages.outgoing.room.engine.SlideObjectBundleMessageComposer;

public class PuzzleBoxItem extends RoomFloorItem
{
	@Override
	protected boolean onToggle(RoomUser user, int instruction)
	{
		// User operating?
		if(user == null || user.isMoving())
		{
			return false;
		}
		
		// Workout tiles
		RoomTile tile = this.getTile();
		RoomMap map = this.getRoom().getMap();
		RoomTile x1 = map.getTile(tile.x + 1, tile.y);
        RoomTile x2 = map.getTile(tile.x - 1, tile.y);
        RoomTile y1 = map.getTile(tile.x, tile.y + 1);
        RoomTile y2 = map.getTile(tile.x, tile.y - 1);
        
		// Workout next tile
		RoomTile to;
		if(user.getTile() == x1)
		{
			to = x2;
		}
		else if(user.getTile() == x2)
		{
			to = x1;
		}
		else if(user.getTile() == y1)
		{
			to = y2;
		}
		else if(user.getTile() == y2)
		{
			to = y1;
		}
		else
		{
			// User needs to stand infront of the item (not diagonal)
			return false;
		}
		
		// Attempt to move forward!
		float fromZ = this.z;
		if(this.getRoom().moveItem(this.id, to.x, to.y, this.rotation, false))
		{
			if(this.getTile() != tile)
			{
				this.getRoom().broadcast(SlideObjectBundleMessageComposer.compose(this, tile, fromZ, null));
			}
		}
		
		return true;
	}
}
