package habbod2.game.chatcommands.admin;

import habbod2.Instance;
import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.sessions.Session;
import habbod2.game.util.GameError;

public class ModifyConfigCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		// Modify config
		String key = args[0];
		String value = args[1].equals("null") ? null : args[1];
		Instance.get().getConfig().set(key, value);
		
		// Notify user
		if(value == null)
		{
			session.sendWhisperNotif(String.format("Config: unset %s.", key));
		}
		else
		{
			session.sendWhisperNotif(String.format("Config: set %s=\"%s\".", key, value));
		}
	}
}
