package habbod2.game.chatcommands.room;

import static habbod2.core.Locale._I;
import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.util.GameError;
import habbod2.game.rooms.instance.RoomActor;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.sessions.Session;

public class FollowUserCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		RoomUser self = session.getRoomUser();
		if(args[0].isEmpty())
		{
			RoomActor following = self.getFollowing();
			if(following != null)
			{
				self.unfollow();
				if(following instanceof RoomUser)
				{
					session.sendWhisperNotif(_I("No longer following %s.", ((RoomUser)following).getInfo().username));
				}
			}
		}
		else
		{
			RoomUser user = session.getRoom().getUserByUsername(args[0]);
			if(user != null && user != self)
			{
				self.follow(user);
				session.sendWhisperNotif(_I("Now following %s.", user.getInfo().username));
			}
		}
	}
}
