package habbod2.game.chatcommands.room;

import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.util.GameError;
import habbod2.game.rooms.instance.RoomTile;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.sessions.Session;

public class GiveHandItemCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		RoomUser self = session.getRoomUser();
		
		// This user is actually carrying something?
		if(!self.isCarryingItem())
		{
			return;
		}
		
		// Find user on tile in front
		RoomTile tile = self.getTileInFront();
		if(tile.hasActor())
		{
			for(RoomUser user : self.getRoom().getAllUsers())
			{
				if(user.at(tile))
				{
					// User is not already carrying something?
					if(!user.isCarryingItem())
					{
						// Take the item...
						int itemId = self.carryItemId;
						self.stopCarryItem();
						user.lookTo(self.getTile(), false);
						
						// ... the item!
						user.refresh(true);
						user.carryItem(itemId);
						return;
					}
				}
			}
		}
	}
}
