package habbod2.game.chatcommands.room;

import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.util.GameError;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.sessions.Session;

public class KickToDoorCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		if(session.getRoomUser().hasRoomRights || session.getRoom().getInfo().allKicking)
		{
			RoomUser target = session.getRoom().getUserByUsername(args[0]);
			if(target != null && target.isKickableBy(session.getRoomUser()))
			{
				target.warp(session.getRoom().getMap().getDoor());
			}
		}
	}
}
