package habbod2.game.chatcommands.room;

import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.util.GameError;
import habbod2.game.rooms.instance.RoomTile;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.sessions.Session;

public class PullCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		// Find user in front
		RoomUser self = session.getRoomUser();
		RoomTile tile = session.getRoom().getMap().getTile(self.x + (self.bodyDirection.modX * 2), self.y + (self.bodyDirection.modY * 2));
		if(tile != null && tile.hasActor())
		{
			for(RoomUser user : session.getRoom().getAllUsers())
			{
				if(user.at(tile))
				{
					if(self.getInfo().role.level >= user.getInfo().role.level)
					{
						// Walk forward one tile in direction of executing user
						user.setGoal(self.getTileInFront());
					}
					return;
				}
			}
		}
	}
}
