package habbod2.game.chatcommands.room;

import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.util.GameError;
import habbod2.game.rooms.instance.RoomTile;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.sessions.Session;

public class PushCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		// Find user in front
		RoomUser self = session.getRoomUser();
		RoomTile tile = self.getTileInFront();
		if(tile != null && tile.hasActor())
		{
			for(RoomUser user : session.getRoom().getAllUsers())
			{
				if(user.at(tile))
				{
					if(self.getInfo().role.level >= user.getInfo().role.level)
					{
						// Walk back one tile in direction of executing user
						user.setGoal(session.getRoom().getMap().getTile(user.x + self.bodyDirection.modX, user.y + self.bodyDirection.modY));
					}
					return;
				}
			}
		}
	}
}
