package habbod2.game.chatcommands.room;

import static habbod2.core.Locale._I;
import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.util.GameError;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.sessions.Session;

public class ReverseWalkCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		// Toggle status
		RoomUser user = session.getRoomUser();
		user.isReverseWalk = !user.isReverseWalk;
		
		// Notify user
		String status = _I(user.isReverseWalk ? "enabled" : "disabled");
		session.sendWhisperNotif(_I("Reverse walk is now %s.", status));
	}
}
