package habbod2.game.chatcommands.room;

import static habbod2.core.Locale._I;
import habbod2.game.chatcommands.ChatCommandHandler;
import habbod2.game.util.GameError;
import habbod2.game.rooms.geometry.Direction;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.sessions.Session;

public class TeleportCommand extends ChatCommandHandler
{
	@Override
	public void handle(Session session, String... args) throws GameError
	{
		// Is room owner?
		RoomUser user = session.getRoomUser();
		if(user.hasRoomOwner)
		{
			// Toggle status
			user.teleportEnabled = !user.teleportEnabled;
			
			// Notify user
			String status = _I(user.teleportEnabled ? "enabled" : "disabled");
			session.sendWhisperNotif(_I("Teleport is now %s.", status));
		}
		
		
		Direction d = user.bodyDirection.transform(Direction.South);
		user.setGoal(session.getRoom().getMap().getTile(user.x + d.modX, user.y + d.modY));
	}
}
