package habbod2.communication.messages.incoming.avatar;

import habbod2.Instance;
import habbod2.communication.RequestHandler;
import habbod2.net.protocol.ClientMessage;
import habbod2.game.GameManager;
import habbod2.game.sessions.Session;
import habbod2.communication.messages.outgoing.avatar.CheckUserNameResultMessageComposer;
import static habbod2.communication.messages.outgoing.avatar.CheckUserNameResultMessageComposer.*;
public class CheckUserNameHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Read proposed username
		String username = request.readStr();
		
		// Get game manager
		GameManager gameMgr = Instance.get().getGameMgr();
		
		// Run checks
		int result = 0;
		if(username.length() < 2)
		{
			result = TOO_SHORT;
		}
		else if(username.length() > 15)
		{
			result = TOO_LONG;
		}
		else if(gameMgr.getUserMgr().getUserByUsername(username) != null)
		{
			result = UNAVAILABLE;
		}
		else
		{
			result = AVAILABLE;
		}
		session.send(CheckUserNameResultMessageComposer.compose(username, result));
	}
}
