package habbod2.communication.messages.incoming.friendlist;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.messenger.InstantMessenger;
import habbod2.game.messenger.MessengerService;
import habbod2.game.sessions.Session;

import java.util.Map.Entry;



public class DeclineBuddyHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get messenger + svc
		InstantMessenger messenger = session.getMessenger();
		MessengerService svc = Instance.get().getGameMgr().getMessengerSvc();
		
		// Delete multiple
		int mode = request.readInt();
		if(mode == 0)
		{
			int amount = request.readInt();
			for(int x = 0; x < amount; x++)
			{
				// Check if this user really has a buddy request from this user, if so, remove it and silently delete the 'pending' relation
				int fromUserId = request.readInt();
				if(messenger.hasRequest(fromUserId))
				{
					messenger.removeRequest(fromUserId);
					svc.deleteRelation(session.getUser().id, fromUserId);
				}
			}
		}
		
		// Delete all
		else if(mode == 1)
		{
			for(Entry<Integer, String> req : messenger.getRequests())
			{
				svc.deleteRelation(session.getUser().id, req.getKey());
			}
			messenger.getRequests().clear();
		}
	}
}
