package habbod2.communication.messages.incoming.marketplace;

import java.util.List;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.marketplace.MarketplaceOffersMessageComposer;
import habbod2.game.marketplace.Marketplace.SearchType;
import habbod2.game.marketplace.MarketplaceOffer;
import habbod2.game.sessions.Session;

public class GetOffersHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Read query
		int minPrice = request.readInt();
		int maxPrice = request.readInt();
		String searchQuery = request.readStr();
		int searchTypeId = request.readInt();
		SearchType type = searchTypeId > 0 ? SearchType.values()[searchTypeId - 1] : null;
		
		/*
		 * 1 = most expensive
		 * 2 = least expensive
		 * 3 = today most sold through MP
		 * 4 = today least sold through MP
		 * 5 = most offered
		 * 6 = least offered
		 */
		
		// Search offers
		List<MarketplaceOffer> offers = Instance.get().getGameMgr().getMarketplace().searchOffers(type, minPrice, maxPrice, searchQuery);
		
		// Send results
		session.send(MarketplaceOffersMessageComposer.compose(offers));
	}
}
