package habbod2.communication.messages.incoming.moderator;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.moderation.ModeratorUserInfoMessageComposer;
import habbod2.game.GameManager;
import habbod2.game.moderation.UserModerationHistory;
import habbod2.game.users.User;
import habbod2.game.sessions.Session;

public class GetModeratorUserInfoHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Has mod?
		if(!session.getUser().hasRight("fuse_mod"))
		{
			return;
		}
		
		// Get game mgr
		GameManager game = Instance.get().getGameMgr();
				
		// Get user info + moderation history + other info
		User user = game.getUserMgr().getUserById(request.readInt());
		if(user == null)
		{
			return;
		}
		UserModerationHistory history = game.getModerationCenter().getUserModerationHistory(user.id);
		if(history == null)
		{
			history = new UserModerationHistory();
		}
		
		// Send the info
		session.send(ModeratorUserInfoMessageComposer.compose(user, history));
	}
}
