package habbod2.communication.messages.incoming.navigator;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.navigator.GetGuestRoomResultMessageComposer;
import habbod2.game.rooms.Room;
import habbod2.game.sessions.Session;

public class GetGuestRoomHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Determine the room
		int roomId = request.readInt();
		boolean isLoading = request.readBool();
		boolean isPreEnter = request.readBool();
		Room room = Instance.get().getGameMgr().getRoomMgr().getRoomInfo(roomId);
        
		// Room exists and is a guestroom?
		if(room != null && room.isGuestRoom())
		{
			session.send(GetGuestRoomResultMessageComposer.compose(room, isLoading, isPreEnter));
		}
	}
}
