package habbod2.communication.messages.incoming.navigator;

import java.util.List;
import java.util.ArrayList;

import habbod2.Instance;
import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.navigator.GuestRoomSearchResultMessageComposer;
import habbod2.game.rooms.Room;
import habbod2.game.rooms.RoomManager;
import habbod2.game.sessions.Session;

public class MyFavouriteRoomsSearchHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get list with favorite room IDs
		List<Integer> favorites = session.getFavoriteRooms().getFavorites();

		// Get room manager
		RoomManager roomMgr = Instance.get().getGameMgr().getRoomMgr();
		
		// Get the actual room info
		List<Room> rooms = new ArrayList<Room>();
		for(int roomId : favorites)
		{
			Room room = roomMgr.getRoomInfo(roomId);
			if(room != null)
			{
				rooms.add(room);
			}
		}
		
		// Send them
		session.send(GuestRoomSearchResultMessageComposer.compose(0, 6, "", rooms));
	}
}
