package habbod2.communication.messages.incoming.navigator;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.navigator.GuestRoomSearchResultMessageComposer;
import habbod2.game.messenger.InstantMessenger;
import habbod2.game.messenger.MessengerBuddy;
import habbod2.game.rooms.Room;
import habbod2.game.sessions.Session;

import java.util.ArrayList;
import java.util.List;



public class RoomsWhereMyFriendsAreSearchHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get messenger (contains the buddylist)
		InstantMessenger messenger = session.getMessenger();
		
		// Aggegrate the room info for rooms the buddies are in (no duplicates)
		List<Room> rooms = new ArrayList<Room>();
		for(MessengerBuddy buddy : messenger.getBuddies())
		{
			if(buddy.inRoom())
			{
				Room room = buddy.messenger.getSession().getRoom().getInfo();
				if(!rooms.contains(room))
				{
					rooms.add(room);
				}
			}
		}
			
		// Send the result
		session.send(GuestRoomSearchResultMessageComposer.compose(4, 0, "", rooms));
	}
}
