package habbod2.communication.messages.incoming.room.action;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.sessions.Session;

public class KickUserHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Can this user kick other users at all?
		if(session.inRoom() && (session.getRoomUser().hasRoomRights || session.getRoom().getInfo().allKicking))
		{
			// Target is in the room and kickable by this user?
			int userId = request.readInt();
			RoomUser target = session.getRoom().getUserByUserId(userId);
			if(target != null && target.isKickableBy(session.getRoomUser()))
			{
				target.getSession().kickFromRoom();
			}
		}
	}
}
