package habbod2.communication.messages.incoming.room.engine;

import java.util.Collection;

import habbod2.net.protocol.ClientMessage;
import habbod2.communication.RequestHandler;
import habbod2.communication.messages.outgoing.room.pets.PetCommandsMessageComposer;
import habbod2.game.pets.Pet;
import habbod2.game.pets.PetCommand;
import habbod2.game.pets.RoomPet;
import habbod2.game.sessions.Session;

public class GetPetCommandsHandler implements RequestHandler
{
	@Override
	public void handle(Session session, ClientMessage request)
	{
		// Get the requested pet from room instance
		int petId = request.readInt();
		RoomPet actor = (RoomPet) session.getRoom().getActorByActorKey("p" + petId);
		if(actor == null)
		{
			return;
		}
		
		// Extract pet info
		Pet pet = actor.getInfo();
		
		// Accessible commands
		Collection<PetCommand> all = pet.type.getCommands();
		Collection<PetCommand> accessible = pet.getAccessibleCommands();
		session.send(PetCommandsMessageComposer.compose(pet, all, accessible));
	}
}
