package habbod2.communication.messages.outgoing.room.engine;

import java.util.Collection;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.messages.EServerMessage;
import habbod2.game.rooms.instance.RoomActor;

public class UserUpdateMessageComposer
{
	public static ServerMessage compose(RoomActor actor)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.UserUpdate);
		msg.appendInt(1);
		actor.appendStatusString(msg);
		
		return msg;
	}
	
	public static ServerMessage compose(Collection<RoomActor> actors)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.UserUpdate);
		msg.appendInt(actors.size());
		for(RoomActor actor : actors)
		{
			actor.appendStatusString(msg);
		}
		
		return msg;
	}
}
