package habbod2.communication.messages.outgoing.roomsettings;

import java.util.Map;
import java.util.Map.Entry;

import habbod2.communication.messages.EServerMessage;
import habbod2.game.rooms.Room;
import habbod2.net.protocol.ServerMessage;

public class RoomSettingsDataMessageComposer
{
	public static ServerMessage compose(Room room, Map<Integer, String> usersWithRights)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.RoomSettingsData);
		
		// Basic
		msg.appendInt(room.id);
		msg.appendStr(room.name);
		msg.appendStr(room.description);
		msg.appendInt(room.state);
		msg.appendInt(room.categoryId);
		msg.appendInt(room.usersMax);
		msg.appendInt(25); // default max

		// Tags
		msg.appendStrList(room.tags);
		
		// Rights
		msg.appendInt(usersWithRights.size());
		for(Entry<Integer, String> user : usersWithRights.entrySet())
		{
			msg.appendInt(user.getKey());
			msg.appendStr(user.getValue());
		}
		msg.appendInt(usersWithRights.size());

		// Other flags
		msg.appendBool(room.allowOtherPets);
		msg.appendBool(room.allowOtherPetsEat);
		msg.appendBool(room.allowWalkthrough);
		msg.appendBool(room.hideWalls);
		msg.appendInt(room.wallThickness);
		msg.appendInt(room.floorThickness);
		
		return msg;
	}
}
