package habbod2.communication.messages.outgoing.users;

import habbod2.net.protocol.ServerMessage;
import habbod2.communication.messages.EServerMessage;
import habbod2.game.users.groups.UserGroup;

public class GroupDetailsMessageComposer
{
	public static ServerMessage compose(UserGroup group, boolean isFavorite)
	{
		ServerMessage msg = ServerMessage.create(EServerMessage.GroupDetails);
		msg.appendInt(group.id);
		msg.appendStr(group.name);
		msg.appendStr(group.description);
		if(group.room == null)
		{
			msg.appendInt(0);
			msg.appendStr("");
		}
		else
		{
			msg.appendInt(group.room.id);
			msg.appendStr(group.room.name);
		}
		msg.appendBool(isFavorite);
		msg.appendInt(group.members);
		msg.appendBool(isFavorite);
		
		return msg;
	}
}
