package habbod2.game.pets;

import habbod2.game.util.GameUtil;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Collection;

public class PetType
{
	public int id;
	public boolean canSwim;
	public float mountHeight;
	
	public List<PetBreed> breeds = new ArrayList<PetBreed>();
	public List<PetBreed> sellableBreeds = new ArrayList<PetBreed>();
	public Map<String, PetCommand> commands = new HashMap<String, PetCommand>();
	public List<String> tricks = new ArrayList<String>();
	public Map<String, List<String>> messages = new HashMap<String, List<String>>();
	public List<Integer> accessories = new ArrayList<Integer>();
	
	public boolean isMountable()
	{
		return (this.mountHeight > 0);
	}
	
	public Collection<PetCommand> getCommands()
	{
		return this.commands.values();
	}
	
	public void addEventMessage(String event, String message)
	{
		List<String> eventMessages = this.messages.get(event);
		if(eventMessages == null)
		{
			eventMessages = new ArrayList<String>();
			this.messages.put(event, eventMessages);
		}
		eventMessages.add(message);
	}
	
	public String getRandomMessage(String event)
	{
		List<String> messages = this.messages.get(event);
		if(messages == null)
		{
			return null;
		}
		else
		{
			return GameUtil.getRandomElement(messages);
		}
	}
}
