package habbod2.game.pets.ai;

import habbod2.game.pets.RoomPet;
import habbod2.game.rooms.items.pets.FoodItem;
import habbod2.game.rooms.items.pets.PetAccessoryItem;

public class EatAction extends AccessoryHandler<FoodItem>
{
	public EatAction(RoomPet pet)
	{
		super(pet);
	}

	@Override
	protected Class<? extends PetAccessoryItem> getItemType()
	{
		return FoodItem.class;
	}

	@Override
	protected String getNoItemFoundEvent()
	{
		return "noFood";
	}

	@Override
	protected int getHappinessPenalty()
	{
		return 20;
	}

	@Override
	protected int getHappinessBoost()
	{
		return this.item.getHappinessValue();
	}

	@Override
	protected String getIntentionEmotion()
	{
		return "hng";
	}
	
	@Override
	protected String getInteractionStatus()
	{
		return "eat";
	}

	@Override
	protected String getActivityEvent()
	{
		return "eating";
	}
	
	@Override
	protected void submitResult(boolean isSuccess)
	{
		this.pet.getInfo().resetEatTimer(isSuccess);
		if(isSuccess)
		{
			this.pet.getInfo().modifyEnergy(+this.item.getEnergyValue());
		}
	}
	
	@Override
	protected void endInteract()
	{
		this.item.reduce();
	}

	@Override
	protected int getActionDuration()
	{
		return 3;
	}
}
