package habbod2.game.pets.ai;

import habbod2.game.pets.RoomPet;
import habbod2.game.rooms.items.pets.PetAccessoryItem;
import habbod2.game.rooms.items.pets.ToyItem;

public class PlayAction extends AccessoryHandler<ToyItem>
{
	public PlayAction(RoomPet pet)
	{
		super(pet);
	}

	@Override
	protected Class<? extends PetAccessoryItem> getItemType()
	{
		return ToyItem.class;
	}

	@Override
	protected String getNoItemFoundEvent()
	{
		return "noToy";
	}

	@Override
	protected int getHappinessPenalty()
	{
		return 5;
	}

	@Override
	protected int getHappinessBoost()
	{
		return 10;
	}

	@Override
	protected String getIntentionEmotion()
	{
		return "plf";
	}
	
	@Override
	protected String getInteractionStatus()
	{
		return "pla";
	}

	@Override
	protected String getActivityEvent()
	{
		return "playing";
	}

	@Override
	protected void submitResult(boolean success)
	{
		
	}

	@Override
	protected int getActionDuration()
	{
		return 3;
	}
	
	@Override
	protected void beginInteract()
	{
		this.item.setTempState(1);
	}
	
	@Override
	protected void endInteract()
	{
		this.item.setTempState(0);
	}
}
