package habbod2.game.rooms.items.floor;

import habbod2.game.rooms.instance.RoomUser;
import habbod2.game.rooms.items.RoomFloorItem;
import habbod2.util.StringUtil;

public class CreditExchangeItem extends RoomFloorItem
{
	@Override
	protected void onToggle(RoomUser user, int instruction)
	{
		// Only for room owners
		if(user != null && user.hasRoomOwner)
		{
			// Add the credits to the user's credit balance
			int value = StringUtil.parseInt(this.definition.data);
			user.getSession().getUser().credits += value;
			user.getSession().getUser().saveCurrencies();
			user.getSession().sendCreditBalance();
			
			// Remove from the room, delete from the game
			this.getRoom().pickupItem(this.id).delete();
		}
	}
}
