package habbod2.game.rooms.items.floor;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import habbod2.game.util.GameUtil;

public class RandomTeleporterItem extends TeleporterItem
{
	private static Map<Integer, ArrayList<Integer>> lists = new HashMap<Integer, ArrayList<Integer>>();
	
	@Override
	public void onRoomAdd()
	{
		List<Integer> list = getListForType(this);
		if(!list.contains(this.id))
		{
			list.add(this.id);
		}
	}
	
	@Override
	public void onRoomRemove()
	{
		getListForType(this).remove(new Integer(this.id));
	}
	
	@Override
	public int getOtherId()
	{
		// Other teleporters of this type currently in a room instance?
		List<Integer> list = getListForType(this);
		if(list.size() > 1)
		{
			// Return a random, different ID from the list
			int itemId = this.id;
			while(itemId == this.id)
			{
				itemId = GameUtil.getRandomElement(list);
			}
			return itemId;
		}
		else
		{
			return 0;
		}
	}
	
	private static List<Integer> getListForType(RandomTeleporterItem tele)
	{
		ArrayList<Integer> list = lists.get(tele.definition.id);
		if(list == null)
		{
			list = new ArrayList<Integer>();
			lists.put(tele.definition.id, list);
		}
		
		return list;
	}
}
