package habbod2.game.rooms.items.pets;

import habbod2.game.rooms.instance.RoomActor;
import habbod2.game.rooms.instance.RoomUser;

public class NestItem extends PetAccessoryItem
{
	private boolean isPressurePad;
	
	@Override
	protected void onRoomAdd()
	{
		super.onRoomAdd();
		this.isPressurePad = this.definition.data.equals("1");
	}
	
	@Override
	public void onActorStepOn(RoomActor actor)
	{
		if(this.isPressurePad)
		{
			this.setState(1);
		}
		super.onActorStepOn(actor);
	}
	
	@Override
	public void onActorStepOff(RoomActor actor)
	{
		if(this.isPressurePad)
		{
			this.setState(0);
		}
		super.onActorStepOff(actor);
	}
	
	@Override
	protected void onToggle(RoomUser user, int instruction)
	{
		if(!this.isPressurePad)
		{
			super.onToggle(user, instruction);
		}
	}
}
