package prinzip.accounts.actions;

import org.apache.log4j.Logger;

import prinzip.accounts.Account;

import twitter4j.TwitterException;
import twitter4j.User;

public class UnfollowAction extends TargetedAccountAction
{
	private static final Logger logger = Logger.getLogger(UnfollowAction.class);
	
	public UnfollowAction(Account account, long targetId)
	{
		super(account, targetId);
	}

	@Override
	protected void execute() throws TwitterException
	{
		// Attempt to unfollow the target
		Account account = this.getAccount();
		User target = account.getTwitter().destroyFriendship(this.getTargetId());
		
		// Done!
		logger.info(String.format("@%s is no longer following @%s", account.username, target.getScreenName()));
	}
	
	@Override
	protected void onCompletion()
	{
		// Save 
		Account account = this.getAccount();
		account.toUnfollow.remove(this.getTargetId());
		account.save();
		
		// Resume next
		account.nextUnfollowAction(this);
	}
	
	@Override
	protected void onOtherTwitterApiException(TwitterException tex)
	{
		super.onUnhandledTwitterApiException(tex);
		this.onCompletion();
	}

	@Override
	protected String getDescription()
	{
		return String.format("unfollow(%d)", this.getTargetId());
	}
}
