package prinzip.webapi;

import org.simpleframework.http.Request;
import org.simpleframework.http.Response;

import prinzip.accounts.Account;
import prinzip.accounts.AccountManager;

import com.fasterxml.jackson.annotation.PropertyAccessor;
import com.fasterxml.jackson.annotation.JsonAutoDetect.Visibility;
import com.fasterxml.jackson.databind.ObjectMapper;

public class AccountRequestHandler extends ResourceRequestHandler<Account>
{
	private static final ObjectMapper accountMapper = new ObjectMapper().setVisibility(PropertyAccessor.ALL, Visibility.NONE).setVisibility(PropertyAccessor.FIELD, Visibility.ANY);
	
	private AccountManager accMgr;
	
	protected AccountRequestHandler(Account resource, AccountManager accMgr)
	{
		super(resource);
		this.accMgr = accMgr;
		this.accMgr.toString();
	}

	@Override
	protected boolean onCreate(Request req, Response res) throws Exception
	{
		Account newAccount = accountMapper.readValue(req.getInputStream(), Account.class);
		
		if(newAccount.username.isEmpty() || newAccount.password.isEmpty())
		{
			return false;
		}
		else
		{
			
		}
		
		// TODO Auto-generated method stub
		return false;
	}

	@Override
	protected void onRead(Request req, Response res) throws Exception
	{
		res.getPrintStream().print(accountMapper.writeValueAsString(this.resource));
	}

	@Override
	protected boolean onSave(Request req, Response res) throws Exception
	{
		// TODO: update account with select data from request body (JSON)
		
		// Clear problem (suspension or bad credentials could be resolved by end user)
		this.resource.clearProblem();
		
		// TODO Auto-generated method stub
		return false;
	}

	@Override
	protected boolean onDelete(Request req, Response res) throws Exception
	{
		// TODO Auto-generated method stub
		return false;
	}
}
